(* Content-type: application/vnd.wolfram.cdf.text *)

(*** Wolfram CDF File ***)
(* http://www.wolfram.com/cdf *)

(* CreatedBy='Mathematica 12.0' *)

(***************************************************************************)
(*                                                                         *)
(*                                                                         *)
(*  Under the Wolfram FreeCDF terms of use, this file and its content are  *)
(*  bound by the Creative Commons BY-SA Attribution-ShareAlike license.    *)
(*                                                                         *)
(*        For additional information concerning CDF licensing, see:        *)
(*                                                                         *)
(*         www.wolfram.com/cdf/adopting-cdf/licensing-options.html         *)
(*                                                                         *)
(*                                                                         *)
(***************************************************************************)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[      1088,         20]
NotebookDataLength[    112021,       2308]
NotebookOptionsPosition[    112246,       2297]
NotebookOutlinePosition[    112816,       2318]
CellTagsIndexPosition[    112773,       2315]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"dir", " ", "=", " ", "$UserDocumentsDirectory"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"NCap", "[", 
    RowBox[{"nx_", ",", "ny_"}], "]"}], " ", ":=", " ", 
   RowBox[{"\[Piecewise]", GridBox[{
      {
       FractionBox[
        RowBox[{
         RowBox[{"(", 
          RowBox[{"nx", "+", "1"}], ")"}], 
         RowBox[{"(", 
          RowBox[{"ny", "+", "1"}], ")"}]}], "2"], 
       RowBox[{
        RowBox[{"OddQ", "[", "nx", "]"}], "||", 
        RowBox[{"OddQ", "[", "ny", "]"}]}]},
      {
       FractionBox[
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"nx", "+", "1"}], ")"}], 
          RowBox[{"(", 
           RowBox[{"ny", "+", "1"}], ")"}]}], "+", "1"}], "2"], 
       RowBox[{
        RowBox[{"EvenQ", "[", "ny", "]"}], "&&", 
        RowBox[{"EvenQ", "[", "ny", "]"}]}]}
     }]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Headgraph", "[", 
    RowBox[{"x_", ",", "y_", ",", "r_"}], "]"}], " ", ":=", " ", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Disk", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"x", ",", 
         RowBox[{"y", "-", "r"}]}], "}"}], ",", "r"}], "]"}], ",", 
     RowBox[{"RegularPolygon", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"x", ",", "y"}], "}"}], ",", 
       RowBox[{"r", "/", "2.5"}], ",", "3"}], "]"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"Desk", " ", "[", 
     RowBox[{
     "x_", ",", "y_", ",", "seatw_", ",", "seatl_", ",", "chairw_", ",", 
      "chairb_", ",", "nosedist_"}], "]"}], ":=", 
    RowBox[{"Join", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Rectangle", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"x", ",", 
            RowBox[{"y", "+", "chairb"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"x", "+", "seatw"}], ",", 
            RowBox[{"y", "+", "seatl"}]}], "}"}], ",", 
          RowBox[{"RoundingRadius", "\[Rule]", "0.15"}]}], "]"}], ",", 
        RowBox[{"Rectangle", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"x", "+", 
             FractionBox[
              RowBox[{"seatw", "-", "chairw"}], "2"]}], ",", "y"}], "}"}], 
          ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"x", "+", 
             FractionBox[
              RowBox[{"seatw", "+", "chairw"}], "2"]}], ",", 
            RowBox[{"y", "+", "chairb"}]}], "}"}]}], "]"}]}], "}"}], ",", 
      RowBox[{"Headgraph", "[", 
       RowBox[{
        RowBox[{"x", "+", 
         RowBox[{"seatw", "/", "2"}]}], ",", 
        RowBox[{"y", "+", "seatl", "-", "nosedist"}], ",", "0.33"}], "]"}]}], 
     "]"}]}], ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"FootForm", "[", 
     RowBox[{"x_", ",", "fractional_"}], "]"}], " ", ":=", 
    RowBox[{"If", "[", 
     RowBox[{"fractional", ",", 
      RowBox[{
       RowBox[{"ft", "=", 
        RowBox[{"\[LeftFloor]", "x", "\[RightFloor]"}]}], ";", " ", 
       RowBox[{"inch", "=", 
        RowBox[{"Round", "[", 
         RowBox[{"12", 
          RowBox[{"(", 
           RowBox[{"x", "-", 
            RowBox[{"\[LeftFloor]", "x", "\[RightFloor]"}]}], ")"}]}], 
         "]"}]}], ";", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"inch", "==", "12"}], ",", 
         RowBox[{
          RowBox[{"ft", "++"}], ";", " ", 
          RowBox[{"inch", "=", "0"}]}]}], "]"}], ";", " ", 
       RowBox[{"StringForm", "[", 
        RowBox[{"\"\<``'``\\\"\>\"", ",", "ft", ",", "inch"}], "]"}]}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"StringForm", "[", 
       RowBox[{"\"\<\[VeryThinSpace]``'\>\"", ",", 
        RowBox[{"NumberForm", "[", 
         RowBox[{"x", ",", 
          RowBox[{"{", 
           RowBox[{"5", ",", "2"}], "}"}]}], "]"}]}], "]"}]}], "]"}]}], ";"}],
   "\[IndentingNewLine]", "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"rectangle", "=", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Dashing", "[", "Small", "]"}], ",", 
         RowBox[{"Line", "[", 
          RowBox[{"{", 
           RowBox[{"#1", ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"First", "[", "#2", "]"}], ",", 
              RowBox[{"Last", "[", "#1", "]"}]}], "}"}], ",", "#2", ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"First", "[", "#1", "]"}], ",", 
              RowBox[{"Last", "[", "#2", "]"}]}], "}"}], ",", "#1"}], "}"}], 
          "]"}]}], "}"}], "&"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"manip", " ", "=", " ", 
      RowBox[{
       RowBox[{"Manipulator", "[", 
        RowBox[{"#1", ",", "#2", ",", 
         RowBox[{"Appearance", "\[Rule]", "\"\<Open\>\""}], ",", 
         RowBox[{"AppearanceElements", "\[Rule]", "\"\<InputField\>\""}], ",", 
         RowBox[{"ImageSize", "\[Rule]", "100"}], ",", 
         RowBox[{"BaselinePosition", "\[Rule]", "Center"}], ",", 
         RowBox[{"ImageMargins", "\[Rule]", "10"}]}], "]"}], "&"}]}]}], "}"}],
    ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"DynamicModule", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"d", "=", "6."}], ",", 
       RowBox[{"Len", " ", "=", " ", "32."}], ",", 
       RowBox[{"Wid", " ", "=", " ", "25."}], ",", 
       RowBox[{"seatw", " ", "=", " ", "2.25"}], ",", " ", "seatl", ",", 
       RowBox[{"deskl", "=", "1.5"}], ",", 
       RowBox[{"chairw", "=", "1.5"}], ",", 
       RowBox[{"chairb", "=", "1"}], ",", 
       RowBox[{"nosedist", " ", "=", "1.5"}], ",", 
       RowBox[{"sidemarg", " ", "=", " ", "0.1"}], ",", 
       RowBox[{"backmarg", " ", "=", " ", "0.5"}], ",", "\[IndentingNewLine]", 
       RowBox[{"frontspace", " ", "=", " ", "9."}], ",", 
       RowBox[{"Layouts", "=", 
        RowBox[{"{", "}"}]}], ",", 
       RowBox[{"lyut", "=", "1"}], ",", 
       RowBox[{"drwng", "=", "Null"}], ",", 
       RowBox[{"x", "=", "0"}], ",", 
       RowBox[{"y", "=", "0"}], ",", 
       RowBox[{"plan", "=", "Null"}]}], 
      RowBox[{"(*", 
       RowBox[{",", 
        RowBox[{"s", "=", 
         RowBox[{"A", "/", "w"}]}], ",", 
        RowBox[{"\[Theta]", "=", "0"}], ",", 
        RowBox[{"a", "=", "0.5"}], ",", "first", ",", " ", "second", ",", 
        RowBox[{"zooming", "=", "False"}], ",", "boxSize", ",", 
        RowBox[{"ar", "=", 
         RowBox[{"B", "/", "A"}]}], ",", "mP", ",", "gr"}], "*)"}], "}"}], 
     ",", "\[IndentingNewLine]", 
     RowBox[{"Grid", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"{", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"Column", "[", 
           RowBox[{"{", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"Panel", "[", 
              RowBox[{
               RowBox[{"Grid", "[", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{"\"\<Student separation \>\"", ",", 
                    RowBox[{"InputField", "[", 
                    RowBox[{
                    RowBox[{"Dynamic", "@", "d"}], ",", 
                    RowBox[{"FieldSize", "\[Rule]", "Tiny"}], ",", 
                    RowBox[{"BaseStyle", "\[Rule]", 
                    RowBox[{"InputFieldBoxOptions", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"\"\<TrapEnterKey\>\"", "\[Rule]", "True"}], 
                    "}"}]}]}]}], "]"}], ",", "\"\< ft\>\""}], "}"}], ",", 
                   RowBox[{"{", 
                    RowBox[{"\"\<Classroom width \>\"", ",", 
                    RowBox[{"InputField", "[", 
                    RowBox[{
                    RowBox[{"Dynamic", "@", "Wid"}], ",", 
                    RowBox[{"FieldSize", "\[Rule]", "Tiny"}], ",", 
                    RowBox[{"BaseStyle", "\[Rule]", 
                    RowBox[{"InputFieldBoxOptions", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"\"\<TrapEnterKey\>\"", "\[Rule]", "True"}], 
                    "}"}]}]}]}], "]"}], ",", "\"\< ft\>\""}], "}"}], ",", 
                   "\[IndentingNewLine]", 
                   RowBox[{"{", 
                    RowBox[{"\"\<Classroom length \>\"", ",", 
                    RowBox[{"InputField", "[", 
                    RowBox[{
                    RowBox[{"Dynamic", "@", "Len"}], ",", 
                    RowBox[{"FieldSize", "\[Rule]", "Tiny"}]}], "]"}], ",", 
                    "\"\< ft\>\""}], "}"}], ",", "\[IndentingNewLine]", 
                   RowBox[{"{", 
                    RowBox[{"\"\<Min. board distance \>\"", ",", 
                    RowBox[{"InputField", "[", 
                    RowBox[{
                    RowBox[{"Dynamic", "@", "frontspace"}], ",", 
                    RowBox[{"FieldSize", "\[Rule]", "Tiny"}]}], "]"}], ",", 
                    "\"\< ft\>\""}], "}"}]}], "}"}], ",", 
                 "\[IndentingNewLine]", 
                 RowBox[{"Alignment", "\[Rule]", 
                  RowBox[{"{", 
                   RowBox[{"{", 
                    RowBox[{"Right", ",", 
                    RowBox[{"{", "Left", "}"}]}], "}"}], "}"}]}]}], "]"}], 
               ",", "\"\<Classroom dimensions\>\"", ",", 
               RowBox[{"LabelStyle", "\[Rule]", "Bold"}]}], "]"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"Panel", "[", 
              RowBox[{
               RowBox[{"Grid", "[", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{"\"\<Desk width \>\"", ",", 
                    RowBox[{"InputField", "[", 
                    RowBox[{
                    RowBox[{"Dynamic", "@", "seatw"}], ",", 
                    RowBox[{"FieldSize", "\[Rule]", "Tiny"}]}], "]"}], ",", 
                    "\"\< ft\>\""}], "}"}], ",", 
                   RowBox[{"{", 
                    RowBox[{"\"\<Desk length \>\"", ",", 
                    RowBox[{"InputField", "[", 
                    RowBox[{
                    RowBox[{"Dynamic", "@", "deskl"}], ",", 
                    RowBox[{"FieldSize", "\[Rule]", "Tiny"}]}], "]"}], ",", 
                    "\"\< ft\>\""}], "}"}], ",", "\[IndentingNewLine]", 
                   RowBox[{"{", 
                    RowBox[{"\"\<Chair width \>\"", ",", 
                    RowBox[{"InputField", "[", 
                    RowBox[{
                    RowBox[{"Dynamic", "@", "chairw"}], ",", 
                    RowBox[{"FieldSize", "\[Rule]", "Tiny"}]}], "]"}], ",", 
                    "\"\< ft\>\""}], "}"}], ",", "\[IndentingNewLine]", 
                   RowBox[{"{", 
                    RowBox[{"\"\<Seat back \>\"", ",", 
                    RowBox[{"InputField", "[", 
                    RowBox[{
                    RowBox[{"Dynamic", "@", "chairb"}], ",", 
                    RowBox[{"FieldSize", "\[Rule]", "Tiny"}]}], "]"}], ",", 
                    "\"\< ft\>\""}], "}"}], ",", "\[IndentingNewLine]", 
                   RowBox[{"{", 
                    RowBox[{"\"\<Nose position \>\"", ",", 
                    RowBox[{"InputField", "[", 
                    RowBox[{
                    RowBox[{"Dynamic", "@", "nosedist"}], ",", 
                    RowBox[{"FieldSize", "\[Rule]", "Tiny"}]}], "]"}], ",", 
                    "\"\< ft\>\""}], "}"}]}], "}"}], ",", 
                 "\[IndentingNewLine]", 
                 RowBox[{"Alignment", "\[Rule]", 
                  RowBox[{"{", 
                   RowBox[{"{", 
                    RowBox[{"Right", ",", 
                    RowBox[{"{", "Left", "}"}]}], "}"}], "}"}]}]}], "]"}], 
               ",", "\"\<Desk dimensions\>\"", ",", 
               RowBox[{"LabelStyle", "\[Rule]", "Bold"}]}], "]"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"Panel", "[", 
              RowBox[{
               RowBox[{"Grid", "[", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{"\"\<Side margin \>\"", ",", 
                    RowBox[{"InputField", "[", 
                    RowBox[{
                    RowBox[{"Dynamic", "@", "sidemarg"}], ",", 
                    RowBox[{"FieldSize", "\[Rule]", "Tiny"}]}], "]"}], ",", 
                    "\"\< ft\>\""}], "}"}], ",", "\[IndentingNewLine]", 
                   RowBox[{"{", 
                    RowBox[{"\"\<Back margin \>\"", ",", 
                    RowBox[{"InputField", "[", 
                    RowBox[{
                    RowBox[{"Dynamic", "@", "backmarg"}], ",", 
                    RowBox[{"FieldSize", "\[Rule]", "Tiny"}]}], "]"}], ",", 
                    "\"\< ft\>\""}], "}"}]}], "}"}], ",", 
                 "\[IndentingNewLine]", 
                 RowBox[{"Alignment", "\[Rule]", 
                  RowBox[{"{", 
                   RowBox[{"{", 
                    RowBox[{"Right", ",", 
                    RowBox[{"{", "Left", "}"}]}], "}"}], "}"}]}]}], "]"}], 
               ",", "\"\<Margins\>\"", ",", 
               RowBox[{"LabelStyle", "\[Rule]", "Bold"}]}], "]"}], ",", 
             "\[IndentingNewLine]", "\[IndentingNewLine]", 
             RowBox[{"Button", "[", 
              RowBox[{
               RowBox[{"Style", "[", 
                RowBox[{
                "\"\<Calculate Layouts\>\"", ",", "Bold", ",", " ", "16"}], 
                "]"}], ",", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"seatl", " ", "=", " ", 
                 RowBox[{"deskl", "+", "chairb"}]}], ";", 
                "\[IndentingNewLine]", 
                RowBox[{"W", "=", 
                 RowBox[{"Wid", "-", "seatw", "-", 
                  RowBox[{"2", "sidemarg"}]}]}], ";", "\[IndentingNewLine]", 
                RowBox[{"L", "=", " ", 
                 RowBox[{"Len", " ", "-", 
                  RowBox[{"(", 
                   RowBox[{"seatl", "-", "nosedist"}], ")"}], "-", "backmarg",
                   "-", "frontspace"}]}], ";", "\[IndentingNewLine]", 
                RowBox[{"Cols", " ", "=", 
                 RowBox[{"\[LeftFloor]", 
                  FractionBox[
                   RowBox[{"2", "W"}], "d"], "\[RightFloor]"}]}], ";", 
                "\[IndentingNewLine]", 
                RowBox[{"kmax", " ", "=", " ", 
                 RowBox[{"\[LeftCeiling]", 
                  RowBox[{"Cols", "-", 
                   FractionBox[
                    RowBox[{"2", "W"}], 
                    RowBox[{
                    SqrtBox["3"], "d"}]]}], "\[RightCeiling]"}]}], ";", 
                "\[IndentingNewLine]", 
                RowBox[{"If", "[", 
                 RowBox[{
                  RowBox[{
                   FractionBox["W", 
                    RowBox[{"Cols", "-", "kmax"}]], ">", "d"}], ",", 
                  RowBox[{"kmax", "--"}]}], "]"}], ";", "\[IndentingNewLine]", 
                RowBox[{"kmin", "=", 
                 RowBox[{"If", "[", 
                  RowBox[{
                   RowBox[{"EvenQ", "[", "Cols", "]"}], ",", 
                   RowBox[{"-", "1"}], ",", "0"}], "]"}]}], ";", 
                "\[IndentingNewLine]", "\[IndentingNewLine]", 
                RowBox[{"(*", 
                 RowBox[{
                 "**", "**", "**", "**", "**", "**", "**", "**", "**", "**", "**",
                   "**", "**", "**", "**", "**", "**", "**", "**", "**", "**",
                   "**", "**", "**", "**", "**", "**", "**", "**", "**", "**",
                   "**", "**", "**", "**", "**", "**", "**", "**", "**", "**",
                   "**"}], "******)"}], "\[IndentingNewLine]", 
                RowBox[{"(*", " ", 
                 RowBox[{
                 "Layouts", " ", "contains", " ", "the", " ", "paramater", 
                  " ", "for", " ", "all", " ", "the", " ", "layout", " ", 
                  "for", " ", "a", " ", "given", " ", 
                  RowBox[{"classroom", ".", " ", "each"}], " ", "entry", " ", 
                  "contains", " ", "a", " ", "list", "  ", "with"}], " ", 
                 "*)"}], "\[IndentingNewLine]", 
                RowBox[{"(*", " ", 
                 RowBox[{"the", " ", "following", " ", 
                  RowBox[{"structure", ":", " ", 
                   RowBox[{"{", 
                    RowBox[{"layout", ",", " ", "Capacity", ",", " ", 
                    RowBox[{"#", " ", "of", " ", "columns"}], ",", " ", 
                    RowBox[{"#", " ", "of", " ", "rows"}], ",", " ", 
                    RowBox[{"board", " ", "distance"}], ",", " ", 
                    RowBox[{"instructure", " ", "space"}], ","}], 
                    "    "}]}]}], "*)"}], "\[IndentingNewLine]", 
                RowBox[{"(*", 
                 RowBox[{"  ", 
                  RowBox[{
                   RowBox[{
                   "\[CapitalDelta]x", " ", "or", " ", "\[CapitalDelta]x1"}], 
                   ",", " ", "\[CapitalDelta]x2", ",", " ", "horiz", ",", " ", 
                   RowBox[{
                   "\[CapitalDelta]y", " ", "or", " ", "\[CapitalDelta]y1"}], 
                   ",", " ", "\[CapitalDelta]y2", ",", " ", "vert"}], "}"}], 
                 " ", "*)"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
                RowBox[{"Layouts", " ", "=", " ", 
                 RowBox[{"Table", "[", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"layout", " ", "=", " ", 
                    RowBox[{"ToString", "@", 
                    RowBox[{"StringForm", "[", 
                    RowBox[{"\"\<H``\>\"", ",", 
                    RowBox[{"-", "k"}]}], "]"}]}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"nw", " ", "=", " ", 
                    RowBox[{"Cols", "-", "k"}]}], ";", 
                    RowBox[{"\[CapitalDelta]x", " ", "=", " ", 
                    FractionBox["W", "nw"]}], ";", "\[IndentingNewLine]", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"2", "\[CapitalDelta]x"}], "<", "d"}], ",", " ", 
                    RowBox[{
                    RowBox[{"\[CapitalDelta]x1", "=", 
                    RowBox[{"W", "-", 
                    RowBox[{
                    FractionBox[
                    RowBox[{"(", 
                    RowBox[{"nw", "-", "1"}], ")"}], "2"], " ", "d"}]}]}], 
                    ";", 
                    RowBox[{"\[CapitalDelta]x2", "=", 
                    RowBox[{
                    RowBox[{
                    FractionBox[
                    RowBox[{"(", 
                    RowBox[{"nw", "+", "1"}], ")"}], "2"], "d"}], "-", 
                    "W"}]}], ";", 
                    RowBox[{"horiz", "=", "True"}]}], ",", 
                    RowBox[{"horiz", "=", "False"}]}], "]"}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"\[CapitalDelta]y", " ", "=", " ", 
                    RowBox[{"If", "[", 
                    RowBox[{"horiz", ",", 
                    SqrtBox[
                    RowBox[{
                    SuperscriptBox["d", "2"], "-", 
                    SuperscriptBox["\[CapitalDelta]x1", "2"]}]], ",", 
                    SqrtBox[
                    RowBox[{
                    SuperscriptBox["d", "2"], "-", 
                    SuperscriptBox["\[CapitalDelta]x", "2"]}]]}], "]"}]}], 
                    ";", "\[IndentingNewLine]", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"2", "\[CapitalDelta]y"}], "<", "d"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"nl", " ", "=", 
                    RowBox[{"Floor", "[", 
                    FractionBox[
                    RowBox[{"2", "L"}], "d"], "]"}]}], ";", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"OddQ", "[", "nl", "]"}], "\[Or]", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"L", "-", 
                    RowBox[{"d", " ", 
                    RowBox[{"nl", "/", "2"}]}]}], ">", "\[CapitalDelta]y"}], 
                    ")"}]}], ",", 
                    RowBox[{
                    RowBox[{"\[CapitalDelta]y1", "=", "\[CapitalDelta]y"}], 
                    ";", 
                    RowBox[{"\[CapitalDelta]y2", "=", 
                    RowBox[{"d", "-", "\[CapitalDelta]y"}]}], ";", 
                    RowBox[{"nl", " ", "=", " ", 
                    RowBox[{
                    RowBox[{"2", 
                    RowBox[{"\[LeftFloor]", 
                    RowBox[{"nl", "/", "2"}], "\[RightFloor]"}]}], "+", 
                    "1"}]}], ";", 
                    RowBox[{"vert", "=", "True"}]}], ",", 
                    RowBox[{
                    RowBox[{"\[CapitalDelta]y", "=", 
                    RowBox[{"d", "/", "2"}]}], ";", 
                    RowBox[{"vert", "=", "False"}]}]}], "]"}]}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"nl", " ", "=", 
                    RowBox[{"Floor", "[", 
                    FractionBox["L", "\[CapitalDelta]y"], "]"}]}], ";", " ", 
                    RowBox[{"vert", "=", "False"}]}]}], "]"}], ";", 
                    RowBox[{"capa", " ", "=", " ", 
                    RowBox[{"NCap", "[", 
                    RowBox[{"nw", ",", "nl"}], "]"}]}], ";", 
                    RowBox[{"boarddist", "=", " ", 
                    RowBox[{
                    "Len", "-", "backmarg", "-", "seatl", "+", "nosedist", 
                    "-", 
                    RowBox[{"nl", " ", 
                    RowBox[{"If", "[", 
                    RowBox[{"vert", ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"\[CapitalDelta]y1", "+", "\[CapitalDelta]y2"}], 
                    ")"}], "/", "2"}], "+", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"OddQ", "[", "nl", "]"}], ",", 
                    FractionBox[
                    RowBox[{"\[CapitalDelta]y1", "-", "\[CapitalDelta]y2"}], 
                    RowBox[{"2", "nl"}]]}], "]"}]}], ",", 
                    "\[CapitalDelta]y"}], "]"}]}]}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"{", 
                    RowBox[{"layout", ",", "capa", ",", " ", 
                    RowBox[{"nw", "+", "1"}], ",", 
                    RowBox[{"nl", "+", "1"}], ",", "boarddist", ",", 
                    RowBox[{"boarddist", "-", "d"}], ",", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    "horiz", ",", "\[CapitalDelta]x1", ",", 
                    "\[CapitalDelta]x"}], "]"}], ",", 
                    RowBox[{"If", "[", 
                    RowBox[{"horiz", ",", "\[CapitalDelta]x2"}], "]"}], ",", 
                    "horiz", ",", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    "vert", ",", "\[CapitalDelta]y1", ",", 
                    "\[CapitalDelta]y"}], "]"}], ",", 
                    RowBox[{"If", "[", 
                    RowBox[{"vert", ",", "\[CapitalDelta]y2"}], "]"}], ",", 
                    "vert", ",", 
                    FractionBox["W", 
                    RowBox[{"Cols", "-", "k"}]]}], "}"}]}], ",", 
                   RowBox[{"{", 
                    RowBox[{"k", ",", "kmax", ",", "kmin", ",", 
                    RowBox[{"-", "1"}]}], "}"}]}], "\[IndentingNewLine]", 
                  "]"}]}]}]}], "]"}], ",", "\[IndentingNewLine]", 
             RowBox[{"(*", 
              RowBox[{
               RowBox[{"Button", "[", 
                RowBox[{
                 RowBox[{"Style", "[", 
                  RowBox[{
                  "\"\<Save Drawing\>\"", ",", "Bold", ",", " ", "16"}], 
                  "]"}], ",", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"file", "=", 
                   RowBox[{"SystemDialogInput", "[", 
                    RowBox[{"\"\<FileSave\>\"", ",", 
                    RowBox[{"{", 
                    RowBox[{"dir", ",", 
                    RowBox[{"{", 
                    RowBox[{"\"\<pdf files\>\"", "\[Rule]", 
                    RowBox[{"{", "\"\<*.pdf\>\"", "}"}]}], "}"}]}], "}"}]}], 
                    "]"}]}], ";", "\[IndentingNewLine]", 
                  RowBox[{"If", "[", 
                   RowBox[{
                    RowBox[{"file", "=!=", "$Canceled"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"dir", " ", "=", 
                    RowBox[{"FileNameDrop", "[", "file", "]"}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"Export", "[", 
                    RowBox[{"file", ",", "plan"}], "]"}]}]}], 
                   "\[IndentingNewLine]", "]"}]}], ",", "\[IndentingNewLine]", 
                 RowBox[{"Method", "\[Rule]", "\"\<Queued\>\""}]}], "]"}], 
               ","}], "*)"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
             RowBox[{"Dynamic", "[", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"If", "[", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Length", "[", "Layouts", "]"}], ">", "0"}], ",", 
                 "\[IndentingNewLine]", 
                 RowBox[{"Panel", "[", 
                  RowBox[{"Grid", "[", "\[IndentingNewLine]", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Prepend", "[", 
                    RowBox[{
                    RowBox[{"MapIndexed", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Setter", "[", 
                    RowBox[{
                    RowBox[{"Dynamic", "[", "lyut", "]"}], ",", "#2", ",", 
                    "#1"}], "]"}], "&"}], ",", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Layouts", "\[Transpose]"}], 
                    "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
                    ")"}]}], "]"}], ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<Layouts\>\"", ",", "Bold"}], "]"}]}], "]"}], 
                    ",", "\[IndentingNewLine]", 
                    RowBox[{"Prepend", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"OddQ", "[", 
                    RowBox[{
                    "#", "\[LeftDoubleBracket]", "3", 
                    "\[RightDoubleBracket]"}], "]"}], "\[And]", 
                    RowBox[{"OddQ", "[", 
                    RowBox[{
                    "#", "\[LeftDoubleBracket]", "4", 
                    "\[RightDoubleBracket]"}], "]"}]}], ",", 
                    RowBox[{"StringForm", "[", 
                    RowBox[{"\"\<``/``\>\"", ",", 
                    RowBox[{
                    RowBox[{
                    "#", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}], "-", "1"}], ",", 
                    RowBox[{
                    "#", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}]}], "]"}], ",", 
                    RowBox[{
                    "#", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}]}], "]"}], "&"}], "/@", 
                    "Layouts"}], ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<Capacity\>\"", ",", "Bold"}], "]"}]}], "]"}],
                     ",", "\[IndentingNewLine]", 
                    RowBox[{"Prepend", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Layouts", "\[Transpose]"}], 
                    "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}], 
                    ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<Columns\>\"", ",", "Bold"}], "]"}]}], "]"}], 
                    ",", "\[IndentingNewLine]", 
                    RowBox[{"Prepend", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Layouts", "\[Transpose]"}], 
                    "\[LeftDoubleBracket]", "4", "\[RightDoubleBracket]"}], 
                    ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<Rows\>\"", ",", "Bold"}], "]"}]}], "]"}], 
                    ",", "\[IndentingNewLine]", 
                    RowBox[{"Prepend", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"FootForm", "[", 
                    RowBox[{"#", ",", "True"}], "]"}], "&"}], "/@", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Layouts", "\[Transpose]"}], 
                    "\[LeftDoubleBracket]", "5", "\[RightDoubleBracket]"}], 
                    ")"}]}], ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<Board Dist\>\"", ",", "Bold"}], "]"}]}], 
                    "]"}], ",", "\[IndentingNewLine]", 
                    RowBox[{"Prepend", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"FootForm", "[", 
                    RowBox[{"#", ",", "True"}], "]"}], "&"}], "/@", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Layouts", "\[Transpose]"}], 
                    "\[LeftDoubleBracket]", "6", "\[RightDoubleBracket]"}], 
                    ")"}]}], ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<Instructor Space\>\"", ",", "Bold"}], 
                    "]"}]}], "]"}]}], "}"}], ",", 
                    RowBox[{"Frame", "\[Rule]", "All"}]}], "]"}], "]"}], ",", 
                 "\"\<\>\""}], "\[IndentingNewLine]", "]"}], ",", " ", 
               RowBox[{"TrackedSymbols", "\[RuleDelayed]", 
                RowBox[{"{", "Layouts", "}"}]}]}], "]"}], ",", 
             "\[IndentingNewLine]", 
             "\"\<\[Copyright] 2020 Hans Robinson\>\""}], 
            "\[IndentingNewLine]", "}"}], "]"}], ",", "\[IndentingNewLine]", 
          "\[IndentingNewLine]", 
          RowBox[{"Dynamic", "[", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"Length", "[", "Layouts", "]"}], ">", "1"}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"seatl", "=", 
                RowBox[{"deskl", "+", "chairb"}]}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{"lyut", "=", 
                RowBox[{"Min", "[", 
                 RowBox[{"lyut", ",", " ", 
                  RowBox[{"Max", "[", 
                   RowBox[{
                    RowBox[{"Length", "[", "Layouts", "]"}], ",", "1"}], 
                   "]"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
               RowBox[{"nw", " ", "=", " ", 
                RowBox[{
                 RowBox[{"Layouts", "\[LeftDoubleBracket]", 
                  RowBox[{"lyut", ",", "3"}], "\[RightDoubleBracket]"}], "-", 
                 "1"}]}], ";", "\[IndentingNewLine]", 
               RowBox[{"nl", " ", "=", " ", 
                RowBox[{"Layouts", "\[LeftDoubleBracket]", 
                 RowBox[{"lyut", ",", "4"}], "\[RightDoubleBracket]"}]}], ";",
                "\[IndentingNewLine]", 
               RowBox[{"\[CapitalDelta]x", "=", " ", 
                RowBox[{"Layouts", "\[LeftDoubleBracket]", 
                 RowBox[{"lyut", ",", "7"}], "\[RightDoubleBracket]"}]}], ";",
                "\[IndentingNewLine]", 
               RowBox[{"\[CapitalDelta]x1", "=", "\[CapitalDelta]x"}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{"\[CapitalDelta]x2", " ", "=", " ", 
                RowBox[{"Layouts", "\[LeftDoubleBracket]", 
                 RowBox[{"lyut", ",", "8"}], "\[RightDoubleBracket]"}]}], ";",
                "\[IndentingNewLine]", 
               RowBox[{"horiz", " ", "=", " ", 
                RowBox[{"Layouts", "\[LeftDoubleBracket]", 
                 RowBox[{"lyut", ",", "9"}], "\[RightDoubleBracket]"}]}], ";",
                "\[IndentingNewLine]", 
               RowBox[{"\[CapitalDelta]y", "=", " ", 
                RowBox[{"Layouts", "\[LeftDoubleBracket]", 
                 RowBox[{"lyut", ",", "10"}], "\[RightDoubleBracket]"}]}], 
               ";", "\[IndentingNewLine]", 
               RowBox[{"\[CapitalDelta]y1", "=", "\[CapitalDelta]y"}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{"\[CapitalDelta]y2", " ", "=", " ", 
                RowBox[{"Layouts", "\[LeftDoubleBracket]", 
                 RowBox[{"lyut", ",", "11"}], "\[RightDoubleBracket]"}]}], 
               ";", "\[IndentingNewLine]", 
               RowBox[{"vert", " ", "=", " ", 
                RowBox[{"Layouts", "\[LeftDoubleBracket]", 
                 RowBox[{"lyut", ",", "12"}], "\[RightDoubleBracket]"}]}], 
               ";", "\[IndentingNewLine]", 
               RowBox[{"For", "[", 
                RowBox[{
                 RowBox[{
                  RowBox[{"j", "=", "0"}], ";", 
                  RowBox[{"y", "=", "backmarg"}], ";", "\[IndentingNewLine]", 
                  RowBox[{"DeskGrid", "=", 
                   RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
                  RowBox[{"DimGrid", "=", 
                   RowBox[{"If", "[", 
                    RowBox[{"cumul", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Circle", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"sidemarg", "+", 
                    RowBox[{"seatw", "/", "2"}]}], ",", 
                    RowBox[{"y", "+", "seatl", "-", "nosedist"}]}], "}"}], 
                    ",", "0.5"}], "]"}], ",", 
                    RowBox[{"Arrowheads", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "0.02"}], ",", "0"}], "}"}], "]"}]}], "}"}], 
                    ",", 
                    RowBox[{"{", 
                    RowBox[{"Arrowheads", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "0.02"}], ",", "0.02"}], "}"}], "]"}], 
                    "}"}]}], "]"}]}]}], ",", "\[IndentingNewLine]", 
                 RowBox[{"y", "\[LessEqual]", 
                  RowBox[{"Len", "-", "frontspace", "-", 
                   RowBox[{"(", 
                    RowBox[{"seatl", "-", "nosedist"}], ")"}]}]}], ",", 
                 RowBox[{
                  RowBox[{"j", "++"}], ";", 
                  RowBox[{"yaugm", "=", 
                   RowBox[{"If", "[", 
                    RowBox[{"vert", ",", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"OddQ", "[", "j", "]"}], ",", "\[CapitalDelta]y1",
                     ",", "\[CapitalDelta]y2"}], "]"}], ",", 
                    "\[CapitalDelta]y"}], "]"}]}], ";", 
                  RowBox[{"y", "+=", "yaugm"}]}], ",", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"AppendTo", "[", 
                   RowBox[{"DimGrid", ",", 
                    RowBox[{"Line", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"0", ",", 
                    RowBox[{"y", "+", "seatl", "-", "nosedist"}]}], "}"}], 
                    ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"1.25", "Wid"}], ",", 
                    RowBox[{"y", "+", "seatl", "-", "nosedist"}]}], "}"}]}], 
                    "}"}], "]"}]}], "]"}], ";", "\[IndentingNewLine]", 
                  RowBox[{"If", "[", 
                   RowBox[{
                    RowBox[{"j", ">", "0"}], ",", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"AppendTo", "[", 
                    RowBox[{"DimGrid", ",", 
                    RowBox[{"Arrow", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"1.15", "Wid"}], ",", 
                    RowBox[{"y", "+", "seatl", "-", "nosedist"}]}], "}"}], 
                    ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"1.15", "Wid"}], ",", 
                    RowBox[{
                    "y", "-", "yaugm", "+", "seatl", "-", "nosedist", "+", 
                    RowBox[{
                    RowBox[{"Boole", "[", "cumul", "]"}], 
                    RowBox[{"yaugm", "/", "2"}]}]}]}], "}"}]}], "}"}], 
                    "]"}]}], "]"}], ";", 
                    RowBox[{"AppendTo", "[", 
                    RowBox[{"DimGrid", ",", 
                    RowBox[{"Text", "[", 
                    RowBox[{
                    RowBox[{"FootForm", "[", 
                    RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{"cumul", ",", "y", ",", "yaugm"}], "]"}], ",", 
                    "frac"}], "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"1.17", "Wid"}], ",", 
                    RowBox[{"y", "-", 
                    RowBox[{"yaugm", "/", "2"}], "+", 
                    RowBox[{
                    RowBox[{"Boole", "[", "cumul", "]"}], 
                    RowBox[{"yaugm", "/", "4"}]}], "+", "seatl", "-", 
                    "nosedist"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "1"}], ",", "0"}], "}"}]}], "]"}]}], 
                    "]"}]}]}], "\[IndentingNewLine]", "]"}], ";", 
                  "\[IndentingNewLine]", "\[IndentingNewLine]", 
                  RowBox[{"For", "[", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"i", "=", "0"}], ";", 
                    RowBox[{"x", "=", "sidemarg"}]}], ",", 
                    RowBox[{"i", "\[LessEqual]", "nw"}], ",", 
                    RowBox[{
                    RowBox[{"i", "++"}], ";", "\[IndentingNewLine]", 
                    RowBox[{"xaugm", " ", "=", " ", 
                    RowBox[{"If", "[", 
                    RowBox[{"horiz", ",", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"OddQ", "[", "i", "]"}], ",", "\[CapitalDelta]x1",
                     ",", "\[CapitalDelta]x2"}], "]"}], ",", 
                    "\[CapitalDelta]x"}], "]"}]}], ";", "\[IndentingNewLine]", 
                    RowBox[{"x", "+=", "xaugm"}]}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"OddQ", "[", 
                    RowBox[{"i", "+", "j"}], "]"}], "\[Equal]", "altconf"}], 
                    ",", 
                    RowBox[{"AppendTo", "[", 
                    RowBox[{"DeskGrid", ",", 
                    RowBox[{"Desk", "[", 
                    RowBox[{
                    "x", ",", "y", ",", "seatw", ",", "seatl", ",", "chairw", 
                    ",", "chairb", ",", "nosedist"}], "]"}]}], "]"}]}], "]"}],
                     ";", "\[IndentingNewLine]", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"j", "\[Equal]", "0"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"AppendTo", "[", 
                    RowBox[{"DimGrid", ",", 
                    RowBox[{"Line", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"x", "+", 
                    RowBox[{"seatw", "/", "2"}]}], ",", 
                    RowBox[{
                    RowBox[{"-", "0.25"}], "Wid"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"x", "+", 
                    RowBox[{"seatw", "/", "2"}]}], ",", 
                    RowBox[{"Len", "-", "frontspace", "-", 
                    RowBox[{"seatl", "/", "2"}]}]}], "}"}]}], "}"}], "]"}]}], 
                    "]"}], ";", "\[IndentingNewLine]", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"i", ">", "0"}], ",", 
                    RowBox[{
                    RowBox[{"AppendTo", "[", 
                    RowBox[{"DimGrid", ",", 
                    RowBox[{"Arrow", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"x", "+", 
                    RowBox[{"seatw", "/", "2"}]}], ",", 
                    RowBox[{
                    RowBox[{"-", "0.15"}], "Wid"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"x", "+", 
                    RowBox[{"seatw", "/", "2"}], "-", "xaugm", "+", 
                    RowBox[{
                    RowBox[{"Boole", "[", "cumul", "]"}], 
                    RowBox[{"xaugm", "/", "2"}]}]}], ",", 
                    RowBox[{
                    RowBox[{"-", "0.15"}], "Wid"}]}], "}"}]}], "}"}], "]"}]}],
                     "]"}], ";", 
                    RowBox[{"AppendTo", "[", 
                    RowBox[{"DimGrid", ",", 
                    RowBox[{"Text", "[", 
                    RowBox[{
                    RowBox[{"FootForm", "[", 
                    RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{"cumul", ",", "x", ",", "xaugm"}], "]"}], ",", 
                    "frac"}], "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"x", "+", 
                    RowBox[{"seatw", "/", "2"}], "-", 
                    RowBox[{"xaugm", "/", "2"}], "+", 
                    RowBox[{
                    RowBox[{"Boole", "[", "cumul", "]"}], 
                    RowBox[{"xaugm", "/", "4"}]}]}], ",", 
                    RowBox[{
                    RowBox[{"-", "0.17"}], "Wid"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", "1"}], "}"}]}], "]"}]}], "]"}]}]}], 
                    "]"}]}]}], "\[IndentingNewLine]", "]"}]}]}], 
                   "\[IndentingNewLine]", "]"}]}]}], "\[IndentingNewLine]", 
                "]"}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
               RowBox[{"Column", "[", "\[IndentingNewLine]", 
                RowBox[{"If", "[", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Length", "[", "Layouts", "]"}], ">", "0"}], ",", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"Row", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"\"\<Footprint: \>\"", ",", 
                    RowBox[{"FootForm", "[", 
                    RowBox[{"Wid", ",", "True"}], "]"}], ",", 
                    "\"\<\[Cross]\>\"", ",", 
                    RowBox[{"FootForm", "[", 
                    RowBox[{"Len", ",", "True"}], "]"}], ",", 
                    "\"\<   Layout: \>\"", ",", 
                    RowBox[{
                    RowBox[{"Layouts", "\[LeftDoubleBracket]", 
                    RowBox[{"lyut", ",", "1"}], "\[RightDoubleBracket]"}], "<>", 
                    RowBox[{"If", "[", 
                    RowBox[{"altconf", ",", "\"\<a\>\"", ",", "\"\<\>\""}], 
                    "]"}]}], ",", " ", "\"\<    Capacity: \>\"", ",", 
                    RowBox[{"Length", "[", "DeskGrid", "]"}]}], "}"}], ",", 
                    RowBox[{"BaseStyle", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"16", ",", "Bold"}], "}"}]}]}], "]"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<Dimensions: \>\"", ",", "Bold"}], "]"}], ",", 
                    RowBox[{"Grid", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Checkbox", "[", 
                    RowBox[{"Dynamic", "@", "frac"}], "]"}], ",", 
                    "\"\<Fractional\>\""}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Checkbox", "[", 
                    RowBox[{"Dynamic", "@", "cumul"}], "]"}], ",", 
                    "\"\<Cumulated\>\""}], "}"}]}], "}"}], "]"}], ",", 
                    "\[IndentingNewLine]", "\"\<         \>\"", ",", 
                    RowBox[{"Checkbox", "[", 
                    RowBox[{"Dynamic", "@", "altconf"}], "]"}], ",", 
                    "\"\< Alt. config.\>\""}], "}"}], "]"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Length", "[", "Layouts", "]"}], ">", "0"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"(*", 
                    RowBox[{"EventHandler", "["}], "*)"}], 
                    "\[IndentingNewLine]", 
                    RowBox[{"(*", 
                    RowBox[{
                    RowBox[{"gr", "=", 
                    RowBox[{"Graphics", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"Scale", "[", 
                    RowBox[{
                    RowBox[{"Inset", "[", 
                    RowBox[{"img3", ",", 
                    RowBox[{
                    RowBox[{"Dynamic", "@", "s"}], 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Dynamic", "@", "x"}], ",", 
                    RowBox[{"Dynamic", "@", "y"}]}], "}"}]}], ",", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"w", ",", "l"}], "}"}], "/", 
                    RowBox[{"(", "2", ")"}]}], ",", "Automatic", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Cos", "[", 
                    RowBox[{
                    RowBox[{"Dynamic", "@", "\[Theta]"}], " ", "\[Degree]"}], 
                    "]"}], ",", 
                    RowBox[{"Sin", "[", 
                    RowBox[{
                    RowBox[{"Dynamic", "@", "\[Theta]"}], " ", "\[Degree]"}], 
                    "]"}]}], "}"}]}], "]"}], ",", 
                    RowBox[{"Dynamic", "@", "s"}]}], "]"}], "}"}], ",", 
                    RowBox[{"PlotRange", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "A"}], ",", "A"}], "}"}], "/", "2"}], ",", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "B"}], ",", "B"}], "}"}], "/", "2"}]}], 
                    "}"}]}], ",", 
                    RowBox[{"ImagePadding", "\[Rule]", "0"}]}], "]"}]}], 
                    ";"}], "*)"}], "\[IndentingNewLine]", 
                    RowBox[{"plan", "=", 
                    RowBox[{"Graphics", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"EdgeForm", "[", "Thick", "]"}], ",", "White", 
                    ",", 
                    RowBox[{"Rectangle", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"0", ",", "0"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"Wid", ",", " ", "Len"}], "}"}]}], "]"}], ",", 
                    RowBox[{"EdgeForm", "[", "Thick", "]"}], ",", "DeskGrid", 
                    ",", "\[IndentingNewLine]", 
                    RowBox[{"Darker", "@", "Green"}], ",", 
                    RowBox[{"(*", 
                    RowBox[{"DotDashed", ","}], "*)"}], "DimGrid", ",", 
                    "\[IndentingNewLine]", "Black", ",", "Dashed", ",", 
                    RowBox[{"Line", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"0", ",", 
                    RowBox[{"Len", "-", "frontspace"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"Wid", ",", 
                    RowBox[{"Len", "-", "frontspace"}]}], "}"}]}], "}"}], 
                    "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
                    RowBox[{"ImageSize", "\[Rule]", "600"}]}], "]"}]}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"(*", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"\"\<MouseDown\>\"", ",", "1"}], "}"}], 
                    "\[RuleDelayed]", 
                    RowBox[{"(", 
                    RowBox[{"first", "=", 
                    RowBox[{"MousePosition", "[", "\"\<Graphics\>\"", "]"}]}],
                     ")"}]}], ",", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"\"\<MouseDragged\>\"", ",", "1"}], "}"}], 
                    "\[RuleDelayed]", 
                    RowBox[{"(", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"CurrentValue", "@", "\"\<ControlKey\>\""}], 
                    "\[Or]", "zooming"}], ",", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"zooming", "=", "True"}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"boxSize", "=", 
                    RowBox[{
                    RowBox[{"MousePosition", "[", "\"\<Graphics\>\"", "]"}], 
                    "-", "first"}]}], ";", "\[IndentingNewLine]", 
                    RowBox[{"mP", "=", 
                    RowBox[{"Min", "[", 
                    RowBox[{
                    RowBox[{"Abs", "@", 
                    RowBox[{
                    "boxSize", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}]}], ",", 
                    RowBox[{
                    RowBox[{"Abs", "@", 
                    RowBox[{
                    "boxSize", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}]}], "/", "ar"}]}], "]"}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"second", "=", " ", 
                    RowBox[{"first", "+", 
                    RowBox[{"mP", 
                    RowBox[{"{", 
                    RowBox[{"1", ",", "ar"}], "}"}], 
                    RowBox[{"RealSign", "[", "boxSize", "]"}]}]}]}]}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"second", "=", 
                    RowBox[{"MousePosition", "[", "\"\<Graphics\>\"", "]"}]}],
                     ";", "\[IndentingNewLine]", 
                    RowBox[{"x", " ", "=", 
                    RowBox[{"x", "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    "second", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], "-", 
                    RowBox[{
                    "first", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}]}], ")"}], "/", "s"}]}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"y", " ", "=", 
                    RowBox[{"y", "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    "second", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}], "-", 
                    RowBox[{
                    "first", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}]}], ")"}], "/", "s"}]}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"first", "=", "second"}]}]}], "]"}], ")"}]}], ",",
                     "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"\"\<MouseUp\>\"", ",", "1"}], "}"}], 
                    "\[RuleDelayed]", 
                    RowBox[{"(", 
                    RowBox[{"If", "[", 
                    RowBox[{"zooming", ",", 
                    RowBox[{
                    RowBox[{"zooming", "=", "False"}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"sn", "=", 
                    RowBox[{"s", 
                    FractionBox["A", 
                    RowBox[{"Abs", "[", 
                    RowBox[{
                    RowBox[{
                    "first", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], "-", 
                    RowBox[{
                    "second", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}]}], "]"}]]}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"x", "=", 
                    RowBox[{"x", "+", 
                    RowBox[{
                    FractionBox["A", "2"], 
                    RowBox[{"(", 
                    RowBox[{
                    FractionBox["1", "s"], "-", 
                    FractionBox["1", "sn"]}], ")"}]}], "-", 
                    FractionBox[
                    RowBox[{"Min", "[", 
                    RowBox[{
                    RowBox[{
                    "first", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], ",", 
                    RowBox[{
                    "second", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}]}], "]"}], "s"]}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"y", "=", 
                    RowBox[{"y", "+", 
                    RowBox[{
                    FractionBox["B", "2"], 
                    RowBox[{"(", 
                    RowBox[{
                    FractionBox["1", "s"], "-", 
                    FractionBox["1", "sn"]}], ")"}]}], "-", 
                    FractionBox[
                    RowBox[{"Min", "[", 
                    RowBox[{
                    RowBox[{
                    "first", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}], ",", 
                    RowBox[{
                    "second", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}]}], "]"}], "s"]}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"s", "=", "sn"}]}]}], "]"}], ")"}]}]}], "}"}], 
                    "\[IndentingNewLine]", "]"}], "*)"}], 
                    "\[IndentingNewLine]", ",", "\"\< \>\""}], "]"}]}], "}"}],
                   ",", 
                  RowBox[{"{", "\"\<\>\"", "}"}]}], "]"}], "]"}]}], ",", 
              "\"\<\>\""}], "]"}], ",", "\[IndentingNewLine]", 
            RowBox[{"TrackedSymbols", "\[RuleDelayed]", 
             RowBox[{"{", 
              RowBox[{
              "Layouts", ",", "lyut", ",", "frac", ",", "cumul", ",", " ", 
               "altconf"}], "}"}]}]}], "]"}]}], "\[IndentingNewLine]", 
         RowBox[{"(*", 
          RowBox[{",", 
           RowBox[{"Dynamic", "[", "\[IndentingNewLine]", 
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"Length", "[", "Layouts", "]"}], ">", "1"}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{"Panel", "[", 
               RowBox[{
                RowBox[{"Column", "[", 
                 RowBox[{
                  RowBox[{"{", "\[IndentingNewLine]", 
                   RowBox[{
                    RowBox[{"Button", "[", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{
                    "\"\<Load Floorplan\>\"", ",", "Bold", ",", " ", "16"}], 
                    "]"}], ",", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"file", "=", 
                    RowBox[{"SystemDialogInput", "[", 
                    RowBox[{"\"\<FileOpen\>\"", ",", 
                    RowBox[{"{", 
                    RowBox[{"$UserDocumentsDirectory", ",", 
                    RowBox[{"{", 
                    RowBox[{"\"\<pdf files (v1.5 or lower)\>\"", "\[Rule]", 
                    RowBox[{"{", "\"\<*.pdf\>\"", "}"}]}], "}"}]}], "}"}]}], 
                    "]"}]}], ";", "\[IndentingNewLine]", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"file", "\[NotEqual]", "$Canceled"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"dir", " ", "=", 
                    RowBox[{"FileNameDrop", "[", "file", "]"}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"floorplan", " ", "=", " ", 
                    RowBox[{
                    RowBox[{"Import", "[", 
                    RowBox[{"file", ",", "\"\<Pages\>\""}], "]"}], 
                    "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}], 
                    ";", "\[IndentingNewLine]", 
                    RowBox[{"DialogInput", "[", 
                    RowBox[{
                    RowBox[{"DialogNotebook", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"InputField", "[", 
                    RowBox[{"floorplan", ",", 
                    RowBox[{"FieldSize", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"20", ",", "Infinity"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"20", ",", "Infinity"}], "}"}]}], "}"}]}]}], 
                    "]"}], ",", 
                    RowBox[{
                    RowBox[{"img5", "=", "Null"}], ";", 
                    RowBox[{"InputField", "[", 
                    RowBox[{
                    RowBox[{"Dynamic", "@", "img3"}], ",", 
                    RowBox[{"FieldSize", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"20", ",", "40"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"20", ",", "40"}], "}"}]}], "}"}]}]}], "]"}]}], 
                    ",", 
                    RowBox[{"Button", "[", 
                    RowBox[{"\"\<Proceed\>\"", ",", 
                    RowBox[{"DialogReturn", "[", "img5", "]"}]}], "]"}]}], 
                    "}"}], "]"}], ",", 
                    RowBox[{"WindowSize", "\[Rule]", "800"}]}], "]"}]}]}], 
                    "\[IndentingNewLine]", "]"}]}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"Method", "\[Rule]", "\"\<Queued\>\""}]}], "]"}], 
                    ",", "\[IndentingNewLine]", 
                    RowBox[{"Button", "[", 
                    RowBox[{"Style", "[", 
                    RowBox[{
                    "\"\<Clear Floorplan\>\"", ",", "Bold", ",", " ", "16"}], 
                    "]"}], "]"}], ",", "\[IndentingNewLine]", 
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{"\"\< x \>\"", ",", 
                    RowBox[{"Dynamic", "@", 
                    RowBox[{"manip", "[", 
                    RowBox[{
                    RowBox[{"Dynamic", "@", "x"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "1.5"}], "A"}], ",", 
                    RowBox[{"1.5", "A"}]}], "}"}]}], "]"}]}]}], "}"}], "]"}], 
                    ",", "\[IndentingNewLine]", 
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{"\"\< y \>\"", ",", 
                    RowBox[{"Dynamic", "@", 
                    RowBox[{"manip", "[", 
                    RowBox[{
                    RowBox[{"Dynamic", "@", "y"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "1.5"}], "B"}], ",", 
                    RowBox[{"1.5", "B"}]}], "}"}]}], "]"}]}]}], "}"}], "]"}], 
                    ",", "\[IndentingNewLine]", 
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{"\"\< scale \>\"", ",", 
                    RowBox[{"Dynamic", "@", 
                    RowBox[{"manip", "[", 
                    RowBox[{
                    RowBox[{"Dynamic", "@", "s"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"0.5", ",", "5"}], "}"}]}], "]"}]}]}], "}"}], 
                    "]"}], ",", "\[IndentingNewLine]", 
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{"\"\< orientation \>\"", ",", 
                    RowBox[{"Dynamic", "@", 
                    RowBox[{"manip", "[", 
                    RowBox[{
                    RowBox[{"Dynamic", "@", "\[Theta]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "180"}], ",", "180", ",", "30"}], "}"}]}], 
                    "]"}]}]}], "}"}], "]"}], ",", "\[IndentingNewLine]", 
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{"\"\< visibility \>\"", ",", 
                    RowBox[{"Dynamic", "@", 
                    RowBox[{"manip", "[", 
                    RowBox[{
                    RowBox[{"Dynamic", "@", "a"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", "1"}], "}"}]}], "]"}]}]}], "}"}], "]"}],
                     ",", "\[IndentingNewLine]", 
                    "\"\<Drag to pan, Ctrl-drag to zoom in\>\""}], 
                   "\[IndentingNewLine]", "}"}], ",", 
                  RowBox[{"Alignment", "\[Rule]", "Right"}]}], "]"}], ",", 
                "\"\<Floorplan overlay\>\"", ",", 
                RowBox[{"LabelStyle", "\[Rule]", "Bold"}]}], "]"}], 
              "\[IndentingNewLine]", ",", "\"\<\>\""}], "]"}], 
            "\[IndentingNewLine]", "]"}]}], "*)"}], "\[IndentingNewLine]", 
         "}"}], "}"}], ",", 
       RowBox[{"Alignment", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"Left", ",", "Top"}], "}"}]}]}], "]"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"SaveDefinitions", "\[Rule]", "True"}]}], "]"}]}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  "]"}], "\[IndentingNewLine]"}], "Input",
 ShowCellBracket->False,
 CellOpen->False,
 InitializationCell->True,
 ShowCellLabel->False,
 CellChangeTimes->{{3.8004759860875206`*^9, 3.8004760843582373`*^9}, {
   3.800476117381879*^9, 3.800476324683378*^9}, {3.800476391378294*^9, 
   3.800476391968667*^9}, {3.8004764384595423`*^9, 3.8004764613169947`*^9}, {
   3.800476636373166*^9, 3.800476675400589*^9}, {3.800476713298522*^9, 
   3.8004767341947813`*^9}, {3.8004768112573056`*^9, 3.800476860982912*^9}, {
   3.8004769053007298`*^9, 3.800477021782064*^9}, {3.8004770901268697`*^9, 
   3.800477107274519*^9}, 3.800477327802515*^9, 3.800477392430696*^9, {
   3.800477723504473*^9, 3.800477729406433*^9}, {3.8004779800265007`*^9, 
   3.8004779960282507`*^9}, {3.800478038166331*^9, 3.800478105062235*^9}, {
   3.8004781413180285`*^9, 3.8004781530978336`*^9}, {3.800479629942342*^9, 
   3.8004796625970774`*^9}, {3.800479693830595*^9, 3.800479722560478*^9}, {
   3.8004804122581763`*^9, 3.8004804312649965`*^9}, {3.800480528173643*^9, 
   3.800480529141048*^9}, {3.8004805652430644`*^9, 3.8004808454989405`*^9}, {
   3.8004808767578354`*^9, 3.8004809314784555`*^9}, {3.800481088992876*^9, 
   3.800481093130014*^9}, {3.8004811504837313`*^9, 3.800481272682156*^9}, {
   3.800481336930794*^9, 3.8004813609677773`*^9}, 3.8004816280127277`*^9, {
   3.8004817081148305`*^9, 3.8004817742685003`*^9}, {3.800481811314351*^9, 
   3.8004818131933384`*^9}, {3.8004829992681713`*^9, 3.800483087838104*^9}, 
   3.8004831223733745`*^9, {3.8004831849211082`*^9, 3.8004831857125025`*^9}, {
   3.800483332742882*^9, 3.800483360712838*^9}, {3.8004834113666143`*^9, 
   3.8004834129545484`*^9}, {3.800483527833906*^9, 3.800483606843888*^9}, {
   3.800483637315622*^9, 3.8004836475853834`*^9}, {3.8004837568976135`*^9, 
   3.800483837716091*^9}, {3.8004842920002685`*^9, 3.800484315177021*^9}, {
   3.80048435769319*^9, 3.8004843788156457`*^9}, {3.800484413267339*^9, 
   3.8004844426425595`*^9}, {3.800484510522927*^9, 3.800484557027856*^9}, {
   3.8004846145192795`*^9, 3.800484615990346*^9}, {3.8004846512386627`*^9, 
   3.8004846757624197`*^9}, 3.8004847388954988`*^9, {3.8004848203038416`*^9, 
   3.8004849767832384`*^9}, {3.8004850292282376`*^9, 
   3.8004851132434936`*^9}, {3.8004851776786003`*^9, 
   3.8004852760354795`*^9}, {3.800488297239482*^9, 3.8004883446716366`*^9}, {
   3.800488384522236*^9, 3.800488471687865*^9}, {3.800488536077984*^9, 
   3.8004885365148163`*^9}, {3.800488845953304*^9, 3.800488904296629*^9}, 
   3.8004889499615927`*^9, {3.8004895838459177`*^9, 3.800489584046396*^9}, {
   3.8004896288147507`*^9, 3.8004896386579857`*^9}, {3.800489678495372*^9, 
   3.800489733813267*^9}, {3.800529693991048*^9, 3.800529734595144*^9}, {
   3.8005297711137667`*^9, 3.8005299661676774`*^9}, {3.800534242527398*^9, 
   3.8005342437616577`*^9}, {3.800534320872131*^9, 3.8005343264679766`*^9}, {
   3.8005343569560966`*^9, 3.800534500237551*^9}, 3.8005345336907496`*^9, {
   3.8005346055492516`*^9, 3.800534656006544*^9}, {3.800534733834296*^9, 
   3.800534736609759*^9}, {3.80053525422126*^9, 3.80053533685495*^9}, {
   3.80053539170551*^9, 3.800535478232927*^9}, {3.800535512835889*^9, 
   3.800535539185915*^9}, {3.8005355693079543`*^9, 3.800535600909124*^9}, {
   3.8005378977558794`*^9, 3.8005379346140966`*^9}, 3.8005379699127293`*^9, {
   3.800538163464116*^9, 3.800538199461712*^9}, {3.800538287751981*^9, 
   3.8005383098190207`*^9}, {3.800538360071364*^9, 3.8005384239558024`*^9}, {
   3.800538502690151*^9, 3.8005385126893196`*^9}, {3.8005397815249186`*^9, 
   3.8005398366988716`*^9}, {3.800539870541732*^9, 3.8005398790189342`*^9}, {
   3.8005400183078566`*^9, 3.8005401371425443`*^9}, {3.800540191714001*^9, 
   3.800540196448242*^9}, {3.800540282559291*^9, 3.800540285535336*^9}, {
   3.800540347804716*^9, 3.8005403652438517`*^9}, {3.800540946991348*^9, 
   3.8005409715900655`*^9}, 3.800541068856253*^9, {3.800541108628167*^9, 
   3.8005411306124296`*^9}, {3.8005428385284386`*^9, 
   3.8005429071782312`*^9}, {3.8005429392397285`*^9, 3.800542942927551*^9}, {
   3.8005430016062136`*^9, 3.8005430299458523`*^9}, {3.800543625822631*^9, 
   3.800543673878703*^9}, {3.800543704908512*^9, 3.8005437378470154`*^9}, {
   3.8005437694090548`*^9, 3.800543825124177*^9}, {3.8005438713771095`*^9, 
   3.8005439970576024`*^9}, {3.800544048528699*^9, 3.800544048608449*^9}, {
   3.800544208151885*^9, 3.8005444222571297`*^9}, {3.8005445235534396`*^9, 
   3.800544558676526*^9}, 3.80054458927647*^9, {3.80054466101532*^9, 
   3.800544712700495*^9}, {3.800544751915303*^9, 3.800544752435521*^9}, {
   3.8005448674928446`*^9, 3.8005449000036025`*^9}, {3.800545153197565*^9, 
   3.800545153421204*^9}, {3.800545420986094*^9, 3.800545460569687*^9}, {
   3.800545501998988*^9, 3.800545549931826*^9}, {3.800545609766497*^9, 
   3.800545621662538*^9}, {3.8005456863732185`*^9, 3.800545802430831*^9}, {
   3.800545856530209*^9, 3.8005459095939693`*^9}, {3.8005459428645525`*^9, 
   3.800545985498181*^9}, {3.8005460565821524`*^9, 3.8005461078336725`*^9}, {
   3.800546159537531*^9, 3.8005461649777756`*^9}, {3.8005462556312957`*^9, 
   3.8005462587235594`*^9}, 3.8005463133387737`*^9, {3.800546504798046*^9, 
   3.800546505372465*^9}, {3.8005466937762203`*^9, 3.800546735258328*^9}, {
   3.8005467923465796`*^9, 3.8005468194983487`*^9}, {3.800546864571243*^9, 
   3.8005468654947624`*^9}, {3.8005468980286093`*^9, 3.800546902004578*^9}, {
   3.800546932680822*^9, 3.8005469406008224`*^9}, {3.80054703053773*^9, 
   3.800547053129996*^9}, {3.8005471360732107`*^9, 3.8005471665777135`*^9}, {
   3.8005472265462036`*^9, 3.8005472353171787`*^9}, {3.800547265535279*^9, 
   3.8005472660839787`*^9}, {3.8005473222489624`*^9, 3.800547365906245*^9}, {
   3.800547707617595*^9, 3.800547860422753*^9}, {3.800547890476926*^9, 
   3.800548057410281*^9}, {3.8005480906210475`*^9, 3.8005480914403515`*^9}, {
   3.800548127897512*^9, 3.8005481280789804`*^9}, {3.8005481786245155`*^9, 
   3.8005482122565703`*^9}, {3.8005494069761333`*^9, 
   3.8005495255920753`*^9}, {3.8005524980448027`*^9, 3.800552510177868*^9}, {
   3.800552549075924*^9, 3.800552571038248*^9}, {3.8005526031993675`*^9, 
   3.8005526111268997`*^9}, {3.8005526627153883`*^9, 3.80055270191011*^9}, {
   3.800553125331971*^9, 3.8005532540846796`*^9}, {3.800553314903408*^9, 
   3.800553446938089*^9}, {3.800553480832899*^9, 3.8005537187819552`*^9}, {
   3.8005537512114153`*^9, 3.8005538901964116`*^9}, {3.800553920713993*^9, 
   3.80055393013365*^9}, {3.8005539937960873`*^9, 3.800553994488187*^9}, {
   3.800554032249735*^9, 3.8005540593218637`*^9}, {3.8005544158883963`*^9, 
   3.800554516514862*^9}, 3.800554551045761*^9, {3.8005548081260786`*^9, 
   3.800554817362064*^9}, {3.80055521469526*^9, 3.8005552271793585`*^9}, {
   3.80055530106292*^9, 3.8005553134281793`*^9}, {3.8005553612607927`*^9, 
   3.800555406165227*^9}, {3.8005555242942557`*^9, 3.8005555597017655`*^9}, {
   3.800565522579194*^9, 3.800565540217894*^9}, {3.800565574627015*^9, 
   3.800565577178152*^9}, {3.800566751886734*^9, 3.8005667724192953`*^9}, {
   3.8005693993699384`*^9, 3.8005695144080496`*^9}, {3.8005696578144126`*^9, 
   3.8005696776289806`*^9}, {3.800570613055455*^9, 3.8005706494735546`*^9}, {
   3.800570712907323*^9, 3.8005710196621094`*^9}, {3.8005710701880493`*^9, 
   3.8005711659651537`*^9}, 3.800571250862047*^9, 3.800571311534108*^9, {
   3.800571342046358*^9, 3.8005713637938924`*^9}, {3.800571452709312*^9, 
   3.800571530402602*^9}, {3.8005715742371597`*^9, 3.800571584221897*^9}, {
   3.800605479335411*^9, 3.8006055458977737`*^9}, {3.800605637408474*^9, 
   3.8006056635637045`*^9}, {3.800605696417889*^9, 3.8006057319675627`*^9}, {
   3.800605776557822*^9, 3.8006058504480877`*^9}, {3.8006058822056265`*^9, 
   3.8006058890617228`*^9}, {3.800605920494178*^9, 3.8006060531835737`*^9}, {
   3.800606108370851*^9, 3.800606116938204*^9}, {3.8006061485310445`*^9, 
   3.800606198077755*^9}, {3.800606248539423*^9, 3.8006062491388106`*^9}, {
   3.8006062839922905`*^9, 3.800606316800602*^9}, 3.80060635716411*^9, 
   3.800606432250258*^9, {3.8006215686361275`*^9, 3.8006215741592116`*^9}, {
   3.800621608448685*^9, 3.8006216459468713`*^9}, {3.800622409471784*^9, 
   3.80062241788558*^9}, 3.8006229206489763`*^9, {3.800623829924447*^9, 
   3.800623830048607*^9}, 3.800624446409548*^9, {3.800628217990718*^9, 
   3.8006282211199493`*^9}, {3.8006284540865726`*^9, 3.8006284712135487`*^9}, 
   3.800628537799262*^9, {3.8006286968737345`*^9, 3.8006287249333467`*^9}, {
   3.8006289485973253`*^9, 3.8006289693907814`*^9}, {3.8006290255420055`*^9, 
   3.800629034005692*^9}, {3.8006303062168546`*^9, 3.800630306441298*^9}, {
   3.8006306074856358`*^9, 3.8006306483408575`*^9}, {3.800630740975357*^9, 
   3.8006307445325317`*^9}, {3.800630887296077*^9, 3.8006309137751513`*^9}, {
   3.800631124228942*^9, 3.8006311405047455`*^9}, {3.8006315141640615`*^9, 
   3.800631514315605*^9}, {3.800641597003592*^9, 3.800641634331041*^9}, {
   3.8006419971550045`*^9, 3.800642019205052*^9}, {3.8006421174006033`*^9, 
   3.800642175417298*^9}, {3.8006422427966223`*^9, 3.8006422688339233`*^9}, {
   3.8006444058065467`*^9, 3.8006444195737123`*^9}, {3.8006451147554135`*^9, 
   3.8006451257394295`*^9}, {3.8006452700714192`*^9, 3.8006452717060375`*^9}, 
   3.8006461128666563`*^9, {3.8006462482469378`*^9, 3.80064624906369*^9}, 
   3.800646682598275*^9, {3.8006532559106884`*^9, 3.8006532802541785`*^9}, {
   3.800653317116768*^9, 3.8006533635788426`*^9}, {3.8006534389157104`*^9, 
   3.800653477139002*^9}, {3.800654330979658*^9, 3.8006543519690266`*^9}, {
   3.8006545273310647`*^9, 3.8006545718201118`*^9}, {3.800655203325839*^9, 
   3.8006552351961555`*^9}, {3.8006553066398*^9, 3.8006553732303724`*^9}, {
   3.800655416656726*^9, 3.800655483668791*^9}, {3.800655532273072*^9, 
   3.800655556564302*^9}, {3.8006557088329086`*^9, 3.800655749759311*^9}, {
   3.80065585259278*^9, 3.8006558911598873`*^9}, {3.800655939854437*^9, 
   3.8006560189788046`*^9}, {3.800656135114393*^9, 3.800656145478073*^9}, {
   3.8006569632149816`*^9, 3.800657080649637*^9}, {3.800715005580721*^9, 
   3.800715026243492*^9}, {3.800715206480054*^9, 3.8007152104614763`*^9}, {
   3.8007171055638523`*^9, 3.800717125576507*^9}, {3.800717301916401*^9, 
   3.8007173982605543`*^9}, {3.800717454686392*^9, 3.800717490392034*^9}, {
   3.800718084383349*^9, 3.8007181317299867`*^9}, {3.8007187569499607`*^9, 
   3.800718878162693*^9}, {3.800719537848321*^9, 3.8007196355401144`*^9}, {
   3.8007196785552464`*^9, 3.8007196874082403`*^9}, {3.800719730758541*^9, 
   3.8007197779717236`*^9}, {3.8007198484816318`*^9, 3.800719848721634*^9}, 
   3.8007198890462313`*^9, {3.8007201351081142`*^9, 3.8007201470289965`*^9}, {
   3.8007202350869474`*^9, 3.8007202493431587`*^9}, {3.8007203588890724`*^9, 
   3.8007203663515344`*^9}, 3.8007205038388586`*^9, {3.800720535199168*^9, 
   3.80072057079368*^9}, {3.800720712871544*^9, 3.800720733846136*^9}, {
   3.8007207861284094`*^9, 3.800720790246394*^9}, {3.8007210860878096`*^9, 
   3.800721157816164*^9}, {3.8007220704847975`*^9, 3.8007221602603745`*^9}, {
   3.800722207425247*^9, 3.8007223053041196`*^9}, {3.8007223947844734`*^9, 
   3.80072247958871*^9}, {3.8007225101385474`*^9, 3.8007226488367257`*^9}, {
   3.800722731171791*^9, 3.8007227784270167`*^9}, {3.8007228359563766`*^9, 
   3.8007228632680235`*^9}, 3.800722905539201*^9, {3.8007229411216397`*^9, 
   3.8007229415025*^9}, {3.8007230265387883`*^9, 3.8007230268342505`*^9}, {
   3.800723920983493*^9, 3.80072393637547*^9}, {3.80072402937024*^9, 
   3.8007240325380583`*^9}, {3.8007241660455966`*^9, 3.800724192011217*^9}, {
   3.800736291356852*^9, 3.800736303167937*^9}, {3.800736358716695*^9, 
   3.800736359231599*^9}, {3.8007363893700347`*^9, 3.800736401778474*^9}, {
   3.8007365065354204`*^9, 3.8007365115263214`*^9}, {3.8007365434483347`*^9, 
   3.800736549586627*^9}, {3.8007366497139406`*^9, 3.8007366509058647`*^9}, {
   3.8007367067235312`*^9, 3.8007367170775747`*^9}, {3.8007420634314985`*^9, 
   3.8007421290489388`*^9}, {3.8007421687348022`*^9, 3.800742224080078*^9}, {
   3.800742454315943*^9, 3.8007424554159403`*^9}, {3.800742559844351*^9, 
   3.800742595349496*^9}, {3.8007426386817613`*^9, 3.8007426791651945`*^9}, {
   3.800742736941115*^9, 3.800742798108514*^9}, {3.801263192056745*^9, 
   3.8012631931816473`*^9}, {3.8012634006687746`*^9, 3.801263469018946*^9}, {
   3.801263635611457*^9, 3.801263635730169*^9}, {3.801320179374835*^9, 
   3.801320265724557*^9}, {3.8013202961190224`*^9, 3.8013203612857113`*^9}, {
   3.8013204338296885`*^9, 3.801320473152108*^9}, {3.8013206218341646`*^9, 
   3.8013206243741565`*^9}, {3.8013207739035373`*^9, 
   3.8013208051101127`*^9}, {3.8013213500093203`*^9, 
   3.8013213881461535`*^9}, {3.8014159027669945`*^9, 3.801415908465528*^9}, {
   3.801416002428918*^9, 3.801416026126356*^9}, {3.8014164288880296`*^9, 
   3.801416482500724*^9}, {3.8014165240263863`*^9, 3.801416571778535*^9}, {
   3.8014166148123627`*^9, 3.8014166177864075`*^9}, {3.801416662065292*^9, 
   3.8014166991474123`*^9}, {3.8014167628473635`*^9, 3.801416763360007*^9}, {
   3.801416795173582*^9, 3.8014169130714626`*^9}, {3.801416953627927*^9, 
   3.8014169538976774`*^9}, {3.8014171178826265`*^9, 
   3.8014171586633663`*^9}, {3.801417319572308*^9, 3.8014173357052994`*^9}, 
   3.8014179125204744`*^9, {3.8014180319104185`*^9, 3.801418052348935*^9}, {
   3.8014180867756133`*^9, 3.8014181091924696`*^9}, {3.801594115409478*^9, 
   3.8015941202091084`*^9}, {3.8015947346548424`*^9, 
   3.8015947438042755`*^9}, {3.801594852383763*^9, 3.801594871403018*^9}, {
   3.801594916690267*^9, 3.8015949348345203`*^9}, {3.8015950947163477`*^9, 
   3.801595157662862*^9}, {3.801595193986961*^9, 3.801595270122723*^9}, {
   3.802093316586545*^9, 3.802093324161661*^9}, {3.802093488917134*^9, 
   3.8020935369635983`*^9}, {3.8020937963747215`*^9, 
   3.8020938437068086`*^9}, {3.8020939091288495`*^9, 3.802093912138595*^9}, {
   3.802094760431017*^9, 3.8020947658036737`*^9}, {3.8020951915113707`*^9, 
   3.802095194476062*^9}, 3.802095271368722*^9, {3.8020985298550644`*^9, 
   3.802098530223981*^9}, {3.802099044559577*^9, 3.802099094896429*^9}, 
   3.8023861817160454`*^9, {3.802386212648846*^9, 3.8023862579548097`*^9}, 
   3.8023867055125856`*^9},
 CellLabel->"In[79]:=",ExpressionUUID->"ece95d78-47fb-44c7-87f6-1f2efb11e0d1"],

Cell[BoxData[
 DynamicModuleBox[{$CellContext`d$$ = 6., $CellContext`Len$$ = 
  32., $CellContext`Wid$$ = 25., $CellContext`seatw$$ = 
  2.25, $CellContext`seatl$$, $CellContext`deskl$$ = 
  1.5, $CellContext`chairw$$ = 1.5, $CellContext`chairb$$ = 
  1, $CellContext`nosedist$$ = 1.5, $CellContext`sidemarg$$ = 
  0.1, $CellContext`backmarg$$ = 0.5, $CellContext`frontspace$$ = 
  9., $CellContext`Layouts$$ = {}, $CellContext`lyut$$ = 
  1, $CellContext`drwng$$ = Null, $CellContext`x$$ = 35.56, $CellContext`y$$ =
   15.5, $CellContext`plan$$ = Null}, 
  TagBox[GridBox[{
     {
      TagBox[GridBox[{
         {
          TemplateBox[{PanelBox[
             TagBox[
              GridBox[{{"\"Student separation \"", 
                 InputFieldBox[
                  Dynamic[$CellContext`d$$], FieldSize -> Tiny, 
                  BaseStyle -> (
                   InputFieldBoxOptions -> {"TrapEnterKey" -> True})], 
                 "\" ft\""}, {"\"Classroom width \"", 
                 InputFieldBox[
                  Dynamic[$CellContext`Wid$$], FieldSize -> Tiny, 
                  BaseStyle -> (
                   InputFieldBoxOptions -> {"TrapEnterKey" -> True})], 
                 "\" ft\""}, {"\"Classroom length \"", 
                 InputFieldBox[
                  Dynamic[$CellContext`Len$$], FieldSize -> Tiny], 
                 "\" ft\""}, {"\"Min. board distance \"", 
                 InputFieldBox[
                  Dynamic[$CellContext`frontspace$$], FieldSize -> Tiny], 
                 "\" ft\""}}, 
               GridBoxAlignment -> {"Columns" -> {Right, {Left}}}, AutoDelete -> 
               False, GridBoxItemSize -> {
                "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
              "Grid"]],"\"Classroom dimensions\""},
           "Labeled",
           DisplayFunction->(GridBox[{{
               
               ItemBox[#2, Alignment -> {Left, Inherited}, BaseStyle -> Bold, 
                DefaultBaseStyle -> "PanelLabel"]}, {
               TagBox[
                ItemBox[
                 PaneBox[
                  TagBox[#, "SkipImageSizeLevel"], 
                  Alignment -> {Center, Baseline}, BaselinePosition -> 
                  Baseline], DefaultBaseStyle -> "Labeled"], 
                "SkipImageSizeLevel"]}}, 
             GridBoxAlignment -> {
              "Columns" -> {{Center}}, "Rows" -> {{Center}}}, AutoDelete -> 
             False, GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             BaselinePosition -> {2, 1}]& ),
           InterpretationFunction->(RowBox[{"Labeled", "[", 
              RowBox[{#, ",", 
                RowBox[{"{", #2, "}"}], ",", 
                RowBox[{"{", 
                  RowBox[{"{", 
                    RowBox[{"Top", ",", "Left"}], "}"}], "}"}], ",", 
                RowBox[{"DefaultLabelStyle", "\[Rule]", "\"PanelLabel\""}], 
                ",", 
                RowBox[{"LabelStyle", "\[Rule]", "Bold"}], ",", 
                RowBox[{"RotateLabel", "\[Rule]", "False"}], ",", 
                RowBox[{"Spacings", "\[Rule]", "Automatic"}]}], "]"}]& )]},
         {
          TemplateBox[{PanelBox[
             TagBox[
              GridBox[{{"\"Desk width \"", 
                 InputFieldBox[
                  Dynamic[$CellContext`seatw$$], FieldSize -> Tiny], 
                 "\" ft\""}, {"\"Desk length \"", 
                 InputFieldBox[
                  Dynamic[$CellContext`deskl$$], FieldSize -> Tiny], 
                 "\" ft\""}, {"\"Chair width \"", 
                 InputFieldBox[
                  Dynamic[$CellContext`chairw$$], FieldSize -> Tiny], 
                 "\" ft\""}, {"\"Seat back \"", 
                 InputFieldBox[
                  Dynamic[$CellContext`chairb$$], FieldSize -> Tiny], 
                 "\" ft\""}, {"\"Nose position \"", 
                 InputFieldBox[
                  Dynamic[$CellContext`nosedist$$], FieldSize -> Tiny], 
                 "\" ft\""}}, 
               GridBoxAlignment -> {"Columns" -> {Right, {Left}}}, AutoDelete -> 
               False, GridBoxItemSize -> {
                "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
              "Grid"]],"\"Desk dimensions\""},
           "Labeled",
           DisplayFunction->(GridBox[{{
               
               ItemBox[#2, Alignment -> {Left, Inherited}, BaseStyle -> Bold, 
                DefaultBaseStyle -> "PanelLabel"]}, {
               TagBox[
                ItemBox[
                 PaneBox[
                  TagBox[#, "SkipImageSizeLevel"], 
                  Alignment -> {Center, Baseline}, BaselinePosition -> 
                  Baseline], DefaultBaseStyle -> "Labeled"], 
                "SkipImageSizeLevel"]}}, 
             GridBoxAlignment -> {
              "Columns" -> {{Center}}, "Rows" -> {{Center}}}, AutoDelete -> 
             False, GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             BaselinePosition -> {2, 1}]& ),
           InterpretationFunction->(RowBox[{"Labeled", "[", 
              RowBox[{#, ",", 
                RowBox[{"{", #2, "}"}], ",", 
                RowBox[{"{", 
                  RowBox[{"{", 
                    RowBox[{"Top", ",", "Left"}], "}"}], "}"}], ",", 
                RowBox[{"DefaultLabelStyle", "\[Rule]", "\"PanelLabel\""}], 
                ",", 
                RowBox[{"LabelStyle", "\[Rule]", "Bold"}], ",", 
                RowBox[{"RotateLabel", "\[Rule]", "False"}], ",", 
                RowBox[{"Spacings", "\[Rule]", "Automatic"}]}], "]"}]& )]},
         {
          TemplateBox[{PanelBox[
             TagBox[
              GridBox[{{"\"Side margin \"", 
                 InputFieldBox[
                  Dynamic[$CellContext`sidemarg$$], FieldSize -> Tiny], 
                 "\" ft\""}, {"\"Back margin \"", 
                 InputFieldBox[
                  Dynamic[$CellContext`backmarg$$], FieldSize -> Tiny], 
                 "\" ft\""}}, 
               GridBoxAlignment -> {"Columns" -> {Right, {Left}}}, AutoDelete -> 
               False, GridBoxItemSize -> {
                "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
              "Grid"]],"\"Margins\""},
           "Labeled",
           DisplayFunction->(GridBox[{{
               
               ItemBox[#2, Alignment -> {Left, Inherited}, BaseStyle -> Bold, 
                DefaultBaseStyle -> "PanelLabel"]}, {
               TagBox[
                ItemBox[
                 PaneBox[
                  TagBox[#, "SkipImageSizeLevel"], 
                  Alignment -> {Center, Baseline}, BaselinePosition -> 
                  Baseline], DefaultBaseStyle -> "Labeled"], 
                "SkipImageSizeLevel"]}}, 
             GridBoxAlignment -> {
              "Columns" -> {{Center}}, "Rows" -> {{Center}}}, AutoDelete -> 
             False, GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             BaselinePosition -> {2, 1}]& ),
           InterpretationFunction->(RowBox[{"Labeled", "[", 
              RowBox[{#, ",", 
                RowBox[{"{", #2, "}"}], ",", 
                RowBox[{"{", 
                  RowBox[{"{", 
                    RowBox[{"Top", ",", "Left"}], "}"}], "}"}], ",", 
                RowBox[{"DefaultLabelStyle", "\[Rule]", "\"PanelLabel\""}], 
                ",", 
                RowBox[{"LabelStyle", "\[Rule]", "Bold"}], ",", 
                RowBox[{"RotateLabel", "\[Rule]", "False"}], ",", 
                RowBox[{"Spacings", "\[Rule]", "Automatic"}]}], "]"}]& )]},
         {
          ButtonBox[
           StyleBox["\<\"Calculate Layouts\"\>",
            StripOnInput->False,
            FontSize->16,
            FontWeight->Bold],
           Appearance->Automatic,
           
           ButtonFunction:>($CellContext`seatl$$ = $CellContext`deskl$$ + \
$CellContext`chairb$$; $CellContext`W = $CellContext`Wid$$ - \
$CellContext`seatw$$ - 
              2 $CellContext`sidemarg$$; $CellContext`L = $CellContext`Len$$ - \
($CellContext`seatl$$ - $CellContext`nosedist$$) - $CellContext`backmarg$$ - \
$CellContext`frontspace$$; $CellContext`Cols = 
             Floor[2 $CellContext`W/$CellContext`d$$]; $CellContext`kmax = 
             Ceiling[$CellContext`Cols - 2 $CellContext`W/(
               Sqrt[3] $CellContext`d$$)]; 
            If[$CellContext`W/($CellContext`Cols - $CellContext`kmax) > \
$CellContext`d$$, 
              Decrement[$CellContext`kmax]]; $CellContext`kmin = If[
               EvenQ[$CellContext`Cols], -1, 0]; $CellContext`Layouts$$ = 
             Table[$CellContext`layout = ToString[
                  StringForm[
                  "H``", -$CellContext`k]]; $CellContext`nw = \
$CellContext`Cols - $CellContext`k; $CellContext`\[CapitalDelta]x = \
$CellContext`W/$CellContext`nw; 
               If[2 $CellContext`\[CapitalDelta]x < $CellContext`d$$, \
$CellContext`\[CapitalDelta]x1 = $CellContext`W - (($CellContext`nw - 1)/
                    2) $CellContext`d$$; $CellContext`\[CapitalDelta]x2 = \
(($CellContext`nw + 1)/
                    2) $CellContext`d$$ - $CellContext`W; $CellContext`horiz = 
                  True, $CellContext`horiz = 
                 False]; $CellContext`\[CapitalDelta]y = 
                If[$CellContext`horiz, 
                  Sqrt[$CellContext`d$$^2 - $CellContext`\[CapitalDelta]x1^2], 
                  Sqrt[$CellContext`d$$^2 - $CellContext`\[CapitalDelta]x^2]]; 
               If[2 $CellContext`\[CapitalDelta]y < $CellContext`d$$, \
$CellContext`nl = Floor[2 $CellContext`L/$CellContext`d$$]; If[
                   Or[
                    
                    OddQ[$CellContext`nl], $CellContext`L - $CellContext`d$$ \
($CellContext`nl/
                    2) > $CellContext`\[CapitalDelta]y], $CellContext`\
\[CapitalDelta]y1 = $CellContext`\[CapitalDelta]y; $CellContext`\
\[CapitalDelta]y2 = $CellContext`d$$ - $CellContext`\[CapitalDelta]y; \
$CellContext`nl = 2 Floor[$CellContext`nl/2] + 1; $CellContext`vert = 
                    True, $CellContext`\[CapitalDelta]y = $CellContext`d$$/
                    2; $CellContext`vert = False], $CellContext`nl = 
                  Floor[$CellContext`L/$CellContext`\[CapitalDelta]y]; \
$CellContext`vert = 
                  False]; $CellContext`capa = \
$CellContext`NCap[$CellContext`nw, $CellContext`nl]; $CellContext`boarddist = \
$CellContext`Len$$ - $CellContext`backmarg$$ - $CellContext`seatl$$ + \
$CellContext`nosedist$$ - $CellContext`nl 
                 If[$CellContext`vert, ($CellContext`\[CapitalDelta]y1 + \
$CellContext`\[CapitalDelta]y2)/2 + If[
                    
                    OddQ[$CellContext`nl], ($CellContext`\[CapitalDelta]y1 - \
$CellContext`\[CapitalDelta]y2)/(
                    2 $CellContext`nl)], $CellContext`\[CapitalDelta]y]; \
{$CellContext`layout, $CellContext`capa, $CellContext`nw + 1, $CellContext`nl + 
                 1, $CellContext`boarddist, $CellContext`boarddist - \
$CellContext`d$$, 
                 
                 If[$CellContext`horiz, $CellContext`\[CapitalDelta]x1, \
$CellContext`\[CapitalDelta]x], 
                 
                 If[$CellContext`horiz, $CellContext`\[CapitalDelta]x2], \
$CellContext`horiz, 
                 
                 If[$CellContext`vert, $CellContext`\[CapitalDelta]y1, \
$CellContext`\[CapitalDelta]y], 
                 
                 If[$CellContext`vert, $CellContext`\[CapitalDelta]y2], \
$CellContext`vert, $CellContext`W/($CellContext`Cols - $CellContext`k)}, \
{$CellContext`k, $CellContext`kmax, $CellContext`kmin, -1}]),
           Evaluator->Automatic,
           Method->"Preemptive"]},
         {
          DynamicBox[ToBoxes[
            If[Length[$CellContext`Layouts$$] > 0, 
             Panel[
              Grid[{
                Prepend[
                 MapIndexed[Setter[
                   Dynamic[$CellContext`lyut$$], #2, #]& , 
                  Part[
                   Transpose[$CellContext`Layouts$$], 1]], 
                 Style["Layouts", Bold]], 
                Prepend[
                 Map[If[
                   And[
                    OddQ[
                    Part[#, 3]], 
                    OddQ[
                    Part[#, 4]]], 
                   StringForm["``/``", Part[#, 2] - 1, 
                    Part[#, 2]], 
                   Part[#, 2]]& , $CellContext`Layouts$$], 
                 Style["Capacity", Bold]], 
                Prepend[
                 Part[
                  Transpose[$CellContext`Layouts$$], 3], 
                 Style["Columns", Bold]], 
                Prepend[
                 Part[
                  Transpose[$CellContext`Layouts$$], 4], 
                 Style["Rows", Bold]], 
                Prepend[
                 Map[$CellContext`FootForm[#, True]& , 
                  Part[
                   Transpose[$CellContext`Layouts$$], 5]], 
                 Style["Board Dist", Bold]], 
                Prepend[
                 Map[$CellContext`FootForm[#, True]& , 
                  Part[
                   Transpose[$CellContext`Layouts$$], 6]], 
                 Style["Instructor Space", Bold]]}, Frame -> All]], ""], 
            StandardForm],
           ImageSizeCache->{0., {0., 6.}},
           TrackedSymbols:>{$CellContext`Layouts$$}]},
         {"\<\"\[Copyright] 2020 Hans Robinson\"\>"}
        },
        DefaultBaseStyle->"Column",
        GridBoxAlignment->{"Columns" -> {{Left}}},
        GridBoxItemSize->{
         "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
       "Column"], 
      DynamicBox[ToBoxes[
        If[
        Length[$CellContext`Layouts$$] > 
         1, $CellContext`seatl$$ = $CellContext`deskl$$ + \
$CellContext`chairb$$; $CellContext`lyut$$ = Min[$CellContext`lyut$$, 
            Max[
             Length[$CellContext`Layouts$$], 1]]; $CellContext`nw = 
          Part[$CellContext`Layouts$$, $CellContext`lyut$$, 3] - 
           1; $CellContext`nl = 
          Part[$CellContext`Layouts$$, $CellContext`lyut$$, 
            4]; $CellContext`\[CapitalDelta]x = 
          Part[$CellContext`Layouts$$, $CellContext`lyut$$, 
            7]; $CellContext`\[CapitalDelta]x1 = \
$CellContext`\[CapitalDelta]x; $CellContext`\[CapitalDelta]x2 = 
          Part[$CellContext`Layouts$$, $CellContext`lyut$$, 
            8]; $CellContext`horiz = 
          Part[$CellContext`Layouts$$, $CellContext`lyut$$, 
            9]; $CellContext`\[CapitalDelta]y = 
          Part[$CellContext`Layouts$$, $CellContext`lyut$$, 
            10]; $CellContext`\[CapitalDelta]y1 = \
$CellContext`\[CapitalDelta]y; $CellContext`\[CapitalDelta]y2 = 
          Part[$CellContext`Layouts$$, $CellContext`lyut$$, 
            11]; $CellContext`vert = 
          Part[$CellContext`Layouts$$, $CellContext`lyut$$, 12]; 
         For[$CellContext`j = 
            0; $CellContext`y$$ = $CellContext`backmarg$$; \
$CellContext`DeskGrid = {}; $CellContext`DimGrid = If[$CellContext`cumul, {
               
               Circle[{$CellContext`sidemarg$$ + $CellContext`seatw$$/
                  2, $CellContext`y$$ + $CellContext`seatl$$ - \
$CellContext`nosedist$$}, 0.5], 
               Arrowheads[{-0.02, 0}]}, {
               
               Arrowheads[{-0.02, 
                0.02}]}], $CellContext`y$$ <= $CellContext`Len$$ - \
$CellContext`frontspace$$ - ($CellContext`seatl$$ - $CellContext`nosedist$$), 
           Increment[$CellContext`j]; $CellContext`yaugm = 
            If[$CellContext`vert, 
              If[
               
               OddQ[$CellContext`j], $CellContext`\[CapitalDelta]y1, \
$CellContext`\[CapitalDelta]y2], $CellContext`\[CapitalDelta]y]; 
           AddTo[$CellContext`y$$, $CellContext`yaugm], 
           AppendTo[$CellContext`DimGrid, 
             
             Line[{{0, $CellContext`y$$ + $CellContext`seatl$$ - \
$CellContext`nosedist$$}, {
               1.25 $CellContext`Wid$$, $CellContext`y$$ + \
$CellContext`seatl$$ - $CellContext`nosedist$$}}]]; 
           If[$CellContext`j > 0, AppendTo[$CellContext`DimGrid, 
               
               Arrow[{{
                 1.15 $CellContext`Wid$$, $CellContext`y$$ + \
$CellContext`seatl$$ - $CellContext`nosedist$$}, {
                 1.15 $CellContext`Wid$$, $CellContext`y$$ - \
$CellContext`yaugm + $CellContext`seatl$$ - $CellContext`nosedist$$ + 
                  Boole[$CellContext`cumul] ($CellContext`yaugm/2)}}]]; 
             AppendTo[$CellContext`DimGrid, 
               Text[
                $CellContext`FootForm[
                 
                 If[$CellContext`cumul, $CellContext`y$$, \
$CellContext`yaugm], $CellContext`frac], {
                1.17 $CellContext`Wid$$, $CellContext`y$$ - \
$CellContext`yaugm/2 + 
                 Boole[$CellContext`cumul] ($CellContext`yaugm/
                   4) + $CellContext`seatl$$ - $CellContext`nosedist$$}, {-1, 
                0}]]]; For[$CellContext`i = 
              0; $CellContext`x$$ = $CellContext`sidemarg$$, $CellContext`i <= \
$CellContext`nw, 
             Increment[$CellContext`i]; $CellContext`xaugm = 
              If[$CellContext`horiz, 
                If[
                 
                 OddQ[$CellContext`i], $CellContext`\[CapitalDelta]x1, \
$CellContext`\[CapitalDelta]x2], $CellContext`\[CapitalDelta]x]; 
             AddTo[$CellContext`x$$, $CellContext`xaugm], 
             If[OddQ[$CellContext`i + $CellContext`j] == $CellContext`altconf, 
               AppendTo[$CellContext`DeskGrid, 
                $CellContext`Desk[$CellContext`x$$, $CellContext`y$$, \
$CellContext`seatw$$, $CellContext`seatl$$, $CellContext`chairw$$, \
$CellContext`chairb$$, $CellContext`nosedist$$]]]; 
             If[$CellContext`j == 0, AppendTo[$CellContext`DimGrid, 
                 
                 Line[{{$CellContext`x$$ + $CellContext`seatw$$/
                    2, (-0.25) $CellContext`Wid$$}, {$CellContext`x$$ + \
$CellContext`seatw$$/
                    2, $CellContext`Len$$ - $CellContext`frontspace$$ - \
$CellContext`seatl$$/2}}]]; 
               If[$CellContext`i > 0, AppendTo[$CellContext`DimGrid, 
                   
                   Arrow[{{$CellContext`x$$ + $CellContext`seatw$$/
                    2, (-0.15) $CellContext`Wid$$}, {$CellContext`x$$ + \
$CellContext`seatw$$/2 - $CellContext`xaugm + 
                    Boole[$CellContext`cumul] ($CellContext`xaugm/
                    2), (-0.15) $CellContext`Wid$$}}]]; 
                 AppendTo[$CellContext`DimGrid, 
                   Text[
                    $CellContext`FootForm[
                    
                    If[$CellContext`cumul, $CellContext`x$$, \
$CellContext`xaugm], $CellContext`frac], {$CellContext`x$$ + \
$CellContext`seatw$$/2 - $CellContext`xaugm/2 + 
                    Boole[$CellContext`cumul] ($CellContext`xaugm/
                    4), (-0.17) $CellContext`Wid$$}, {0, 1}]]]]]]; Column[
           If[Length[$CellContext`Layouts$$] > 0, {
             Row[{"Footprint: ", 
               $CellContext`FootForm[$CellContext`Wid$$, True], "\[Cross]", 
               $CellContext`FootForm[$CellContext`Len$$, True], "   Layout: ", 
               StringJoin[
                Part[$CellContext`Layouts$$, $CellContext`lyut$$, 1], 
                If[$CellContext`altconf, "a", ""]], "    Capacity: ", 
               Length[$CellContext`DeskGrid]}, BaseStyle -> {16, Bold}], 
             Row[{
               Style["Dimensions: ", Bold], 
               Grid[{{
                  Checkbox[
                   Dynamic[$CellContext`frac]], "Fractional"}, {
                  Checkbox[
                   Dynamic[$CellContext`cumul]], "Cumulated"}}], "         ", 
               Checkbox[
                Dynamic[$CellContext`altconf]], " Alt. config."}], 
             If[
             Length[$CellContext`Layouts$$] > 0, $CellContext`plan$$ = 
              Graphics[{
                 EdgeForm[Thick], White, 
                 Rectangle[{0, 0}, {$CellContext`Wid$$, $CellContext`Len$$}], 
                 EdgeForm[Thick], $CellContext`DeskGrid, 
                 Darker[Green], $CellContext`DimGrid, Black, Dashed, 
                 
                 Line[{{0, $CellContext`Len$$ - $CellContext`frontspace$$}, \
{$CellContext`Wid$$, $CellContext`Len$$ - $CellContext`frontspace$$}}]}, 
                ImageSize -> 600], Null, " "]}, {""}]], ""], StandardForm],
       ImageSizeCache->{0., {0., 6.}},
       TrackedSymbols:>{$CellContext`Layouts$$, $CellContext`lyut$$, \
$CellContext`frac, $CellContext`cumul, $CellContext`altconf}]}
    },
    AutoDelete->False,
    GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Top}}},
    GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
   "Grid"],
  DynamicModuleValues:>{},
  Initialization:>{$CellContext`x$$ = 35.56, $CellContext`y$$ = 
    15.5, $CellContext`W = 22.55, $CellContext`L = 21.5, $CellContext`Cols = 
    7, $CellContext`kmax = 3, $CellContext`kmin = 0, $CellContext`layout = 
    "H0", $CellContext`nw = 4, $CellContext`\[CapitalDelta]x = 
    5.6375, $CellContext`\[CapitalDelta]x1 = 
    5.6375, $CellContext`\[CapitalDelta]x2 = Null, $CellContext`horiz = 
    False, $CellContext`\[CapitalDelta]y = 2.053921554003462, $CellContext`nl = 
    8, $CellContext`\[CapitalDelta]y1 = 
    2.053921554003462, $CellContext`\[CapitalDelta]y2 = 
    3.946078445996538, $CellContext`vert = True, $CellContext`capa = 
    20, $CellContext`NCap[
      Pattern[$CellContext`nx, 
       Blank[]], 
      Pattern[$CellContext`ny, 
       Blank[]]] := 
    Piecewise[{{(($CellContext`nx + 1) ($CellContext`ny + 1))/2, 
        Or[
         OddQ[$CellContext`nx], 
         OddQ[$CellContext`ny]]}, {(($CellContext`nx + 1) ($CellContext`ny + 
           1) + 1)/2, 
        And[
         EvenQ[$CellContext`ny], 
         EvenQ[$CellContext`ny]]}}], $CellContext`boarddist = 
    10.25257133987284, $CellContext`FootForm[
      Pattern[$CellContext`x, 
       Blank[]], 
      Pattern[$CellContext`fractional, 
       Blank[]]] := 
    If[$CellContext`fractional, $CellContext`ft = 
       Floor[$CellContext`x]; $CellContext`inch = 
       Round[12 ($CellContext`x - Floor[$CellContext`x])]; 
      If[$CellContext`inch == 12, 
        Increment[$CellContext`ft]; $CellContext`inch = 0]; 
      StringForm["``'``\"", $CellContext`ft, $CellContext`inch], 
      StringForm["\[VeryThinSpace]``'", 
       NumberForm[$CellContext`x, {5, 2}]]], $CellContext`ft = 
    4, $CellContext`inch = 3, $CellContext`j = 8, $CellContext`DeskGrid = {{
       Rectangle[{0.1, 1.5}, {2.35, 3.}, RoundingRadius -> 0.15], 
       Rectangle[{0.475, 0.5}, {1.975, 1.5}], 
       Disk[{1.225, 1.17}, 0.33], 
       RegularPolygon[{1.225, 1.5}, 0.132, 3]}, {
       Rectangle[{11.375, 1.5}, {13.625, 3.}, RoundingRadius -> 0.15], 
       Rectangle[{11.75, 0.5}, {13.25, 1.5}], 
       Disk[{12.5, 1.17}, 0.33], 
       RegularPolygon[{12.5, 1.5}, 0.132, 3]}, {
       Rectangle[{22.65, 1.5}, {24.9, 3.}, RoundingRadius -> 0.15], 
       Rectangle[{23.025, 0.5}, {24.525, 1.5}], 
       Disk[{23.775, 1.17}, 0.33], 
       RegularPolygon[{23.775, 1.5}, 0.132, 3]}, {
       Rectangle[{5.7375, 3.553921554003462}, {7.9875, 5.0539215540034625`}, 
        RoundingRadius -> 0.15], 
       Rectangle[{6.1125, 2.553921554003462}, {7.6125, 3.553921554003462}], 
       Disk[{6.8625, 3.2239215540034625`}, 0.33], 
       RegularPolygon[{6.8625, 3.5539215540034625`}, 0.132, 3]}, {
       Rectangle[{17.0125, 3.553921554003462}, {19.2625, 5.0539215540034625`},
         RoundingRadius -> 0.15], 
       Rectangle[{17.3875, 2.553921554003462}, {18.8875, 3.553921554003462}], 
       Disk[{18.1375, 3.2239215540034625`}, 0.33], 
       RegularPolygon[{18.1375, 3.5539215540034625`}, 0.132, 3]}, {
       Rectangle[{0.1, 7.5}, {2.35, 9.}, RoundingRadius -> 0.15], 
       Rectangle[{0.475, 6.5}, {1.975, 7.5}], 
       Disk[{1.225, 7.17}, 0.33], 
       RegularPolygon[{1.225, 7.5}, 0.132, 3]}, {
       Rectangle[{11.375, 7.5}, {13.625, 9.}, RoundingRadius -> 0.15], 
       Rectangle[{11.75, 6.5}, {13.25, 7.5}], 
       Disk[{12.5, 7.17}, 0.33], 
       RegularPolygon[{12.5, 7.5}, 0.132, 3]}, {
       Rectangle[{22.65, 7.5}, {24.9, 9.}, RoundingRadius -> 0.15], 
       Rectangle[{23.025, 6.5}, {24.525, 7.5}], 
       Disk[{23.775, 7.17}, 0.33], 
       RegularPolygon[{23.775, 7.5}, 0.132, 3]}, {
       Rectangle[{5.7375, 9.553921554003463}, {7.9875, 11.053921554003463`}, 
        RoundingRadius -> 0.15], 
       Rectangle[{6.1125, 8.553921554003463}, {7.6125, 9.553921554003463}], 
       Disk[{6.8625, 9.223921554003462}, 0.33], 
       RegularPolygon[{6.8625, 9.553921554003463}, 0.132, 3]}, {
       Rectangle[{17.0125, 9.553921554003463}, {19.2625, 11.053921554003463`},
         RoundingRadius -> 0.15], 
       Rectangle[{17.3875, 8.553921554003463}, {18.8875, 9.553921554003463}], 
       Disk[{18.1375, 9.223921554003462}, 0.33], 
       RegularPolygon[{18.1375, 9.553921554003463}, 0.132, 3]}, {
       Rectangle[{0.1, 13.5}, {2.35, 15.}, RoundingRadius -> 0.15], 
       Rectangle[{0.475, 12.5}, {1.975, 13.5}], 
       Disk[{1.225, 13.17}, 0.33], 
       RegularPolygon[{1.225, 13.5}, 0.132, 3]}, {
       Rectangle[{11.375, 13.5}, {13.625, 15.}, RoundingRadius -> 0.15], 
       Rectangle[{11.75, 12.5}, {13.25, 13.5}], 
       Disk[{12.5, 13.17}, 0.33], 
       RegularPolygon[{12.5, 13.5}, 0.132, 3]}, {
       Rectangle[{22.65, 13.5}, {24.9, 15.}, RoundingRadius -> 0.15], 
       Rectangle[{23.025, 12.5}, {24.525, 13.5}], 
       Disk[{23.775, 13.17}, 0.33], 
       RegularPolygon[{23.775, 13.5}, 0.132, 3]}, {
       Rectangle[{5.7375, 15.553921554003463`}, {7.9875, 17.053921554003463`},
         RoundingRadius -> 0.15], 
       Rectangle[{6.1125, 14.553921554003463`}, {7.6125, 
        15.553921554003463`}], 
       Disk[{6.8625, 15.223921554003462`}, 0.33], 
       RegularPolygon[{6.8625, 15.553921554003463`}, 0.132, 3]}, {
       Rectangle[{17.0125, 15.553921554003463`}, {19.2625, 
        17.053921554003463`}, RoundingRadius -> 0.15], 
       Rectangle[{17.3875, 14.553921554003463`}, {18.8875, 
        15.553921554003463`}], 
       Disk[{18.1375, 15.223921554003462`}, 0.33], 
       RegularPolygon[{18.1375, 15.553921554003463`}, 0.132, 3]}, {
       Rectangle[{0.1, 19.5}, {2.35, 21.}, RoundingRadius -> 0.15], 
       Rectangle[{0.475, 18.5}, {1.975, 19.5}], 
       Disk[{1.225, 19.17}, 0.33], 
       RegularPolygon[{1.225, 19.5}, 0.132, 3]}, {
       Rectangle[{11.375, 19.5}, {13.625, 21.}, RoundingRadius -> 0.15], 
       Rectangle[{11.75, 18.5}, {13.25, 19.5}], 
       Disk[{12.5, 19.17}, 0.33], 
       RegularPolygon[{12.5, 19.5}, 0.132, 3]}, {
       Rectangle[{22.65, 19.5}, {24.9, 21.}, RoundingRadius -> 0.15], 
       Rectangle[{23.025, 18.5}, {24.525, 19.5}], 
       Disk[{23.775, 19.17}, 0.33], 
       RegularPolygon[{23.775, 19.5}, 0.132, 3]}, {
       Rectangle[{5.7375, 21.553921554003463`}, {7.9875, 23.053921554003463`},
         RoundingRadius -> 0.15], 
       Rectangle[{6.1125, 20.553921554003463`}, {7.6125, 
        21.553921554003463`}], 
       Disk[{6.8625, 21.223921554003464`}, 0.33], 
       RegularPolygon[{6.8625, 21.553921554003463`}, 0.132, 3]}, {
       Rectangle[{17.0125, 21.553921554003463`}, {19.2625, 
        23.053921554003463`}, RoundingRadius -> 0.15], 
       Rectangle[{17.3875, 20.553921554003463`}, {18.8875, 
        21.553921554003463`}], 
       Disk[{18.1375, 21.223921554003464`}, 0.33], 
       RegularPolygon[{18.1375, 21.553921554003463`}, 0.132, 
        3]}}, $CellContext`DimGrid = {
      Arrowheads[{-0.02, 0.02}], 
      Line[{{0, 1.5}, {31.25, 1.5}}], 
      Line[{{1.225, -6.25}, {1.225, 21.75}}], 
      Line[{{6.8625, -6.25}, {6.8625, 21.75}}], 
      Arrow[{{6.8625, -3.75}, {1.2249999999999996`, -3.75}}], 
      Text[
       StringForm["\[VeryThinSpace]``'", 
        NumberForm[5.6375, {5, 2}]], {4.043749999999999, -4.25}, {0, 1}], 
      Line[{{12.5, -6.25}, {12.5, 21.75}}], 
      Arrow[{{12.5, -3.75}, {6.8625, -3.75}}], 
      Text[
       StringForm["\[VeryThinSpace]``'", 
        NumberForm[5.6375, {5, 2}]], {9.68125, -4.25}, {0, 1}], 
      Line[{{18.1375, -6.25}, {18.1375, 21.75}}], 
      Arrow[{{18.1375, -3.75}, {12.5, -3.75}}], 
      Text[
       StringForm["\[VeryThinSpace]``'", 
        NumberForm[5.6375, {5, 2}]], {15.31875, -4.25}, {0, 1}], 
      Line[{{23.775, -6.25}, {23.775, 21.75}}], 
      Arrow[{{23.775, -3.75}, {18.1375, -3.75}}], 
      Text[
       StringForm["\[VeryThinSpace]``'", 
        NumberForm[5.6375, {5, 2}]], {20.956249999999997`, -4.25}, {0, 1}], 
      Line[{{0, 3.5539215540034625`}, {31.25, 3.5539215540034625`}}], 
      Arrow[{{28.749999999999996`, 3.5539215540034625`}, {28.749999999999996`,
        1.5}}], 
      Text[
       StringForm["\[VeryThinSpace]``'", 
        NumberForm[2.053921554003462, {5, 2}]], {29.25, 
       2.5269607770017313`}, {-1, 0}], 
      Line[{{0, 7.5}, {31.25, 7.5}}], 
      Arrow[{{28.749999999999996`, 7.5}, {28.749999999999996`, 
       3.5539215540034625`}}], 
      Text[
       StringForm["\[VeryThinSpace]``'", 
        NumberForm[3.946078445996538, {5, 2}]], {29.25, 
       5.526960777001731}, {-1, 0}], 
      Line[{{0, 9.553921554003463}, {31.25, 9.553921554003463}}], 
      Arrow[{{28.749999999999996`, 9.553921554003463}, {28.749999999999996`, 
       7.5}}], 
      Text[
       StringForm["\[VeryThinSpace]``'", 
        NumberForm[2.053921554003462, {5, 2}]], {29.25, 
       8.526960777001731}, {-1, 0}], 
      Line[{{0, 13.5}, {31.25, 13.5}}], 
      Arrow[{{28.749999999999996`, 13.5}, {28.749999999999996`, 
       9.553921554003463}}], 
      Text[
       StringForm["\[VeryThinSpace]``'", 
        NumberForm[3.946078445996538, {5, 2}]], {29.25, 
       11.526960777001731`}, {-1, 0}], 
      Line[{{0, 15.553921554003463`}, {31.25, 15.553921554003463`}}], 
      Arrow[{{28.749999999999996`, 15.553921554003463`}, {28.749999999999996`,
        13.5}}], 
      Text[
       StringForm["\[VeryThinSpace]``'", 
        NumberForm[2.053921554003462, {5, 2}]], {29.25, 
       14.526960777001731`}, {-1, 0}], 
      Line[{{0, 19.5}, {31.25, 19.5}}], 
      Arrow[{{28.749999999999996`, 19.5}, {28.749999999999996`, 
       15.553921554003463`}}], 
      Text[
       StringForm["\[VeryThinSpace]``'", 
        NumberForm[3.946078445996538, {5, 2}]], {29.25, 
       17.52696077700173}, {-1, 0}], 
      Line[{{0, 21.553921554003463`}, {31.25, 21.553921554003463`}}], 
      Arrow[{{28.749999999999996`, 21.553921554003463`}, {28.749999999999996`,
        19.5}}], 
      Text[
       StringForm["\[VeryThinSpace]``'", 
        NumberForm[2.053921554003462, {5, 2}]], {29.25, 
       20.526960777001733`}, {-1, 0}]}, $CellContext`cumul = 
    False, $CellContext`yaugm = 3.946078445996538, $CellContext`frac = 
    False, $CellContext`i = 5, $CellContext`xaugm = 
    5.6375, $CellContext`altconf = False, $CellContext`Desk[
      Pattern[$CellContext`x, 
       Blank[]], 
      Pattern[$CellContext`y, 
       Blank[]], 
      Pattern[$CellContext`seatw, 
       Blank[]], 
      Pattern[$CellContext`seatl, 
       Blank[]], 
      Pattern[$CellContext`chairw, 
       Blank[]], 
      Pattern[$CellContext`chairb, 
       Blank[]], 
      Pattern[$CellContext`nosedist, 
       Blank[]]] := Join[{
       Rectangle[{$CellContext`x, $CellContext`y + $CellContext`chairb}, \
{$CellContext`x + $CellContext`seatw, $CellContext`y + $CellContext`seatl}, 
        RoundingRadius -> 0.15], 
       Rectangle[{$CellContext`x + ($CellContext`seatw - $CellContext`chairw)/
          2, $CellContext`y}, {$CellContext`x + ($CellContext`seatw + \
$CellContext`chairw)/2, $CellContext`y + $CellContext`chairb}]}, 
      $CellContext`Headgraph[$CellContext`x + $CellContext`seatw/
        2, $CellContext`y + $CellContext`seatl - $CellContext`nosedist, 
       0.33]], $CellContext`Headgraph[
      Pattern[$CellContext`x, 
       Blank[]], 
      Pattern[$CellContext`y, 
       Blank[]], 
      Pattern[$CellContext`r, 
       Blank[]]] := {
      Disk[{$CellContext`x, $CellContext`y - $CellContext`r}, $CellContext`r], 
      RegularPolygon[{$CellContext`x, $CellContext`y}, $CellContext`r/2.5, 
       3]}}]], "Output",
 CellChangeTimes->{
  3.8020932371521835`*^9, 3.8020935596585875`*^9, 3.8020939473330297`*^9, {
   3.802094778859955*^9, 3.8020947990196643`*^9}, 3.8020951960561066`*^9, 
   3.802095271875022*^9, 3.802386165187271*^9, 3.802386286051468*^9, 
   3.8023866752035666`*^9, 3.802386727876896*^9},
 CellLabel->"Out[84]=",ExpressionUUID->"9349212b-2f7d-492f-b372-a06a0743a014"]
}, Open  ]]
},
InitializationCellEvaluation->True,
InitializationCellWarning->False,
WindowSize->{1277, 913},
WindowMargins->{{85, Automatic}, {Automatic, 111}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
ScrollingOptions->{"VerticalScrollRange"->Fit},
FrontEndVersion->"12.0 for Microsoft Windows (64-bit) (April 8, 2019)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[1510, 35, 78164, 1587, 19, "Input",ExpressionUUID->"ece95d78-47fb-44c7-87f6-1f2efb11e0d1",
 CellOpen->False,
 InitializationCell->True],
Cell[79677, 1624, 32553, 670, 471, "Output",ExpressionUUID->"9349212b-2f7d-492f-b372-a06a0743a014"]
}, Open  ]]
}
]
*)

(* NotebookSignature JwDZv8wHnXKFmA1PbrAsbsa# *)
