(* Content-type: application/vnd.wolfram.cdf.text *)

(*** Wolfram CDF File ***)
(* http://www.wolfram.com/cdf *)

(* CreatedBy='Mathematica 12.0' *)

(***************************************************************************)
(*                                                                         *)
(*                                                                         *)
(*  Under the Wolfram FreeCDF terms of use, this file and its content are  *)
(*  bound by the Creative Commons BY-SA Attribution-ShareAlike license.    *)
(*                                                                         *)
(*        For additional information concerning CDF licensing, see:        *)
(*                                                                         *)
(*         www.wolfram.com/cdf/adopting-cdf/licensing-options.html         *)
(*                                                                         *)
(*                                                                         *)
(***************************************************************************)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[      1088,         20]
NotebookDataLength[     20447,        468]
NotebookOptionsPosition[     20736,        462]
NotebookOutlinePosition[     21080,        477]
CellTagsIndexPosition[     21037,        474]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"With", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"lab", "=", " ", 
      RowBox[{
       RowBox[{"Graphics", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"FaceForm", "[", "]"}], ",", 
           RowBox[{"EdgeForm", "[", "Thin", "]"}], ",", 
           RowBox[{"RegularPolygon", "[", 
            RowBox[{"#1", ",", "#2"}], "]"}]}], "}"}], ",", 
         RowBox[{"ImageSize", "\[Rule]", "10"}]}], "]"}], "&"}]}], "}"}], ",",
     "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"i", "=", "11"}], ";", "\[IndentingNewLine]", 
     RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"Module", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"nw", "=", "7"}], ",", 
           RowBox[{"nl", "=", "7"}], ",", 
           RowBox[{"d", "=", "1."}], ",", 
           RowBox[{"\[CapitalDelta]x", "=", 
            RowBox[{
             SqrtBox["2"], 
             RowBox[{"d", "/", "2"}]}]}], ",", 
           RowBox[{"\[CapitalDelta]y", "=", 
            SqrtBox[
             RowBox[{
              SuperscriptBox["d", "2"], "-", 
              SuperscriptBox["\[CapitalDelta]x", "2"]}]]}], ",", "k", ",", 
           "j", ",", "CirGrid", ",", 
           RowBox[{"(*", 
            RowBox[{
             RowBox[{"\[CapitalDelta]t", "=", "0.1"}], ","}], "*)"}], "tbl"}],
           "}"}], ",", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"tbl", "=", " ", 
           RowBox[{"Table", "[", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{
              RowBox[{"\[CapitalDelta]x", "=", 
               RowBox[{
                SqrtBox["\[Tau]"], 
                RowBox[{"d", "/", "2"}]}]}], ";", "\[IndentingNewLine]", 
              RowBox[{"\[CapitalDelta]y", "=", 
               SqrtBox[
                RowBox[{
                 SuperscriptBox["d", "2"], "-", 
                 SuperscriptBox["\[CapitalDelta]x", "2"]}]]}], ";", 
              "\[IndentingNewLine]", "\[IndentingNewLine]", 
              RowBox[{"CirGrid", "=", 
               RowBox[{"Reap", "[", "\[IndentingNewLine]", 
                RowBox[{"For", "[", 
                 RowBox[{
                  RowBox[{"j", "=", "0"}], ",", 
                  RowBox[{"j", "\[LessEqual]", "nl"}], ",", 
                  RowBox[{"j", "++"}], ",", "\[IndentingNewLine]", 
                  RowBox[{"For", "[", 
                   RowBox[{
                    RowBox[{"k", "=", "0"}], ",", 
                    RowBox[{"k", "\[LessEqual]", "nw"}], ",", 
                    RowBox[{"k", "++"}], ",", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"OddQ", "[", 
                    RowBox[{"k", "+", "j"}], "]"}], "==", "True"}], ",", 
                    RowBox[{"Sow", "[", 
                    RowBox[{"Circle", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"2", 
                    RowBox[{"\[LeftFloor]", 
                    FractionBox["k", "2"], "\[RightFloor]"}], " ", 
                    RowBox[{"Max", "[", 
                    RowBox[{"\[CapitalDelta]x", ",", 
                    RowBox[{"d", "/", "2"}]}], "]"}]}], "+", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"OddQ", "[", "k", "]"}], ",", "\[CapitalDelta]x", 
                    ",", "0"}], "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"2", 
                    RowBox[{"\[LeftFloor]", 
                    FractionBox["j", "2"], "\[RightFloor]"}], " ", 
                    RowBox[{"Max", "[", 
                    RowBox[{"\[CapitalDelta]y", ",", 
                    RowBox[{"d", "/", "2"}]}], "]"}]}], "+", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"OddQ", "[", "j", "]"}], ",", "\[CapitalDelta]y", 
                    ",", "0"}], "]"}]}]}], "}"}], ",", 
                    RowBox[{"d", "/", "2"}]}], "]"}], "]"}]}], "]"}], ";"}]}],
                    "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", 
                 "]"}], "\[IndentingNewLine]", "]"}]}], ";", 
              "\[IndentingNewLine]", 
              RowBox[{"(*", 
               RowBox[{"Row", "[", 
                RowBox[{"{", 
                 RowBox[{
                 "\[CapitalDelta]x", ",", "\"\<  \>\"", ",", 
                  "\[CapitalDelta]y"}], "}"}], "]"}], "*)"}], 
              "\[IndentingNewLine]", 
              RowBox[{"Graphics", "[", 
               RowBox[{"CirGrid", ",", 
                RowBox[{"ImageSize", "\[Rule]", " ", 
                 RowBox[{"100", 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"Max", "[", 
                    RowBox[{
                    RowBox[{"nw", " ", "\[CapitalDelta]x"}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"\[LeftFloor]", 
                    RowBox[{"nw", "/", "2"}], "\[RightFloor]"}], "d"}], "+", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"OddQ", "[", "nw", "]"}], ",", "\[CapitalDelta]x",
                     ",", "0"}], "]"}]}]}], "]"}], "+", "d"}], ")"}]}]}]}], 
               "]"}]}], "\[IndentingNewLine]", 
             RowBox[{"(*", 
              RowBox[{"Graphics", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"FaceForm", "[", "]"}], ",", "CirGrid"}], "}"}], 
               "]"}], "*)"}], ",", "\[IndentingNewLine]", 
             RowBox[{"{", 
              RowBox[{"\[Tau]", ",", "0.", ",", "4", ",", "0.1"}], "}"}]}], 
            "\[IndentingNewLine]", "]"}]}], ";", "\[IndentingNewLine]", 
          "\[IndentingNewLine]", 
          RowBox[{"Show", "[", 
           RowBox[{
           "tbl", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}], 
           "]"}]}]}], "\[IndentingNewLine]", "]"}], ",", 
       "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"Grid", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"Manipulator", "[", 
            RowBox[{
             RowBox[{"Dynamic", "[", "i", "]"}], ",", 
             RowBox[{"{", 
              RowBox[{"1", ",", "41", ",", "1"}], "}"}]}], "]"}], "}"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"{", 
           RowBox[{"Row", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Button", "[", 
               RowBox[{
                RowBox[{"lab", "[", 
                 RowBox[{"1", ",", "4"}], "]"}], ",", 
                RowBox[{"i", "=", "1"}], ",", 
                RowBox[{"ImageSize", "\[Rule]", 
                 RowBox[{"{", 
                  RowBox[{"40", ",", "20"}], "}"}]}]}], "]"}], ",", 
              RowBox[{"Spacer", "[", "5", "]"}], ",", "\[IndentingNewLine]", 
              RowBox[{"Button", "[", 
               RowBox[{
                RowBox[{"lab", "[", 
                 RowBox[{"1", ",", "6"}], "]"}], ",", 
                RowBox[{"i", "=", "11"}], ",", 
                RowBox[{"ImageSize", "\[Rule]", 
                 RowBox[{"{", 
                  RowBox[{"40", ",", "20"}], "}"}]}]}], "]"}], ",", 
              RowBox[{"Spacer", "[", "5", "]"}], ",", "\[IndentingNewLine]", 
              RowBox[{"Button", "[", 
               RowBox[{
                RowBox[{"lab", "[", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{"1", ",", 
                    RowBox[{"\[Pi]", "/", "2"}]}], "}"}], ",", "4"}], "]"}], 
                ",", 
                RowBox[{"i", "=", "21."}], ",", 
                RowBox[{"ImageSize", "\[Rule]", 
                 RowBox[{"{", 
                  RowBox[{"40", ",", "20"}], "}"}]}]}], "]"}], ",", 
              RowBox[{"Spacer", "[", "5", "]"}], ",", "\[IndentingNewLine]", 
              RowBox[{"Button", "[", 
               RowBox[{
                RowBox[{"lab", "[", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{"1", ",", 
                    RowBox[{"\[Pi]", "/", "2"}]}], "}"}], ",", "6"}], "]"}], 
                ",", 
                RowBox[{"i", "=", "31"}], ",", 
                RowBox[{"ImageSize", "\[Rule]", 
                 RowBox[{"{", 
                  RowBox[{"40", ",", "20"}], "}"}]}]}], "]"}], ",", 
              RowBox[{"Spacer", "[", "5", "]"}], ",", "\[IndentingNewLine]", 
              RowBox[{"Button", "[", 
               RowBox[{
                RowBox[{"lab", "[", 
                 RowBox[{"1", ",", "4"}], "]"}], ",", 
                RowBox[{"i", "=", "41"}], ",", 
                RowBox[{"ImageSize", "\[Rule]", 
                 RowBox[{"{", 
                  RowBox[{"40", ",", "20"}], "}"}]}]}], "]"}]}], 
             "\[IndentingNewLine]", "}"}], "]"}], "}"}]}], 
         "\[IndentingNewLine]", "}"}], "]"}]}], "\[IndentingNewLine]", 
      "]"}]}]}], "\[IndentingNewLine]", "]"}]}]], "Input",
 CellOpen->False,
 CellChangeTimes->{{3.801954110072466*^9, 3.8019541370227876`*^9}, {
   3.80195460622108*^9, 3.8019546993121986`*^9}, {3.8019550424854183`*^9, 
   3.801955066184552*^9}, {3.801955131844491*^9, 3.801955160089095*^9}, {
   3.8019552324278564`*^9, 3.801955317272257*^9}, {3.8019554452898483`*^9, 
   3.8019554770875483`*^9}, {3.8019555273041296`*^9, 
   3.8019556367332754`*^9}, {3.801955896748789*^9, 3.8019558986932983`*^9}, {
   3.801956400051177*^9, 3.8019564211401253`*^9}, {3.8019566181978273`*^9, 
   3.8019566584749575`*^9}, {3.8019566926421156`*^9, 3.801956752247546*^9}, {
   3.801956846147113*^9, 3.8019568478235927`*^9}, {3.8019575241130643`*^9, 
   3.8019576113208895`*^9}, 3.8019578026612897`*^9, {3.801957881277877*^9, 
   3.8019579109594417`*^9}, {3.8019827573102045`*^9, 
   3.8019829113266664`*^9}, {3.8019830214747076`*^9, 3.801983021684148*^9}, {
   3.8019831995494523`*^9, 3.801983204255441*^9}, 3.801983485996318*^9, {
   3.8019835217097464`*^9, 3.801983584326696*^9}, {3.8019836801899786`*^9, 
   3.8019837112015967`*^9}, {3.8019837455514803`*^9, 3.801983745939331*^9}, {
   3.8019841804025383`*^9, 3.8019841874777403`*^9}, {3.8019842436955943`*^9, 
   3.801984305096106*^9}, {3.8019843504399605`*^9, 3.8019843532731376`*^9}, {
   3.801984997910435*^9, 3.8019850077178383`*^9}, {3.8019850422975674`*^9, 
   3.8019851835588303`*^9}, {3.8019852207379956`*^9, 3.801985255308711*^9}, {
   3.8019853341860065`*^9, 3.801985363144161*^9}, {3.8019854052177095`*^9, 
   3.80198564810606*^9}, {3.801985760489095*^9, 3.8019858857798333`*^9}, {
   3.8019859294264846`*^9, 3.801985931489753*^9}, 3.801987080650727*^9, {
   3.8020910793096266`*^9, 3.802091174645133*^9}, {3.802091210937397*^9, 
   3.802091247630431*^9}, {3.802091324232523*^9, 3.802091339515651*^9}, {
   3.802091373722395*^9, 3.8020913768422403`*^9}, {3.8020914079286094`*^9, 
   3.8020914182072406`*^9}, {3.8020917334271*^9, 3.8020917872881584`*^9}, {
   3.8020918446023417`*^9, 3.8020918640853777`*^9}, {3.8020918955077744`*^9, 
   3.8020919209349327`*^9}, {3.8020919790142083`*^9, 3.8020919816058707`*^9}, 
   3.8020920179854803`*^9, {3.8020920603379083`*^9, 3.8020921132783804`*^9}, {
   3.802092245265375*^9, 3.802092262476393*^9}, {3.8020927816477337`*^9, 
   3.8020928289908295`*^9}, {3.802092948903333*^9, 3.802092963696661*^9}, {
   3.8020930281616745`*^9, 
   3.8020930284610877`*^9}},ExpressionUUID->"acf5f816-935d-4286-ad37-\
6d2d13a8dd27"],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{
      Hold[
       Grid[{{
          Manipulator[
           Dynamic[$CellContext`i], {1, 41, 1}]}, {
          Row[{
            Button[
             Graphics[{
               FaceForm[], 
               EdgeForm[
                Thickness[Tiny]], 
               RegularPolygon[1, 4]}, ImageSize -> 10], $CellContext`i = 1, 
             ImageSize -> {40, 25}], 
            Spacer[5], 
            Button[
             Graphics[{
               FaceForm[], 
               EdgeForm[
                Thickness[Tiny]], 
               RegularPolygon[1, 6]}, ImageSize -> 10], $CellContext`i = 11, 
             ImageSize -> {40, 20}], 
            Spacer[5], 
            Button[
             Graphics[{
               FaceForm[], 
               EdgeForm[
                Thickness[Tiny]], 
               RegularPolygon[{1, Rational[1, 2] Pi}, 4]}, ImageSize -> 
              10], $CellContext`i = 21., ImageSize -> {40, 20}], 
            Spacer[5], 
            Button[
             Graphics[{
               FaceForm[], 
               EdgeForm[
                Thickness[Tiny]], 
               RegularPolygon[{1, Rational[1, 2] Pi}, 6]}, ImageSize -> 
              10], $CellContext`i = 31, ImageSize -> {40, 20}], 
            Spacer[5], 
            Button[
             Graphics[{
               FaceForm[], 
               EdgeForm[
                Thickness[Tiny]], 
               RegularPolygon[1, 4]}, ImageSize -> 10], $CellContext`i = 41, 
             ImageSize -> {40, 20}]}]}}]], 
      Manipulate`Dump`ThisIsNotAControl}}, Typeset`size$$ = {
    447., {350., 354.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {}, "ControllerVariables" :> {}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      Module[{$CellContext`nw = 7, $CellContext`nl = 7, $CellContext`d = 
         1., $CellContext`\[CapitalDelta]x = 
         Sqrt[2] ($CellContext`d/2), $CellContext`\[CapitalDelta]y = 
         Sqrt[$CellContext`d^2 - $CellContext`\[CapitalDelta]x^2], \
$CellContext`k, $CellContext`j, $CellContext`CirGrid, $CellContext`tbl}, \
$CellContext`tbl = 
         Table[$CellContext`\[CapitalDelta]x = 
            Sqrt[$CellContext`\[Tau]] ($CellContext`d/
              2); $CellContext`\[CapitalDelta]y = 
            Sqrt[$CellContext`d^2 - $CellContext`\[CapitalDelta]x^2]; \
$CellContext`CirGrid = Reap[
              For[$CellContext`j = 0, $CellContext`j <= $CellContext`nl, 
               Increment[$CellContext`j], 
               For[$CellContext`k = 0, $CellContext`k <= $CellContext`nw, 
                Increment[$CellContext`k], 
                If[OddQ[$CellContext`k + $CellContext`j] == True, 
                  Sow[
                   
                   Circle[{(2 Floor[$CellContext`k/2]) 
                    Max[$CellContext`\[CapitalDelta]x, $CellContext`d/2] + If[
                    OddQ[$CellContext`k], $CellContext`\[CapitalDelta]x, 0], (
                    2 Floor[$CellContext`j/2]) 
                    Max[$CellContext`\[CapitalDelta]y, $CellContext`d/2] + If[
                    OddQ[$CellContext`j], $CellContext`\[CapitalDelta]y, 
                    0]}, $CellContext`d/2]]]; Null]]]; 
           Graphics[$CellContext`CirGrid, ImageSize -> 
             100 (Max[$CellContext`nw $CellContext`\[CapitalDelta]x, 
                 Floor[$CellContext`nw/2] $CellContext`d + If[
                   OddQ[$CellContext`nw], $CellContext`\[CapitalDelta]x, 
                   0]] + $CellContext`d)], {$CellContext`\[Tau], 0., 4, 0.1}]; 
        Show[
          Part[$CellContext`tbl, $CellContext`i]]], "Specifications" :> {
        Grid[{{
           Manipulator[
            Dynamic[$CellContext`i], {1, 41, 1}]}, {
           Row[{
             Button[
              Graphics[{
                FaceForm[], 
                EdgeForm[
                 Thickness[Tiny]], 
                RegularPolygon[1, 4]}, ImageSize -> 10], $CellContext`i = 1, 
              ImageSize -> {40, 25}], 
             Spacer[5], 
             Button[
              Graphics[{
                FaceForm[], 
                EdgeForm[
                 Thickness[Tiny]], 
                RegularPolygon[1, 6]}, ImageSize -> 10], $CellContext`i = 11, 
              ImageSize -> {40, 20}], 
             Spacer[5], 
             Button[
              Graphics[{
                FaceForm[], 
                EdgeForm[
                 Thickness[Tiny]], 
                RegularPolygon[{1, Rational[1, 2] Pi}, 4]}, ImageSize -> 
               10], $CellContext`i = 21., ImageSize -> {40, 20}], 
             Spacer[5], 
             Button[
              Graphics[{
                FaceForm[], 
                EdgeForm[
                 Thickness[Tiny]], 
                RegularPolygon[{1, Rational[1, 2] Pi}, 6]}, ImageSize -> 
               10], $CellContext`i = 31, ImageSize -> {40, 20}], 
             Spacer[5], 
             Button[
              Graphics[{
                FaceForm[], 
                EdgeForm[
                 Thickness[Tiny]], 
                RegularPolygon[1, 4]}, ImageSize -> 10], $CellContext`i = 41, 
              ImageSize -> {40, 20}]}]}}]}, "Options" :> {}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{498., {424., 430.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UndoTrackedVariables:>{Typeset`show$$, Typeset`bookmarkMode$$},
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{{3.801985886256084*^9, 3.801985933278804*^9}, {
   3.8019871658330545`*^9, 3.8019871923340693`*^9}, 3.8019873039716835`*^9, 
   3.8019987340116253`*^9, 3.8020910531635466`*^9, 3.802091096614336*^9, {
   3.8020911518957124`*^9, 3.802091166776149*^9}, {3.802091231185499*^9, 
   3.8020912406151156`*^9}, 3.8020913442084007`*^9, 3.8020913784502783`*^9, 
   3.8020922819704432`*^9, {3.8020928109084797`*^9, 3.8020928295490794`*^9}, {
   3.802092954784816*^9, 3.802092964185047*^9}, 3.8023663947762723`*^9, 
   3.8025116237702*^9},
 CellLabel->"Out[4]=",ExpressionUUID->"e7823927-154c-4fef-b72d-26f27c27f2da"],

Cell[BoxData[
 TemplateBox[{
  "Part","pkspec1",
   "\"The expression \\!\\(\\*RowBox[{\\\"i\\\"}]\\) cannot be used as a part \
specification.\"",2,15,1,27688795309288562423,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.802510709557245*^9},
 CellLabel->"",ExpressionUUID->"4b9cfb29-8500-4ddb-8646-ca5a7284f692"],

Cell[BoxData[
 TemplateBox[{
  "Show","gtype",
   "\"\\!\\(\\*RowBox[{\\\"Part\\\"}]\\) is not a type of graphics.\"",2,15,2,
   27688795309288562423,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.802510709622692*^9},
 CellLabel->"",ExpressionUUID->"b4ef8fa7-d7b7-4e82-88bb-57396b1c21b9"]
}, Open  ]]
},
WindowSize->{1041, 911},
WindowMargins->{{479, Automatic}, {Automatic, 90}},
FrontEndVersion->"12.0 for Microsoft Windows (64-bit) (April 8, 2019)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[1510, 35, 11737, 249, 19, "Input",ExpressionUUID->"acf5f816-935d-4286-ad37-6d2d13a8dd27",
 CellOpen->False],
Cell[13250, 286, 6813, 155, 873, "Output",ExpressionUUID->"e7823927-154c-4fef-b72d-26f27c27f2da"],
Cell[20066, 443, 338, 7, 21, "Message",ExpressionUUID->"4b9cfb29-8500-4ddb-8646-ca5a7284f692"],
Cell[20407, 452, 313, 7, 21, "Message",ExpressionUUID->"b4ef8fa7-d7b7-4e82-88bb-57396b1c21b9"]
}, Open  ]]
}
]
*)

(* NotebookSignature ZwTY9H1X29A12AKSXymwDf34 *)
