(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[    155894,       3096]
NotebookOptionsPosition[    154944,       3066]
NotebookOutlinePosition[    155758,       3093]
CellTagsIndexPosition[    155715,       3090]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"NCap", "[", 
    RowBox[{"nx_", ",", "ny_"}], "]"}], " ", ":=", " ", 
   RowBox[{"\[Piecewise]", GridBox[{
      {
       FractionBox[
        RowBox[{
         RowBox[{"(", 
          RowBox[{"nx", "+", "1"}], ")"}], 
         RowBox[{"(", 
          RowBox[{"ny", "+", "1"}], ")"}]}], "2"], 
       RowBox[{
        RowBox[{"OddQ", "[", "nx", "]"}], "||", 
        RowBox[{"OddQ", "[", "ny", "]"}]}]},
      {
       FractionBox[
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"nx", "+", "1"}], ")"}], 
          RowBox[{"(", 
           RowBox[{"ny", "+", "1"}], ")"}]}], "+", "1"}], "2"], 
       RowBox[{
        RowBox[{"EvenQ", "[", "ny", "]"}], "&&", 
        RowBox[{"EvenQ", "[", "ny", "]"}]}]}
     }]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Headgraph", "[", 
    RowBox[{"x_", ",", "y_", ",", "r_"}], "]"}], " ", ":=", " ", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Disk", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"x", ",", 
         RowBox[{"y", "-", "r"}]}], "}"}], ",", "r"}], "]"}], ",", 
     RowBox[{"RegularPolygon", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"x", ",", "y"}], "}"}], ",", 
       RowBox[{"r", "/", "2.5"}], ",", "3"}], "]"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"Desk", " ", "[", 
     RowBox[{
     "x_", ",", "y_", ",", "seatw_", ",", "seatl_", ",", "chairw_", ",", 
      "chairb_", ",", "nosedist_"}], "]"}], ":=", 
    RowBox[{"Join", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Rectangle", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"x", ",", 
            RowBox[{"y", "+", "chairb"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"x", "+", "seatw"}], ",", 
            RowBox[{"y", "+", "seatl"}]}], "}"}], ",", 
          RowBox[{"RoundingRadius", "\[Rule]", "0.15"}]}], "]"}], ",", 
        RowBox[{"Rectangle", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"x", "+", 
             FractionBox[
              RowBox[{"seatw", "-", "chairw"}], "2"]}], ",", "y"}], "}"}], 
          ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"x", "+", 
             FractionBox[
              RowBox[{"seatw", "+", "chairw"}], "2"]}], ",", 
            RowBox[{"y", "+", "chairb"}]}], "}"}]}], "]"}]}], "}"}], ",", 
      RowBox[{"Headgraph", "[", 
       RowBox[{
        RowBox[{"x", "+", 
         RowBox[{"seatw", "/", "2"}]}], ",", 
        RowBox[{"y", "+", "seatl", "-", "nosedist"}], ",", "0.33"}], "]"}]}], 
     "]"}]}], ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"FootForm", "[", 
     RowBox[{"x_", ",", "fractional_"}], "]"}], " ", ":=", 
    RowBox[{"If", "[", 
     RowBox[{"fractional", ",", 
      RowBox[{
       RowBox[{"ft", "=", 
        RowBox[{"\[LeftFloor]", "x", "\[RightFloor]"}]}], ";", " ", 
       RowBox[{"inch", "=", 
        RowBox[{"Round", "[", 
         RowBox[{"12", 
          RowBox[{"(", 
           RowBox[{"x", "-", 
            RowBox[{"\[LeftFloor]", "x", "\[RightFloor]"}]}], ")"}]}], 
         "]"}]}], ";", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"inch", "==", "12"}], ",", 
         RowBox[{
          RowBox[{"ft", "++"}], ";", " ", 
          RowBox[{"inch", "=", "0"}]}]}], "]"}], ";", " ", 
       RowBox[{"StringForm", "[", 
        RowBox[{"\"\<``'``\\\"\>\"", ",", "ft", ",", "inch"}], "]"}]}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"StringForm", "[", 
       RowBox[{"\"\<\[VeryThinSpace]``'\>\"", ",", 
        RowBox[{"NumberForm", "[", 
         RowBox[{"x", ",", 
          RowBox[{"{", 
           RowBox[{"5", ",", "2"}], "}"}]}], "]"}]}], "]"}]}], "]"}]}], ";"}],
   "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"rectline", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"xm_", ",", "ym_"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"xM_", ",", "yM_"}], "}"}]}], "]"}], ":=", 
    RowBox[{"Line", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"xm", ",", "ym"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"xm", ",", "yM"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"xM", ",", "yM"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"xM", ",", "ym"}], "}"}]}], "}"}], "]"}]}], ";"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"rectangle", "=", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Dashing", "[", "Small", "]"}], ",", 
         RowBox[{"Line", "[", 
          RowBox[{"{", 
           RowBox[{"#1", ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"First", "[", "#2", "]"}], ",", 
              RowBox[{"Last", "[", "#1", "]"}]}], "}"}], ",", "#2", ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"First", "[", "#1", "]"}], ",", 
              RowBox[{"Last", "[", "#2", "]"}]}], "}"}], ",", "#1"}], "}"}], 
          "]"}]}], "}"}], "&"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"manip", " ", "=", " ", 
      RowBox[{
       RowBox[{"Manipulator", "[", 
        RowBox[{"#1", ",", "#2", ",", 
         RowBox[{"Appearance", "\[Rule]", "\"\<Open\>\""}], ",", 
         RowBox[{"AppearanceElements", "\[Rule]", "\"\<InputField\>\""}], ",", 
         RowBox[{"ImageSize", "\[Rule]", "100"}], ",", 
         RowBox[{"BaselinePosition", "\[Rule]", "Center"}], ",", 
         RowBox[{"ImageMargins", "\[Rule]", "10"}], ",", 
         RowBox[{"BaseStyle", "\[Rule]", 
          RowBox[{"InputFieldBoxOptions", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"\"\<TrapEnterKey\>\"", "\[Rule]", "True"}], "}"}]}]}]}], 
        "]"}], "&"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"inField", " ", "=", " ", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"#1", ",", 
         RowBox[{"InputField", "[", 
          RowBox[{"#2", ",", 
           RowBox[{"FieldSize", "\[Rule]", "Tiny"}], ",", 
           RowBox[{"BaseStyle", "\[Rule]", 
            RowBox[{"InputFieldBoxOptions", "\[Rule]", 
             RowBox[{"{", 
              RowBox[{"\"\<TrapEnterKey\>\"", "\[Rule]", "True"}], 
              "}"}]}]}]}], "]"}], ",", "\"\< ft\>\""}], "}"}], "&"}]}]}], 
    "}"}], ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"DynamicModule", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"d", "=", "6."}], ",", 
       RowBox[{"Len", " ", "=", " ", "32."}], ",", 
       RowBox[{"Wid", " ", "=", " ", "25."}], ",", 
       RowBox[{"seatw", " ", "=", " ", "2.25"}], ",", " ", "seatl", ",", 
       RowBox[{"deskl", "=", "1.5"}], ",", 
       RowBox[{"chairw", "=", "1.5"}], ",", 
       RowBox[{"chairb", "=", "1"}], ",", 
       RowBox[{"nosedist", " ", "=", "1.5"}], ",", 
       RowBox[{"sidemarg", " ", "=", " ", "0.1"}], ",", 
       RowBox[{"backmarg", " ", "=", " ", "0.5"}], ",", "\[IndentingNewLine]", 
       RowBox[{"frontspace", " ", "=", " ", "10."}], ",", 
       RowBox[{"Layouts", "=", 
        RowBox[{"{", "}"}]}], ",", 
       RowBox[{"lyut", "=", "1"}], ",", 
       RowBox[{"plan", "=", "Null"}], ",", 
       RowBox[{"xol", "=", "0"}], ",", 
       RowBox[{"yol", "=", "0"}], ",", 
       RowBox[{"s", "=", "1"}], ",", "sn", ",", 
       RowBox[{"scale", "=", "1"}], ",", 
       RowBox[{"\[Theta]", "=", "0"}], ",", 
       RowBox[{"a", "=", "0.5"}], ",", "first", ",", " ", "second", ",", 
       RowBox[{"zooming", "=", "False"}], ",", 
       RowBox[{"dragging", "=", "False"}], ",", "boxSize", ",", 
       RowBox[{"box", "=", 
        RowBox[{"{", 
         RowBox[{"100", ",", "100"}], "}"}]}], ",", 
       RowBox[{"ar", "=", "1"}], ",", "mP", ",", "gr", ",", "mask", ",", 
       RowBox[{"dir", "=", "$UserDocumentsDirectory"}], ",", 
       RowBox[{"img", "=", 
        RowBox[{"{", "}"}]}]}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"Grid", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"{", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"Column", "[", 
           RowBox[{"{", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"Panel", "[", 
              RowBox[{
               RowBox[{"Grid", "[", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"inField", "[", 
                    RowBox[{"\"\<Student separation \>\"", ",", 
                    RowBox[{"Dynamic", "@", "d"}]}], "]"}], ",", 
                   "\[IndentingNewLine]", 
                   RowBox[{"inField", "[", 
                    RowBox[{"\"\<Classroom width \>\"", ",", 
                    RowBox[{"Dynamic", "@", "Wid"}]}], "]"}], ",", 
                   "\[IndentingNewLine]", 
                   RowBox[{"inField", "[", 
                    RowBox[{"\"\<Classroom length \>\"", ",", 
                    RowBox[{"Dynamic", "@", "Len"}]}], "]"}], ",", 
                   "\[IndentingNewLine]", 
                   RowBox[{"inField", "[", 
                    RowBox[{"\"\<Min. board distance \>\"", ",", 
                    RowBox[{"Dynamic", "@", "frontspace"}]}], "]"}]}], "}"}], 
                 ",", "\[IndentingNewLine]", 
                 RowBox[{"Alignment", "\[Rule]", 
                  RowBox[{"{", 
                   RowBox[{"{", 
                    RowBox[{"Right", ",", 
                    RowBox[{"{", "Left", "}"}]}], "}"}], "}"}]}]}], "]"}], 
               ",", "\"\<Classroom dimensions\>\"", ",", 
               RowBox[{"LabelStyle", "\[Rule]", "Bold"}]}], "]"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"Panel", "[", 
              RowBox[{
               RowBox[{"Grid", "[", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{"\"\<Desk width \>\"", ",", 
                    RowBox[{"InputField", "[", 
                    RowBox[{
                    RowBox[{"Dynamic", "@", "seatw"}], ",", 
                    RowBox[{"FieldSize", "\[Rule]", "Tiny"}]}], "]"}], ",", 
                    "\"\< ft\>\""}], "}"}], ",", 
                   RowBox[{"{", 
                    RowBox[{"\"\<Desk length \>\"", ",", 
                    RowBox[{"InputField", "[", 
                    RowBox[{
                    RowBox[{"Dynamic", "@", "deskl"}], ",", 
                    RowBox[{"FieldSize", "\[Rule]", "Tiny"}]}], "]"}], ",", 
                    "\"\< ft\>\""}], "}"}], ",", "\[IndentingNewLine]", 
                   RowBox[{"{", 
                    RowBox[{"\"\<Chair width \>\"", ",", 
                    RowBox[{"InputField", "[", 
                    RowBox[{
                    RowBox[{"Dynamic", "@", "chairw"}], ",", 
                    RowBox[{"FieldSize", "\[Rule]", "Tiny"}]}], "]"}], ",", 
                    "\"\< ft\>\""}], "}"}], ",", "\[IndentingNewLine]", 
                   RowBox[{"{", 
                    RowBox[{"\"\<Seat back \>\"", ",", 
                    RowBox[{"InputField", "[", 
                    RowBox[{
                    RowBox[{"Dynamic", "@", "chairb"}], ",", 
                    RowBox[{"FieldSize", "\[Rule]", "Tiny"}]}], "]"}], ",", 
                    "\"\< ft\>\""}], "}"}], ",", "\[IndentingNewLine]", 
                   RowBox[{"{", 
                    RowBox[{"\"\<Nose position \>\"", ",", 
                    RowBox[{"InputField", "[", 
                    RowBox[{
                    RowBox[{"Dynamic", "@", "nosedist"}], ",", 
                    RowBox[{"FieldSize", "\[Rule]", "Tiny"}]}], "]"}], ",", 
                    "\"\< ft\>\""}], "}"}]}], "}"}], ",", 
                 "\[IndentingNewLine]", 
                 RowBox[{"Alignment", "\[Rule]", 
                  RowBox[{"{", 
                   RowBox[{"{", 
                    RowBox[{"Right", ",", 
                    RowBox[{"{", "Left", "}"}]}], "}"}], "}"}]}]}], "]"}], 
               ",", "\"\<Desk dimensions\>\"", ",", 
               RowBox[{"LabelStyle", "\[Rule]", "Bold"}]}], "]"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"Panel", "[", 
              RowBox[{
               RowBox[{"Grid", "[", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{"\"\<Side margin \>\"", ",", 
                    RowBox[{"InputField", "[", 
                    RowBox[{
                    RowBox[{"Dynamic", "@", "sidemarg"}], ",", 
                    RowBox[{"FieldSize", "\[Rule]", "Tiny"}]}], "]"}], ",", 
                    "\"\< ft\>\""}], "}"}], ",", "\[IndentingNewLine]", 
                   RowBox[{"{", 
                    RowBox[{"\"\<Back margin \>\"", ",", 
                    RowBox[{"InputField", "[", 
                    RowBox[{
                    RowBox[{"Dynamic", "@", "backmarg"}], ",", 
                    RowBox[{"FieldSize", "\[Rule]", "Tiny"}]}], "]"}], ",", 
                    "\"\< ft\>\""}], "}"}]}], "}"}], ",", 
                 "\[IndentingNewLine]", 
                 RowBox[{"Alignment", "\[Rule]", 
                  RowBox[{"{", 
                   RowBox[{"{", 
                    RowBox[{"Right", ",", 
                    RowBox[{"{", "Left", "}"}]}], "}"}], "}"}]}]}], "]"}], 
               ",", "\"\<Margins\>\"", ",", 
               RowBox[{"LabelStyle", "\[Rule]", "Bold"}]}], "]"}], ",", 
             "\[IndentingNewLine]", "\[IndentingNewLine]", 
             RowBox[{"Button", "[", 
              RowBox[{
               RowBox[{"Style", "[", 
                RowBox[{
                "\"\<Calculate Layouts\>\"", ",", "Bold", ",", " ", "16"}], 
                "]"}], ",", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"seatw", " ", "=", " ", 
                 RowBox[{"Max", "[", 
                  RowBox[{"seatw", ",", "chairw"}], "]"}]}], ";", 
                "\[IndentingNewLine]", 
                RowBox[{"seatl", " ", "=", " ", 
                 RowBox[{"deskl", "+", "chairb"}]}], ";", 
                "\[IndentingNewLine]", 
                RowBox[{"W", "=", 
                 RowBox[{"Wid", "-", "seatw", "-", 
                  RowBox[{"2", "sidemarg"}]}]}], ";", "\[IndentingNewLine]", 
                RowBox[{"L", "=", " ", 
                 RowBox[{"Len", " ", "-", 
                  RowBox[{"(", 
                   RowBox[{"seatl", "-", "nosedist"}], ")"}], "-", "backmarg",
                   "-", "frontspace"}]}], ";", "\[IndentingNewLine]", 
                RowBox[{"ar", "=", 
                 RowBox[{"Len", "/", "Wid"}]}], ";", "\[IndentingNewLine]", 
                RowBox[{"Cols", " ", "=", 
                 RowBox[{"\[LeftFloor]", 
                  FractionBox[
                   RowBox[{"2", "W"}], "d"], "\[RightFloor]"}]}], ";", 
                "\[IndentingNewLine]", 
                RowBox[{"kmax", " ", "=", " ", 
                 RowBox[{"\[LeftCeiling]", 
                  RowBox[{"Cols", "-", 
                   FractionBox[
                    RowBox[{"2", "W"}], 
                    RowBox[{
                    SqrtBox["3"], "d"}]]}], "\[RightCeiling]"}]}], ";", 
                "\[IndentingNewLine]", 
                RowBox[{"If", "[", 
                 RowBox[{
                  RowBox[{
                   FractionBox["W", 
                    RowBox[{"Cols", "-", "kmax"}]], ">", "d"}], ",", 
                  RowBox[{"kmax", "--"}]}], "]"}], ";", "\[IndentingNewLine]", 
                RowBox[{"kmin", "=", 
                 RowBox[{"If", "[", 
                  RowBox[{
                   RowBox[{"EvenQ", "[", "Cols", "]"}], ",", 
                   RowBox[{"-", "1"}], ",", "0"}], "]"}]}], ";", 
                "\[IndentingNewLine]", "\[IndentingNewLine]", 
                RowBox[{"(*", 
                 RowBox[{
                 "**", "**", "**", "**", "**", "**", "**", "**", "**", "**", "**",
                   "**", "**", "**", "**", "**", "**", "**", "**", "**", "**",
                   "**", "**", "**", "**", "**", "**", "**", "**", "**", "**",
                   "**", "**", "**", "**", "**", "**", "**", "**", "**", "**",
                   "**"}], "******)"}], "\[IndentingNewLine]", 
                RowBox[{"(*", " ", 
                 RowBox[{
                 "Layouts", " ", "contains", " ", "the", " ", "paramater", 
                  " ", "for", " ", "all", " ", "the", " ", "layout", " ", 
                  "for", " ", "a", " ", "given", " ", 
                  RowBox[{"classroom", ".", " ", "each"}], " ", "entry", " ", 
                  "contains", " ", "a", " ", "list", "  ", "with"}], " ", 
                 "*)"}], "\[IndentingNewLine]", 
                RowBox[{"(*", " ", 
                 RowBox[{"the", " ", "following", " ", 
                  RowBox[{"structure", ":", " ", 
                   RowBox[{"{", 
                    RowBox[{"layout", ",", " ", "Capacity", ",", " ", 
                    RowBox[{"#", " ", "of", " ", "columns"}], ",", " ", 
                    RowBox[{"#", " ", "of", " ", "rows"}], ",", " ", 
                    RowBox[{"board", " ", "distance"}], ",", " ", 
                    RowBox[{"instructure", " ", "space"}], ","}], 
                    "    "}]}]}], "*)"}], "\[IndentingNewLine]", 
                RowBox[{"(*", 
                 RowBox[{"  ", 
                  RowBox[{
                   RowBox[{
                   "\[CapitalDelta]x", " ", "or", " ", "\[CapitalDelta]x1"}], 
                   ",", " ", "\[CapitalDelta]x2", ",", " ", "horiz", ",", " ", 
                   RowBox[{
                   "\[CapitalDelta]y", " ", "or", " ", "\[CapitalDelta]y1"}], 
                   ",", " ", "\[CapitalDelta]y2", ",", " ", "vert"}], "}"}], 
                 " ", "*)"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
                RowBox[{"Layouts", " ", "=", " ", 
                 RowBox[{"Table", "[", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"layout", " ", "=", " ", 
                    RowBox[{"ToString", "@", 
                    RowBox[{"StringForm", "[", 
                    RowBox[{"\"\<H``\>\"", ",", 
                    RowBox[{"-", "k"}]}], "]"}]}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"nw", " ", "=", " ", 
                    RowBox[{"Cols", "-", "k"}]}], ";", 
                    RowBox[{"\[CapitalDelta]x", " ", "=", " ", 
                    FractionBox["W", "nw"]}], ";", "\[IndentingNewLine]", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"2", "\[CapitalDelta]x"}], "<", "d"}], ",", " ", 
                    RowBox[{
                    RowBox[{"\[CapitalDelta]x1", "=", 
                    RowBox[{"W", "-", 
                    RowBox[{
                    FractionBox[
                    RowBox[{"(", 
                    RowBox[{"nw", "-", "1"}], ")"}], "2"], " ", "d"}]}]}], 
                    ";", 
                    RowBox[{"\[CapitalDelta]x2", "=", 
                    RowBox[{
                    RowBox[{
                    FractionBox[
                    RowBox[{"(", 
                    RowBox[{"nw", "+", "1"}], ")"}], "2"], "d"}], "-", 
                    "W"}]}], ";", 
                    RowBox[{"horiz", "=", "True"}]}], ",", 
                    RowBox[{"horiz", "=", "False"}]}], "]"}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"\[CapitalDelta]y", " ", "=", " ", 
                    RowBox[{"If", "[", 
                    RowBox[{"horiz", ",", 
                    SqrtBox[
                    RowBox[{
                    SuperscriptBox["d", "2"], "-", 
                    SuperscriptBox["\[CapitalDelta]x1", "2"]}]], ",", 
                    SqrtBox[
                    RowBox[{
                    SuperscriptBox["d", "2"], "-", 
                    SuperscriptBox["\[CapitalDelta]x", "2"]}]]}], "]"}]}], 
                    ";", "\[IndentingNewLine]", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"2", "\[CapitalDelta]y"}], "<", "d"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"nl", " ", "=", 
                    RowBox[{"Floor", "[", 
                    FractionBox[
                    RowBox[{"2", "L"}], "d"], "]"}]}], ";", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"OddQ", "[", "nl", "]"}], "\[Or]", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"L", "-", 
                    RowBox[{"d", " ", 
                    RowBox[{"nl", "/", "2"}]}]}], ">", "\[CapitalDelta]y"}], 
                    ")"}]}], ",", 
                    RowBox[{
                    RowBox[{"\[CapitalDelta]y1", "=", "\[CapitalDelta]y"}], 
                    ";", 
                    RowBox[{"\[CapitalDelta]y2", "=", 
                    RowBox[{"d", "-", "\[CapitalDelta]y"}]}], ";", 
                    RowBox[{"nl", " ", "=", " ", 
                    RowBox[{
                    RowBox[{"2", 
                    RowBox[{"\[LeftFloor]", 
                    RowBox[{"nl", "/", "2"}], "\[RightFloor]"}]}], "+", 
                    "1"}]}], ";", 
                    RowBox[{"vert", "=", "True"}]}], ",", 
                    RowBox[{
                    RowBox[{"\[CapitalDelta]y", "=", 
                    RowBox[{"d", "/", "2"}]}], ";", 
                    RowBox[{"vert", "=", "False"}]}]}], "]"}]}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"nl", " ", "=", 
                    RowBox[{"Floor", "[", 
                    FractionBox["L", "\[CapitalDelta]y"], "]"}]}], ";", " ", 
                    RowBox[{"vert", "=", "False"}]}]}], "]"}], ";", 
                    RowBox[{"capa", " ", "=", " ", 
                    RowBox[{"NCap", "[", 
                    RowBox[{"nw", ",", "nl"}], "]"}]}], ";", 
                    RowBox[{"boarddist", "=", " ", 
                    RowBox[{
                    "Len", "-", "backmarg", "-", "seatl", "+", "nosedist", 
                    "-", 
                    RowBox[{"nl", " ", 
                    RowBox[{"If", "[", 
                    RowBox[{"vert", ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"\[CapitalDelta]y1", "+", "\[CapitalDelta]y2"}], 
                    ")"}], "/", "2"}], "+", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"OddQ", "[", "nl", "]"}], ",", 
                    FractionBox[
                    RowBox[{"\[CapitalDelta]y1", "-", "\[CapitalDelta]y2"}], 
                    RowBox[{"2", "nl"}]]}], "]"}]}], ",", 
                    "\[CapitalDelta]y"}], "]"}]}]}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"{", 
                    RowBox[{"layout", ",", "capa", ",", " ", 
                    RowBox[{"nw", "+", "1"}], ",", 
                    RowBox[{"nl", "+", "1"}], ",", "boarddist", ",", 
                    RowBox[{"boarddist", "-", "d"}], ",", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    "horiz", ",", "\[CapitalDelta]x1", ",", 
                    "\[CapitalDelta]x"}], "]"}], ",", 
                    RowBox[{"If", "[", 
                    RowBox[{"horiz", ",", "\[CapitalDelta]x2"}], "]"}], ",", 
                    "horiz", ",", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    "vert", ",", "\[CapitalDelta]y1", ",", 
                    "\[CapitalDelta]y"}], "]"}], ",", 
                    RowBox[{"If", "[", 
                    RowBox[{"vert", ",", "\[CapitalDelta]y2"}], "]"}], ",", 
                    "vert", ",", 
                    FractionBox["W", 
                    RowBox[{"Cols", "-", "k"}]]}], "}"}]}], ",", 
                   RowBox[{"{", 
                    RowBox[{"k", ",", "kmax", ",", "kmin", ",", 
                    RowBox[{"-", "1"}]}], "}"}]}], "\[IndentingNewLine]", 
                  "]"}]}]}]}], "]"}], ",", "\[IndentingNewLine]", 
             "\[IndentingNewLine]", 
             RowBox[{"Dynamic", "[", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"If", "[", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Length", "[", "Layouts", "]"}], ">", "0"}], ",", 
                 "\[IndentingNewLine]", 
                 RowBox[{"Panel", "[", 
                  RowBox[{"Grid", "[", "\[IndentingNewLine]", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Prepend", "[", 
                    RowBox[{
                    RowBox[{"MapIndexed", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Setter", "[", 
                    RowBox[{
                    RowBox[{"Dynamic", "[", "lyut", "]"}], ",", "#2", ",", 
                    "#1"}], "]"}], "&"}], ",", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Layouts", "\[Transpose]"}], 
                    "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
                    ")"}]}], "]"}], ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<Layouts\>\"", ",", "Bold"}], "]"}]}], "]"}], 
                    ",", "\[IndentingNewLine]", 
                    RowBox[{"Prepend", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"OddQ", "[", 
                    RowBox[{
                    "#", "\[LeftDoubleBracket]", "3", 
                    "\[RightDoubleBracket]"}], "]"}], "\[And]", 
                    RowBox[{"OddQ", "[", 
                    RowBox[{
                    "#", "\[LeftDoubleBracket]", "4", 
                    "\[RightDoubleBracket]"}], "]"}]}], ",", 
                    RowBox[{"StringForm", "[", 
                    RowBox[{"\"\<``/``\>\"", ",", 
                    RowBox[{
                    RowBox[{
                    "#", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}], "-", "1"}], ",", 
                    RowBox[{
                    "#", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}]}], "]"}], ",", 
                    RowBox[{
                    "#", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}]}], "]"}], "&"}], "/@", 
                    "Layouts"}], ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<Capacity\>\"", ",", "Bold"}], "]"}]}], "]"}],
                     ",", "\[IndentingNewLine]", 
                    RowBox[{"Prepend", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Layouts", "\[Transpose]"}], 
                    "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}], 
                    ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<Lines\>\"", ",", "Bold"}], "]"}]}], "]"}], 
                    ",", "\[IndentingNewLine]", 
                    RowBox[{"Prepend", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Layouts", "\[Transpose]"}], 
                    "\[LeftDoubleBracket]", "4", "\[RightDoubleBracket]"}], 
                    ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<Rows\>\"", ",", "Bold"}], "]"}]}], "]"}], 
                    ",", "\[IndentingNewLine]", 
                    RowBox[{"Prepend", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"FootForm", "[", 
                    RowBox[{"#", ",", "True"}], "]"}], "&"}], "/@", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Layouts", "\[Transpose]"}], 
                    "\[LeftDoubleBracket]", "5", "\[RightDoubleBracket]"}], 
                    ")"}]}], ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<Board Dist\>\"", ",", "Bold"}], "]"}]}], 
                    "]"}], ",", "\[IndentingNewLine]", 
                    RowBox[{"Prepend", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"FootForm", "[", 
                    RowBox[{"#", ",", "True"}], "]"}], "&"}], "/@", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Layouts", "\[Transpose]"}], 
                    "\[LeftDoubleBracket]", "6", "\[RightDoubleBracket]"}], 
                    ")"}]}], ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<Instructor Space\>\"", ",", "Bold"}], 
                    "]"}]}], "]"}]}], "}"}], ",", 
                    RowBox[{"Frame", "\[Rule]", "All"}]}], "]"}], "]"}], ",", 
                 "\"\<\>\""}], "\[IndentingNewLine]", "]"}], ",", " ", 
               RowBox[{"TrackedSymbols", "\[RuleDelayed]", 
                RowBox[{"{", "Layouts", "}"}]}]}], "]"}], ",", 
             "\[IndentingNewLine]", 
             "\"\<\[Copyright] 2020 Hans Robinson\>\""}], 
            "\[IndentingNewLine]", "}"}], "]"}], ",", "\[IndentingNewLine]", 
          "\[IndentingNewLine]", 
          RowBox[{"Column", "[", 
           RowBox[{"{", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"Dynamic", "[", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"If", "[", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Length", "[", "Layouts", "]"}], ">", "1"}], ",", 
                 "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"seatl", "=", 
                   RowBox[{"deskl", "+", "chairb"}]}], ";", 
                  "\[IndentingNewLine]", 
                  RowBox[{"lyut", "=", 
                   RowBox[{"Min", "[", 
                    RowBox[{"lyut", ",", " ", 
                    RowBox[{"Max", "[", 
                    RowBox[{
                    RowBox[{"Length", "[", "Layouts", "]"}], ",", "1"}], 
                    "]"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
                  RowBox[{"nw", " ", "=", " ", 
                   RowBox[{
                    RowBox[{"Layouts", "\[LeftDoubleBracket]", 
                    RowBox[{"lyut", ",", "3"}], "\[RightDoubleBracket]"}], 
                    "-", "1"}]}], ";", "\[IndentingNewLine]", 
                  RowBox[{"nl", " ", "=", " ", 
                   RowBox[{"Layouts", "\[LeftDoubleBracket]", 
                    RowBox[{"lyut", ",", "4"}], "\[RightDoubleBracket]"}]}], 
                  ";", "\[IndentingNewLine]", 
                  RowBox[{"\[CapitalDelta]x", "=", " ", 
                   RowBox[{"Layouts", "\[LeftDoubleBracket]", 
                    RowBox[{"lyut", ",", "7"}], "\[RightDoubleBracket]"}]}], 
                  ";", "\[IndentingNewLine]", 
                  RowBox[{"\[CapitalDelta]x1", "=", "\[CapitalDelta]x"}], ";",
                   "\[IndentingNewLine]", 
                  RowBox[{"\[CapitalDelta]x2", " ", "=", " ", 
                   RowBox[{"Layouts", "\[LeftDoubleBracket]", 
                    RowBox[{"lyut", ",", "8"}], "\[RightDoubleBracket]"}]}], 
                  ";", "\[IndentingNewLine]", 
                  RowBox[{"horiz", " ", "=", " ", 
                   RowBox[{"Layouts", "\[LeftDoubleBracket]", 
                    RowBox[{"lyut", ",", "9"}], "\[RightDoubleBracket]"}]}], 
                  ";", "\[IndentingNewLine]", 
                  RowBox[{"\[CapitalDelta]y", "=", " ", 
                   RowBox[{"Layouts", "\[LeftDoubleBracket]", 
                    RowBox[{"lyut", ",", "10"}], "\[RightDoubleBracket]"}]}], 
                  ";", "\[IndentingNewLine]", 
                  RowBox[{"\[CapitalDelta]y1", "=", "\[CapitalDelta]y"}], ";",
                   "\[IndentingNewLine]", 
                  RowBox[{"\[CapitalDelta]y2", " ", "=", " ", 
                   RowBox[{"Layouts", "\[LeftDoubleBracket]", 
                    RowBox[{"lyut", ",", "11"}], "\[RightDoubleBracket]"}]}], 
                  ";", "\[IndentingNewLine]", 
                  RowBox[{"vert", " ", "=", " ", 
                   RowBox[{"Layouts", "\[LeftDoubleBracket]", 
                    RowBox[{"lyut", ",", "12"}], "\[RightDoubleBracket]"}]}], 
                  ";", "\[IndentingNewLine]", 
                  RowBox[{"For", "[", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"j", "=", "0"}], ";", 
                    RowBox[{"y", "=", "backmarg"}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"DeskGrid", "=", 
                    RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
                    RowBox[{"CirGrid", "=", 
                    RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
                    RowBox[{"DimGrid", "=", 
                    RowBox[{"If", "[", 
                    RowBox[{"cumul", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Circle", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"sidemarg", "+", 
                    RowBox[{"seatw", "/", "2"}]}], ",", 
                    RowBox[{"y", "+", "seatl", "-", "nosedist"}]}], "}"}], 
                    ",", "0.5"}], "]"}], ",", 
                    RowBox[{"Arrowheads", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "0.02"}], ",", "0"}], "}"}], "]"}]}], "}"}], 
                    ",", 
                    RowBox[{"{", 
                    RowBox[{"Arrowheads", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "0.02"}], ",", "0.02"}], "}"}], "]"}], 
                    "}"}]}], "]"}]}]}], ",", "\[IndentingNewLine]", 
                    RowBox[{"y", "\[LessEqual]", 
                    RowBox[{"Len", "-", "frontspace", "-", 
                    RowBox[{"(", 
                    RowBox[{"seatl", "-", "nosedist"}], ")"}]}]}], ",", 
                    RowBox[{
                    RowBox[{"j", "++"}], ";", 
                    RowBox[{"yaugm", "=", 
                    RowBox[{"If", "[", 
                    RowBox[{"vert", ",", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"OddQ", "[", "j", "]"}], ",", "\[CapitalDelta]y1",
                     ",", "\[CapitalDelta]y2"}], "]"}], ",", 
                    "\[CapitalDelta]y"}], "]"}]}], ";", 
                    RowBox[{"y", "+=", "yaugm"}]}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"AppendTo", "[", 
                    RowBox[{"DimGrid", ",", 
                    RowBox[{"Line", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"0", ",", 
                    RowBox[{"y", "+", "seatl", "-", "nosedist"}]}], "}"}], 
                    ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"1.25", "Wid"}], ",", 
                    RowBox[{"y", "+", "seatl", "-", "nosedist"}]}], "}"}]}], 
                    "}"}], "]"}]}], "]"}], ";", "\[IndentingNewLine]", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"j", ">", "0"}], ",", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"AppendTo", "[", 
                    RowBox[{"DimGrid", ",", 
                    RowBox[{"Arrow", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"1.15", "Wid"}], ",", 
                    RowBox[{"y", "+", "seatl", "-", "nosedist"}]}], "}"}], 
                    ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"1.15", "Wid"}], ",", 
                    RowBox[{
                    "y", "-", "yaugm", "+", "seatl", "-", "nosedist", "+", 
                    RowBox[{
                    RowBox[{"Boole", "[", "cumul", "]"}], 
                    RowBox[{"yaugm", "/", "2"}]}]}]}], "}"}]}], "}"}], 
                    "]"}]}], "]"}], ";", 
                    RowBox[{"AppendTo", "[", 
                    RowBox[{"DimGrid", ",", 
                    RowBox[{"Text", "[", 
                    RowBox[{
                    RowBox[{"FootForm", "[", 
                    RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{"cumul", ",", 
                    RowBox[{"y", "-", "backmarg"}], ",", "yaugm"}], "]"}], 
                    ",", "frac"}], "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"1.17", "Wid"}], ",", 
                    RowBox[{"y", "-", 
                    RowBox[{"yaugm", "/", "2"}], "+", 
                    RowBox[{
                    RowBox[{"Boole", "[", "cumul", "]"}], 
                    RowBox[{"yaugm", "/", "4"}]}], "+", "seatl", "-", 
                    "nosedist"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "1"}], ",", "0"}], "}"}]}], "]"}]}], 
                    "]"}]}]}], "\[IndentingNewLine]", "]"}], ";", 
                    "\[IndentingNewLine]", "\[IndentingNewLine]", 
                    RowBox[{"For", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"i", "=", "0"}], ";", 
                    RowBox[{"x", "=", "sidemarg"}]}], ",", 
                    RowBox[{"i", "\[LessEqual]", "nw"}], ",", 
                    RowBox[{
                    RowBox[{"i", "++"}], ";", "\[IndentingNewLine]", 
                    RowBox[{"xaugm", " ", "=", " ", 
                    RowBox[{"If", "[", 
                    RowBox[{"horiz", ",", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"OddQ", "[", "i", "]"}], ",", "\[CapitalDelta]x1",
                     ",", "\[CapitalDelta]x2"}], "]"}], ",", 
                    "\[CapitalDelta]x"}], "]"}]}], ";", "\[IndentingNewLine]", 
                    RowBox[{"x", "+=", "xaugm"}]}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"OddQ", "[", 
                    RowBox[{"i", "+", "j"}], "]"}], "\[Equal]", "altconf"}], 
                    ",", 
                    RowBox[{
                    RowBox[{"AppendTo", "[", 
                    RowBox[{"DeskGrid", ",", 
                    RowBox[{"Desk", "[", 
                    RowBox[{
                    "x", ",", "y", ",", "seatw", ",", "seatl", ",", "chairw", 
                    ",", "chairb", ",", "nosedist"}], "]"}]}], "]"}], ";", 
                    RowBox[{"AppendTo", "[", 
                    RowBox[{"CirGrid", ",", 
                    RowBox[{"Circle", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"x", "+", 
                    RowBox[{"seatw", "/", "2"}]}], ",", 
                    RowBox[{"y", "+", "seatl", "-", "nosedist"}]}], "}"}], 
                    ",", 
                    RowBox[{"d", "/", "2"}]}], "]"}]}], "]"}]}]}], "]"}], ";",
                     "\[IndentingNewLine]", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"j", "\[Equal]", "0"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"AppendTo", "[", 
                    RowBox[{"DimGrid", ",", 
                    RowBox[{"Line", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"x", "+", 
                    RowBox[{"seatw", "/", "2"}]}], ",", 
                    RowBox[{
                    RowBox[{"-", "0.25"}], "Wid"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"x", "+", 
                    RowBox[{"seatw", "/", "2"}]}], ",", 
                    RowBox[{"Len", "-", "frontspace", "-", 
                    RowBox[{"seatl", "/", "2"}]}]}], "}"}]}], "}"}], "]"}]}], 
                    "]"}], ";", "\[IndentingNewLine]", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"i", ">", "0"}], ",", 
                    RowBox[{
                    RowBox[{"AppendTo", "[", 
                    RowBox[{"DimGrid", ",", 
                    RowBox[{"Arrow", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"x", "+", 
                    RowBox[{"seatw", "/", "2"}]}], ",", 
                    RowBox[{
                    RowBox[{"-", "0.15"}], "Wid"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"x", "+", 
                    RowBox[{"seatw", "/", "2"}], "-", "xaugm", "+", 
                    RowBox[{
                    RowBox[{"Boole", "[", "cumul", "]"}], 
                    RowBox[{"xaugm", "/", "2"}]}]}], ",", 
                    RowBox[{
                    RowBox[{"-", "0.15"}], "Wid"}]}], "}"}]}], "}"}], "]"}]}],
                     "]"}], ";", 
                    RowBox[{"AppendTo", "[", 
                    RowBox[{"DimGrid", ",", 
                    RowBox[{"Text", "[", 
                    RowBox[{
                    RowBox[{"FootForm", "[", 
                    RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{"cumul", ",", 
                    RowBox[{"x", "-", "sidemarg"}], ",", "xaugm"}], "]"}], 
                    ",", "frac"}], "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"x", "+", 
                    RowBox[{"seatw", "/", "2"}], "-", 
                    RowBox[{"xaugm", "/", "2"}], "+", 
                    RowBox[{
                    RowBox[{"Boole", "[", "cumul", "]"}], 
                    RowBox[{"xaugm", "/", "4"}]}]}], ",", 
                    RowBox[{
                    RowBox[{"-", "0.17"}], "Wid"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", "1"}], "}"}]}], "]"}]}], "]"}]}]}], 
                    "]"}]}]}], "\[IndentingNewLine]", "]"}]}]}], 
                    "\[IndentingNewLine]", "]"}]}]}], "\[IndentingNewLine]", 
                   "]"}], ";", "\[IndentingNewLine]", 
                  RowBox[{"boardx", " ", "=", " ", 
                   RowBox[{
                    RowBox[{"2", "\[CapitalDelta]x"}], "-", 
                    RowBox[{
                    FractionBox["xaugm", "2"], " ", 
                    RowBox[{"Boole", "[", 
                    RowBox[{
                    RowBox[{"EvenQ", "[", "nl", "]"}], "\[Equal]", 
                    "altconf"}], "]"}]}], "+", "sidemarg", "+", 
                    RowBox[{"seatw", "/", "2"}]}]}], ";", 
                  "\[IndentingNewLine]", 
                  RowBox[{"fronty", " ", "=", 
                   RowBox[{
                   "y", "-", "yaugm", "+", "seatl", "-", "nosedist"}]}], ";", 
                  "\[IndentingNewLine]", 
                  RowBox[{"AppendTo", "[", 
                   RowBox[{"DimGrid", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Arrowheads", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "0.02"}], ",", "0.02"}], "}"}], "]"}], ",", 
                    RowBox[{"Arrow", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"boardx", ",", "fronty"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"boardx", ",", "Len"}], "}"}]}], "}"}], "]"}], 
                    ",", " ", 
                    RowBox[{"Text", "[", 
                    RowBox[{
                    RowBox[{"FootForm", "[", 
                    RowBox[{
                    RowBox[{"Len", "-", "fronty"}], ",", "frac"}], "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"boardx", "+", 
                    RowBox[{"0.05", "Wid"}]}], ",", 
                    FractionBox[
                    RowBox[{"fronty", "+", "Len"}], "2"]}], "}"}]}], "]"}]}], 
                    "}"}]}], "]"}], ";", "\[IndentingNewLine]", 
                  RowBox[{"mask", " ", "=", " ", 
                   RowBox[{"FilledCurve", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"rectline", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], "Wid"}], ",", 
                    RowBox[{
                    RowBox[{"-", "2"}], "Wid"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"2", "Wid"}], ",", 
                    RowBox[{"Len", "+", "Wid"}]}], "}"}]}], "]"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"rectline", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "0.05"}], "Wid"}], ",", 
                    RowBox[{
                    RowBox[{"-", "0.05"}], "Wid"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"1.05", "Wid"}], ",", 
                    RowBox[{"Len", "+", 
                    RowBox[{"0.05", "Wid"}]}]}], "}"}]}], "]"}], "}"}]}], 
                    "}"}], "]"}]}], ";", "\[IndentingNewLine]", 
                  "\[IndentingNewLine]", 
                  RowBox[{"Column", "[", 
                   RowBox[{"{", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"Row", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"\"\<Footprint: \>\"", ",", 
                    RowBox[{"FootForm", "[", 
                    RowBox[{"Wid", ",", "True"}], "]"}], ",", 
                    "\"\<\[Cross]\>\"", ",", 
                    RowBox[{"FootForm", "[", 
                    RowBox[{"Len", ",", "True"}], "]"}], ",", 
                    "\"\<   Layout: \>\"", ",", 
                    RowBox[{
                    RowBox[{"Layouts", "\[LeftDoubleBracket]", 
                    RowBox[{"lyut", ",", "1"}], "\[RightDoubleBracket]"}], "<>", 
                    RowBox[{"If", "[", 
                    RowBox[{"altconf", ",", "\"\<a\>\"", ",", "\"\<\>\""}], 
                    "]"}]}], ",", " ", "\"\<    Capacity: \>\"", ",", 
                    RowBox[{"Length", "[", "DeskGrid", "]"}]}], "}"}], ",", 
                    RowBox[{"BaseStyle", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"16", ",", "Bold"}], "}"}]}]}], "]"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<Dimensions: \>\"", ",", "Bold"}], "]"}], ",", 
                    RowBox[{"Grid", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Checkbox", "[", 
                    RowBox[{"Dynamic", "@", "frac"}], "]"}], ",", 
                    "\"\<Fractional\>\""}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Checkbox", "[", 
                    RowBox[{"Dynamic", "@", "cumul"}], "]"}], ",", 
                    "\"\<Cumulated\>\""}], "}"}]}], "}"}], "]"}], ",", 
                    "\[IndentingNewLine]", "\"\<         \>\"", ",", 
                    RowBox[{"Checkbox", "[", 
                    RowBox[{"Dynamic", "@", "altconf"}], "]"}], ",", 
                    "\"\< Alt. config.\>\""}], "}"}], "]"}]}], 
                    "\[IndentingNewLine]", "}"}], "]"}]}], ",", 
                 "\[IndentingNewLine]", "\"\<\>\""}], "]"}], ",", 
               "\[IndentingNewLine]", 
               RowBox[{"TrackedSymbols", "\[RuleDelayed]", 
                RowBox[{"{", 
                 RowBox[{
                 "Layouts", ",", "lyut", ",", "frac", ",", "cumul", ",", 
                  "altconf"}], "}"}]}]}], "]"}], ",", "\[IndentingNewLine]", 
             "\[IndentingNewLine]", "\[IndentingNewLine]", 
             RowBox[{"Dynamic", "[", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"If", "[", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Length", "[", "Layouts", "]"}], ">", "1"}], ",", 
                 "\[IndentingNewLine]", 
                 RowBox[{
                 "EventHandler", "[", "\[IndentingNewLine]", 
                  "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"gr", "=", " ", 
                    RowBox[{"Rotate", "[", 
                    RowBox[{
                    RowBox[{"Translate", "[", 
                    RowBox[{
                    RowBox[{"Scale", "[", 
                    RowBox[{"img", ",", 
                    RowBox[{"Dynamic", "[", 
                    RowBox[{"s", "/", "scale"}], "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", "0"}], "}"}]}], "]"}], ",", 
                    RowBox[{"Dynamic", "[", 
                    RowBox[{"s", 
                    RowBox[{"{", 
                    RowBox[{"xol", ",", "yol"}], "}"}]}], "]"}]}], "]"}], ",", 
                    RowBox[{"Dynamic", "[", 
                    RowBox[{"\[Theta]", " ", "\[Degree]"}], "]"}]}], "]"}]}], 
                    ";", "\[IndentingNewLine]", 
                    RowBox[{"EventHandler", "[", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"plan", "=", 
                    RowBox[{"Graphics", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"gr", ",", 
                    RowBox[{"FaceForm", "[", "White", "]"}], ",", "mask", ",", 
                    RowBox[{"FaceForm", "[", 
                    RowBox[{"{", 
                    RowBox[{"White", ",", 
                    RowBox[{"Opacity", "[", 
                    RowBox[{"1", "-", 
                    RowBox[{"Dynamic", "@", "a"}]}], "]"}]}], "}"}], "]"}], 
                    ",", 
                    RowBox[{"Rectangle", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "0.05"}], "Wid"}], ",", 
                    RowBox[{
                    RowBox[{"-", "0.05"}], "Wid"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"1.05", "Wid"}], ",", " ", 
                    RowBox[{"Len", "+", 
                    RowBox[{"0.05", "Wid"}]}]}], "}"}]}], "]"}], ",", 
                    RowBox[{"EdgeForm", "[", "Thick", "]"}], ",", 
                    RowBox[{"FaceForm", "[", "]"}], ",", 
                    RowBox[{"If", "[", 
                    RowBox[{"framevis", ",", 
                    RowBox[{"Rectangle", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"0", ",", "0"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"Wid", ",", " ", "Len"}], "}"}]}], "]"}]}], "]"}],
                     ",", 
                    RowBox[{"EdgeForm", "[", 
                    RowBox[{"AbsoluteThickness", "[", "1", "]"}], "]"}], ",", 
                    RowBox[{"FaceForm", "[", "]"}], ",", 
                    RowBox[{"If", "[", 
                    RowBox[{"deskvis", ",", "DeskGrid"}], "]"}], ",", 
                    RowBox[{"Darker", "@", "Green"}], ",", 
                    RowBox[{"If", "[", 
                    RowBox[{"dimvis", ",", "DimGrid"}], "]"}], ",", 
                    "\[IndentingNewLine]", "Black", ",", "Dotted", ",", 
                    RowBox[{"If", "[", 
                    RowBox[{"circvis", ",", "CirGrid"}], "]"}], ",", "Dashed",
                     ",", 
                    RowBox[{"Line", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"0", ",", 
                    RowBox[{"Len", "-", "frontspace"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"Wid", ",", 
                    RowBox[{"Len", "-", "frontspace"}]}], "}"}]}], "}"}], 
                    "]"}], ",", 
                    RowBox[{"Dynamic", "@", 
                    RowBox[{"If", "[", 
                    RowBox[{"zooming", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Opacity", "[", "1", "]"}], ",", 
                    RowBox[{"rectangle", "[", 
                    RowBox[{"first", ",", "second"}], "]"}]}], "}"}], ",", 
                    RowBox[{"Opacity", "[", "1", "]"}]}], "]"}]}]}], "}"}], 
                    ",", "\[IndentingNewLine]", 
                    RowBox[{"ImageSize", "\[Rule]", "700"}], ",", 
                    RowBox[{"PlotRange", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "0.1"}], "Wid"}], ",", 
                    RowBox[{"1.3", "Wid"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "0.3"}], "Wid"}], ",", 
                    RowBox[{"Len", "+", 
                    RowBox[{"0.1", "Wid"}]}]}], "}"}]}], "}"}]}]}], "]"}]}], 
                    ",", "\[IndentingNewLine]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"\"\<MouseUp\>\"", ",", "1"}], "}"}], 
                    "\[RuleDelayed]", "Null"}], ",", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"\"\<MouseDown\>\"", ",", "1"}], "}"}], 
                    "\[RuleDelayed]", 
                    RowBox[{"(", 
                    RowBox[{"first", "=", 
                    RowBox[{"MousePosition", "[", "\"\<Graphics\>\"", "]"}]}],
                     ")"}]}], ",", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"\"\<MouseDragged\>\"", ",", "1"}], "}"}], 
                    "\[RuleDelayed]", 
                    RowBox[{"(", "\[IndentingNewLine]", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"CurrentValue", "[", 
                    RowBox[{"{", 
                    RowBox[{"\"\<MouseButtonTest\>\"", ",", "1"}], "}"}], 
                    "]"}], ",", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"dragging", "=", "True"}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"second", "=", 
                    RowBox[{"MousePosition", "[", "\"\<Graphics\>\"", "]"}]}],
                     ";", "\[IndentingNewLine]", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"CurrentValue", "@", "\"\<ControlKey\>\""}], 
                    "\[Or]", "zooming"}], ",", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"zooming", "=", "True"}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"boxSize", "=", 
                    RowBox[{"second", "-", "first"}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"mP", "=", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    FractionBox[
                    RowBox[{
                    "boxSize", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}], 
                    RowBox[{
                    RowBox[{
                    "boxSize", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], "+", "0.01"}]], "<", "ar"}], 
                    ",", 
                    RowBox[{"Abs", "@", 
                    RowBox[{
                    "boxSize", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}]}], ",", 
                    RowBox[{
                    RowBox[{"Abs", "@", 
                    RowBox[{
                    "boxSize", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}]}], "/", "ar"}]}], "]"}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"second", "=", " ", 
                    RowBox[{"first", "+", 
                    RowBox[{"mP", 
                    RowBox[{"{", 
                    RowBox[{"1", ",", "ar"}], "}"}], 
                    RowBox[{"RealSign", "[", "boxSize", "]"}]}]}]}]}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"xol", " ", "=", 
                    RowBox[{"xol", "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    "second", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], "-", 
                    RowBox[{
                    "first", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}]}], ")"}], "/", "s"}]}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"yol", " ", "=", 
                    RowBox[{"yol", "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    "second", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}], "-", 
                    RowBox[{
                    "first", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}]}], ")"}], "/", "s"}]}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"first", "=", "second"}]}]}], "]"}]}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"dragging", "=", "False"}], ";", 
                    RowBox[{"If", "[", 
                    RowBox[{"zooming", ",", 
                    RowBox[{
                    RowBox[{"zooming", "=", "False"}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"sn", "=", 
                    RowBox[{"s", 
                    FractionBox["Wid", 
                    RowBox[{"Abs", "[", 
                    RowBox[{
                    RowBox[{
                    "first", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], "-", 
                    RowBox[{
                    "second", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}]}], "]"}]]}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"xol", "=", 
                    RowBox[{"xol", "-", 
                    FractionBox[
                    RowBox[{"Min", "[", 
                    RowBox[{
                    RowBox[{
                    "first", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], ",", 
                    RowBox[{
                    "second", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}]}], "]"}], "s"]}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"yol", "=", 
                    RowBox[{"yol", "-", 
                    FractionBox[
                    RowBox[{"Min", "[", 
                    RowBox[{
                    RowBox[{
                    "first", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}], ",", 
                    RowBox[{
                    "second", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}]}], "]"}], "s"]}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"s", "=", "sn"}]}], ",", "\[IndentingNewLine]", 
                    RowBox[{"first", "=", 
                    RowBox[{
                    "MousePosition", "[", "\"\<Graphics\>\"", "]"}]}]}], 
                    "]"}]}]}], "]"}], ")"}]}]}], "}"}], ",", 
                    RowBox[{"Method", "\[Rule]", "\"\<Queued\>\""}]}], 
                    "\[IndentingNewLine]", "]"}]}], ",", 
                   "\[IndentingNewLine]", "\[IndentingNewLine]", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"\"\<MouseUp\>\"", ",", "1"}], "}"}], 
                    "\[RuleDelayed]", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"dragging", "=", "False"}], ";", 
                    RowBox[{"If", "[", 
                    RowBox[{"zooming", ",", 
                    RowBox[{
                    RowBox[{"zooming", "=", "False"}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"sn", "=", 
                    RowBox[{"s", 
                    FractionBox["Wid", 
                    RowBox[{"Abs", "[", 
                    RowBox[{
                    RowBox[{
                    "first", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], "-", 
                    RowBox[{
                    "second", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}]}], "]"}]]}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"xol", "=", 
                    RowBox[{"xol", "-", 
                    FractionBox[
                    RowBox[{"Min", "[", 
                    RowBox[{
                    RowBox[{
                    "first", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], ",", 
                    RowBox[{
                    "second", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}]}], "]"}], "s"]}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"yol", "=", 
                    RowBox[{"yol", "-", 
                    FractionBox[
                    RowBox[{"Min", "[", 
                    RowBox[{
                    RowBox[{
                    "first", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}], ",", 
                    RowBox[{
                    "second", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}]}], "]"}], "s"]}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"s", "=", "sn"}]}]}], "]"}]}], ")"}]}], "}"}], 
                   ",", 
                   RowBox[{"Method", "\[Rule]", "\"\<Queued\>\""}], ",", 
                   RowBox[{"PassEventsDown", "\[Rule]", "False"}]}], "]"}], 
                 "\[IndentingNewLine]", ",", "\"\<\>\""}], "]"}], ",", 
               RowBox[{"TrackedSymbols", "\[RuleDelayed]", 
                RowBox[{"{", 
                 RowBox[{
                 "Layouts", ",", "DeskGrid", ",", "DimGrid", ",", "img", ",", 
                  "gr", ",", "deskvis", ",", "dimvis", ",", "framevis", ",", 
                  "circvis"}], "}"}]}]}], "]"}], ",", "\[IndentingNewLine]", 
             RowBox[{"Dynamic", "[", "\[IndentingNewLine]", 
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{"Length", "[", "Layouts", "]"}], ">", "1"}], ",", 
                "\[IndentingNewLine]", 
                RowBox[{"Row", "[", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"Style", "[", 
                    RowBox[{"\"\<Visible:    \>\"", ",", "Bold"}], "]"}], ",", 
                   RowBox[{"Checkbox", "[", 
                    RowBox[{"Dynamic", "@", "deskvis"}], "]"}], ",", 
                   "\"\< Desks      \>\"", ",", 
                   RowBox[{"Checkbox", "[", 
                    RowBox[{"Dynamic", "@", "dimvis"}], "]"}], ",", 
                   "\"\< Dimensions      \>\"", ",", 
                   RowBox[{"Checkbox", "[", 
                    RowBox[{"Dynamic", "@", "framevis"}], "]"}], ",", 
                   "\"\< Frame      \>\"", ",", 
                   RowBox[{"Checkbox", "[", 
                    RowBox[{"Dynamic", "@", "circvis"}], "]"}], ",", 
                   "\"\< Social distance circles\>\""}], "}"}], "]"}], 
                "\[IndentingNewLine]", ",", "\"\<\>\""}], "]"}], 
              "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", "}"}], 
           "]"}], ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
          RowBox[{"Dynamic", "[", 
           RowBox[{
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"Length", "[", "Layouts", "]"}], ">", "0"}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{"Column", "[", 
               RowBox[{"{", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{"Panel", "[", 
                  RowBox[{
                   RowBox[{"Column", "[", 
                    RowBox[{
                    RowBox[{"{", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"Button", "[", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{
                    "\"\<Load Floorplan\>\"", ",", "Bold", ",", " ", "16"}], 
                    "]"}], ",", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"file", "=", 
                    RowBox[{"SystemDialogInput", "[", 
                    RowBox[{"\"\<FileOpen\>\"", ",", 
                    RowBox[{"{", 
                    RowBox[{"dir", ",", 
                    RowBox[{"{", 
                    RowBox[{"\"\<pdf files (v1.5 or lower)\>\"", "\[Rule]", 
                    RowBox[{"{", "\"\<*.pdf\>\"", "}"}]}], "}"}]}], "}"}]}], 
                    "]"}]}], ";", "\[IndentingNewLine]", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"file", "=!=", "$Canceled"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"dir", " ", "=", 
                    RowBox[{"FileNameDrop", "[", "file", "]"}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"floorplan", "=", 
                    RowBox[{"Import", "[", 
                    RowBox[{"file", ",", "\"\<Pages\>\""}], "]"}]}]}]}], 
                    "\[IndentingNewLine]", "]"}]}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"Method", "\[Rule]", "\"\<Queued\>\""}]}], "]"}], 
                    ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
                    RowBox[{"Button", "[", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{
                    "\"\<Select Space\>\"", ",", "Bold", ",", " ", "16"}], 
                    "]"}], ",", "\[IndentingNewLine]", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"floorplan", "=!=", "$Failed"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"DialogInput", "[", 
                    RowBox[{"DialogNotebook", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"InputField", "[", 
                    RowBox[{
                    RowBox[{
                    "floorplan", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], ",", 
                    RowBox[{"FieldSize", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"20", ",", "Infinity"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"20", ",", "Infinity"}], "}"}]}], "}"}]}]}], 
                    "]"}], ",", "\[IndentingNewLine]", 
                    RowBox[{"Row", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"img5", "=", "Null"}], ";", 
                    RowBox[{"InputField", "[", 
                    RowBox[{
                    RowBox[{"Dynamic", "@", "img5"}], ",", 
                    RowBox[{"FieldSize", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"20", ",", "30"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"10", ",", "15"}], "}"}]}], "}"}]}]}], "]"}]}], 
                    ",", "\[IndentingNewLine]", 
                    RowBox[{
                    "TextCell", "[", 
                    "\"\<  1. Double-click on floor plan \\n  2. Click and \
drag to select area of interest \\n  3. Right-click on selected area and \
select 'Copy Graphics Selection' \\n  4. Paste content into the smaller field \
to the left\>\"", "]"}]}], "}"}], ",", 
                    RowBox[{"Alignment", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"Top", ",", "Left"}], "}"}]}]}], "]"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Button", "[", 
                    RowBox[{"\"\<OK\>\"", ",", 
                    RowBox[{"DialogReturn", "[", "img5", "]"}], ",", 
                    RowBox[{"ImageSize", "\[Rule]", "80"}]}], "]"}], ",", 
                    RowBox[{"CancelButton", "[", "]"}]}], "}"}], "]"}]}], 
                    "}"}], "]"}], "\[IndentingNewLine]", "]"}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"img5", "=!=", "$Canceled"}], "\[And]", 
                    RowBox[{"img5", "=!=", "Null"}]}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"BR", " ", "=", 
                    RowBox[{"BoundingRegion", "[", 
                    RowBox[{"Cases", "[", 
                    RowBox[{
                    RowBox[{"First", "@", "img5"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"_Real", ",", "b_"}], "}"}], ",", "Infinity"}], 
                    "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
                    RowBox[{"mn", "=", " ", 
                    RowBox[{"First", "[", 
                    RowBox[{"List", "@@", "BR"}], "]"}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"box", "=", 
                    RowBox[{"Subtract", "@@", "BR"}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"scale", " ", "=", 
                    RowBox[{"Min", "[", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"{", " ", 
                    RowBox[{"Wid", ",", "Len"}], "}"}]}], "/", 
                    RowBox[{"(", "box", ")"}]}], "]"}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"img", " ", "=", 
                    RowBox[{"Scale", "[", 
                    RowBox[{
                    RowBox[{"Translate", "[", 
                    RowBox[{
                    RowBox[{"First", "@", "img5"}], ",", 
                    RowBox[{"-", "mn"}]}], "]"}], ",", "scale", ",", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", "0"}], "}"}]}], "]"}]}], ";", 
                    "\[IndentingNewLine]", "\[IndentingNewLine]", 
                    RowBox[{"s", "=", "scale"}]}]}], "\[IndentingNewLine]", 
                    "]"}]}]}], "\[IndentingNewLine]", "]"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"Method", "\[Rule]", "\"\<Queued\>\""}]}], "]"}], 
                    ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
                    RowBox[{"Button", "[", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{
                    "\"\<Clear Floorplan\>\"", ",", "Bold", ",", " ", "16"}], 
                    "]"}], ",", 
                    RowBox[{"img", "=", "Null"}]}], "]"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{"\"\< x \>\"", ",", 
                    RowBox[{"Dynamic", "@", 
                    RowBox[{"manip", "[", 
                    RowBox[{
                    RowBox[{"Dynamic", "@", "xol"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{
                    "box", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}]}], ",", 
                    RowBox[{
                    "box", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}]}], "}"}]}], "]"}]}]}], "}"}], 
                    "]"}], ",", "\[IndentingNewLine]", 
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{"\"\< y \>\"", ",", 
                    RowBox[{"Dynamic", "@", 
                    RowBox[{"manip", "[", 
                    RowBox[{
                    RowBox[{"Dynamic", "@", "yol"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{
                    "box", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}]}], ",", 
                    RowBox[{
                    "box", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}]}], "}"}]}], "]"}]}]}], "}"}], 
                    "]"}], ",", "\[IndentingNewLine]", 
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{"\"\< scale \>\"", ",", 
                    RowBox[{"Dynamic", "@", 
                    RowBox[{"manip", "[", 
                    RowBox[{
                    RowBox[{"Dynamic", "@", "s"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"0.5", "scale"}], ",", 
                    RowBox[{"5", "scale"}]}], "}"}]}], "]"}]}]}], "}"}], 
                    "]"}], ",", "\[IndentingNewLine]", 
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{"\"\< orientation \>\"", ",", 
                    RowBox[{"Dynamic", "@", 
                    RowBox[{"manip", "[", 
                    RowBox[{
                    RowBox[{"Dynamic", "@", "\[Theta]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "180"}], ",", "180", ",", "30"}], "}"}]}], 
                    "]"}]}]}], "}"}], "]"}], ",", "\[IndentingNewLine]", 
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{"\"\< visibility \>\"", ",", 
                    RowBox[{"Dynamic", "@", 
                    RowBox[{"manip", "[", 
                    RowBox[{
                    RowBox[{"Dynamic", "@", "a"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", "1"}], "}"}]}], "]"}]}]}], "}"}], "]"}],
                     ",", "\[IndentingNewLine]", 
                    "\"\<Drag to pan, Ctrl-drag to zoom in\>\""}], 
                    "\[IndentingNewLine]", "}"}], ",", 
                    RowBox[{"Alignment", "\[Rule]", "Right"}]}], "]"}], ",", 
                   "\"\<Floorplan overlay\>\"", ",", 
                   RowBox[{"LabelStyle", "\[Rule]", "Bold"}]}], "]"}], ",", 
                 "\[IndentingNewLine]", "\[IndentingNewLine]", 
                 RowBox[{"Button", "[", 
                  RowBox[{
                   RowBox[{"Style", "[", 
                    RowBox[{
                    "\"\<Save Drawing\>\"", ",", "Bold", ",", " ", "16"}], 
                    "]"}], ",", "\[IndentingNewLine]", 
                   RowBox[{
                    RowBox[{"file", "=", 
                    RowBox[{"SystemDialogInput", "[", 
                    RowBox[{"\"\<FileSave\>\"", ",", 
                    RowBox[{"{", 
                    RowBox[{"dir", ",", 
                    RowBox[{"{", 
                    RowBox[{"\"\<pdf files\>\"", "\[Rule]", 
                    RowBox[{"{", "\"\<*.pdf\>\"", "}"}]}], "}"}]}], "}"}]}], 
                    "]"}]}], ";", "\[IndentingNewLine]", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"file", "=!=", "$Canceled"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"dir", " ", "=", 
                    RowBox[{"FileNameDrop", "[", "file", "]"}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"(*", 
                    RowBox[{
                    RowBox[{"plan2", "=", "plan"}], ";"}], "*)"}], 
                    "\[IndentingNewLine]", 
                    RowBox[{"Export", "[", 
                    RowBox[{"file", ",", "plan"}], "]"}]}]}], 
                    "\[IndentingNewLine]", "]"}]}], ",", 
                   "\[IndentingNewLine]", 
                   RowBox[{"Method", "\[Rule]", "\"\<Queued\>\""}]}], "]"}]}],
                 "\[IndentingNewLine]", "}"}], "]"}], ",", 
              "\[IndentingNewLine]", "\"\<\>\""}], "]"}], ",", 
            RowBox[{"TrackedSymbols", "\[RuleDelayed]", 
             RowBox[{"{", 
              RowBox[{"Layouts", ",", "xol", ",", "yol", ",", "s"}], 
              "}"}]}]}], "]"}]}], "\[IndentingNewLine]", "}"}], "}"}], ",", 
       RowBox[{"Alignment", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"Left", ",", "Top"}], "}"}]}]}], "]"}]}], 
    "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", 
  "]"}], "\[IndentingNewLine]"}], "Input",
 ShowCellBracket->False,
 CellOpen->False,
 InitializationCell->True,
 ShowCellLabel->False,
 CellChangeTimes->{{3.8004759860875206`*^9, 3.8004760843582373`*^9}, {
   3.800476117381879*^9, 3.800476324683378*^9}, {3.800476391378294*^9, 
   3.800476391968667*^9}, {3.8004764384595423`*^9, 3.8004764613169947`*^9}, {
   3.800476636373166*^9, 3.800476675400589*^9}, {3.800476713298522*^9, 
   3.8004767341947813`*^9}, {3.8004768112573056`*^9, 3.800476860982912*^9}, {
   3.8004769053007298`*^9, 3.800477021782064*^9}, {3.8004770901268697`*^9, 
   3.800477107274519*^9}, 3.800477327802515*^9, 3.800477392430696*^9, {
   3.800477723504473*^9, 3.800477729406433*^9}, {3.8004779800265007`*^9, 
   3.8004779960282507`*^9}, {3.800478038166331*^9, 3.800478105062235*^9}, {
   3.8004781413180285`*^9, 3.8004781530978336`*^9}, {3.800479629942342*^9, 
   3.8004796625970774`*^9}, {3.800479693830595*^9, 3.800479722560478*^9}, {
   3.8004804122581763`*^9, 3.8004804312649965`*^9}, {3.800480528173643*^9, 
   3.800480529141048*^9}, {3.8004805652430644`*^9, 3.8004808454989405`*^9}, {
   3.8004808767578354`*^9, 3.8004809314784555`*^9}, {3.800481088992876*^9, 
   3.800481093130014*^9}, {3.8004811504837313`*^9, 3.800481272682156*^9}, {
   3.800481336930794*^9, 3.8004813609677773`*^9}, 3.8004816280127277`*^9, {
   3.8004817081148305`*^9, 3.8004817742685003`*^9}, {3.800481811314351*^9, 
   3.8004818131933384`*^9}, {3.8004829992681713`*^9, 3.800483087838104*^9}, 
   3.8004831223733745`*^9, {3.8004831849211082`*^9, 3.8004831857125025`*^9}, {
   3.800483332742882*^9, 3.800483360712838*^9}, {3.8004834113666143`*^9, 
   3.8004834129545484`*^9}, {3.800483527833906*^9, 3.800483606843888*^9}, {
   3.800483637315622*^9, 3.8004836475853834`*^9}, {3.8004837568976135`*^9, 
   3.800483837716091*^9}, {3.8004842920002685`*^9, 3.800484315177021*^9}, {
   3.80048435769319*^9, 3.8004843788156457`*^9}, {3.800484413267339*^9, 
   3.8004844426425595`*^9}, {3.800484510522927*^9, 3.800484557027856*^9}, {
   3.8004846145192795`*^9, 3.800484615990346*^9}, {3.8004846512386627`*^9, 
   3.8004846757624197`*^9}, 3.8004847388954988`*^9, {3.8004848203038416`*^9, 
   3.8004849767832384`*^9}, {3.8004850292282376`*^9, 
   3.8004851132434936`*^9}, {3.8004851776786003`*^9, 
   3.8004852760354795`*^9}, {3.800488297239482*^9, 3.8004883446716366`*^9}, {
   3.800488384522236*^9, 3.800488471687865*^9}, {3.800488536077984*^9, 
   3.8004885365148163`*^9}, {3.800488845953304*^9, 3.800488904296629*^9}, 
   3.8004889499615927`*^9, {3.8004895838459177`*^9, 3.800489584046396*^9}, {
   3.8004896288147507`*^9, 3.8004896386579857`*^9}, {3.800489678495372*^9, 
   3.800489733813267*^9}, {3.800529693991048*^9, 3.800529734595144*^9}, {
   3.8005297711137667`*^9, 3.8005299661676774`*^9}, {3.800534242527398*^9, 
   3.8005342437616577`*^9}, {3.800534320872131*^9, 3.8005343264679766`*^9}, {
   3.8005343569560966`*^9, 3.800534500237551*^9}, 3.8005345336907496`*^9, {
   3.8005346055492516`*^9, 3.800534656006544*^9}, {3.800534733834296*^9, 
   3.800534736609759*^9}, {3.80053525422126*^9, 3.80053533685495*^9}, {
   3.80053539170551*^9, 3.800535478232927*^9}, {3.800535512835889*^9, 
   3.800535539185915*^9}, {3.8005355693079543`*^9, 3.800535600909124*^9}, {
   3.8005378977558794`*^9, 3.8005379346140966`*^9}, 3.8005379699127293`*^9, {
   3.800538163464116*^9, 3.800538199461712*^9}, {3.800538287751981*^9, 
   3.8005383098190207`*^9}, {3.800538360071364*^9, 3.8005384239558024`*^9}, {
   3.800538502690151*^9, 3.8005385126893196`*^9}, {3.8005397815249186`*^9, 
   3.8005398366988716`*^9}, {3.800539870541732*^9, 3.8005398790189342`*^9}, {
   3.8005400183078566`*^9, 3.8005401371425443`*^9}, {3.800540191714001*^9, 
   3.800540196448242*^9}, {3.800540282559291*^9, 3.800540285535336*^9}, {
   3.800540347804716*^9, 3.8005403652438517`*^9}, {3.800540946991348*^9, 
   3.8005409715900655`*^9}, 3.800541068856253*^9, {3.800541108628167*^9, 
   3.8005411306124296`*^9}, {3.8005428385284386`*^9, 
   3.8005429071782312`*^9}, {3.8005429392397285`*^9, 3.800542942927551*^9}, {
   3.8005430016062136`*^9, 3.8005430299458523`*^9}, {3.800543625822631*^9, 
   3.800543673878703*^9}, {3.800543704908512*^9, 3.8005437378470154`*^9}, {
   3.8005437694090548`*^9, 3.800543825124177*^9}, {3.8005438713771095`*^9, 
   3.8005439970576024`*^9}, {3.800544048528699*^9, 3.800544048608449*^9}, {
   3.800544208151885*^9, 3.8005444222571297`*^9}, {3.8005445235534396`*^9, 
   3.800544558676526*^9}, 3.80054458927647*^9, {3.80054466101532*^9, 
   3.800544712700495*^9}, {3.800544751915303*^9, 3.800544752435521*^9}, {
   3.8005448674928446`*^9, 3.8005449000036025`*^9}, {3.800545153197565*^9, 
   3.800545153421204*^9}, {3.800545420986094*^9, 3.800545460569687*^9}, {
   3.800545501998988*^9, 3.800545549931826*^9}, {3.800545609766497*^9, 
   3.800545621662538*^9}, {3.8005456863732185`*^9, 3.800545802430831*^9}, {
   3.800545856530209*^9, 3.8005459095939693`*^9}, {3.8005459428645525`*^9, 
   3.800545985498181*^9}, {3.8005460565821524`*^9, 3.8005461078336725`*^9}, {
   3.800546159537531*^9, 3.8005461649777756`*^9}, {3.8005462556312957`*^9, 
   3.8005462587235594`*^9}, 3.8005463133387737`*^9, {3.800546504798046*^9, 
   3.800546505372465*^9}, {3.8005466937762203`*^9, 3.800546735258328*^9}, {
   3.8005467923465796`*^9, 3.8005468194983487`*^9}, {3.800546864571243*^9, 
   3.8005468654947624`*^9}, {3.8005468980286093`*^9, 3.800546902004578*^9}, {
   3.800546932680822*^9, 3.8005469406008224`*^9}, {3.80054703053773*^9, 
   3.800547053129996*^9}, {3.8005471360732107`*^9, 3.8005471665777135`*^9}, {
   3.8005472265462036`*^9, 3.8005472353171787`*^9}, {3.800547265535279*^9, 
   3.8005472660839787`*^9}, {3.8005473222489624`*^9, 3.800547365906245*^9}, {
   3.800547707617595*^9, 3.800547860422753*^9}, {3.800547890476926*^9, 
   3.800548057410281*^9}, {3.8005480906210475`*^9, 3.8005480914403515`*^9}, {
   3.800548127897512*^9, 3.8005481280789804`*^9}, {3.8005481786245155`*^9, 
   3.8005482122565703`*^9}, {3.8005494069761333`*^9, 
   3.8005495255920753`*^9}, {3.8005524980448027`*^9, 3.800552510177868*^9}, {
   3.800552549075924*^9, 3.800552571038248*^9}, {3.8005526031993675`*^9, 
   3.8005526111268997`*^9}, {3.8005526627153883`*^9, 3.80055270191011*^9}, {
   3.800553125331971*^9, 3.8005532540846796`*^9}, {3.800553314903408*^9, 
   3.800553446938089*^9}, {3.800553480832899*^9, 3.8005537187819552`*^9}, {
   3.8005537512114153`*^9, 3.8005538901964116`*^9}, {3.800553920713993*^9, 
   3.80055393013365*^9}, {3.8005539937960873`*^9, 3.800553994488187*^9}, {
   3.800554032249735*^9, 3.8005540593218637`*^9}, {3.8005544158883963`*^9, 
   3.800554516514862*^9}, 3.800554551045761*^9, {3.8005548081260786`*^9, 
   3.800554817362064*^9}, {3.80055521469526*^9, 3.8005552271793585`*^9}, {
   3.80055530106292*^9, 3.8005553134281793`*^9}, {3.8005553612607927`*^9, 
   3.800555406165227*^9}, {3.8005555242942557`*^9, 3.8005555597017655`*^9}, {
   3.800565522579194*^9, 3.800565540217894*^9}, {3.800565574627015*^9, 
   3.800565577178152*^9}, {3.800566751886734*^9, 3.8005667724192953`*^9}, {
   3.8005693993699384`*^9, 3.8005695144080496`*^9}, {3.8005696578144126`*^9, 
   3.8005696776289806`*^9}, {3.800570613055455*^9, 3.8005706494735546`*^9}, {
   3.800570712907323*^9, 3.8005710196621094`*^9}, {3.8005710701880493`*^9, 
   3.8005711659651537`*^9}, 3.800571250862047*^9, 3.800571311534108*^9, {
   3.800571342046358*^9, 3.8005713637938924`*^9}, {3.800571452709312*^9, 
   3.800571530402602*^9}, {3.8005715742371597`*^9, 3.800571584221897*^9}, {
   3.800605479335411*^9, 3.8006055458977737`*^9}, {3.800605637408474*^9, 
   3.8006056635637045`*^9}, {3.800605696417889*^9, 3.8006057319675627`*^9}, {
   3.800605776557822*^9, 3.8006058504480877`*^9}, {3.8006058822056265`*^9, 
   3.8006058890617228`*^9}, {3.800605920494178*^9, 3.8006060531835737`*^9}, {
   3.800606108370851*^9, 3.800606116938204*^9}, {3.8006061485310445`*^9, 
   3.800606198077755*^9}, {3.800606248539423*^9, 3.8006062491388106`*^9}, {
   3.8006062839922905`*^9, 3.800606316800602*^9}, 3.80060635716411*^9, 
   3.800606432250258*^9, {3.8006215686361275`*^9, 3.8006215741592116`*^9}, {
   3.800621608448685*^9, 3.8006216459468713`*^9}, {3.800622409471784*^9, 
   3.80062241788558*^9}, 3.8006229206489763`*^9, {3.800623829924447*^9, 
   3.800623830048607*^9}, 3.800624446409548*^9, {3.800628217990718*^9, 
   3.8006282211199493`*^9}, {3.8006284540865726`*^9, 3.8006284712135487`*^9}, 
   3.800628537799262*^9, {3.8006286968737345`*^9, 3.8006287249333467`*^9}, {
   3.8006289485973253`*^9, 3.8006289693907814`*^9}, {3.8006290255420055`*^9, 
   3.800629034005692*^9}, {3.8006303062168546`*^9, 3.800630306441298*^9}, {
   3.8006306074856358`*^9, 3.8006306483408575`*^9}, {3.800630740975357*^9, 
   3.8006307445325317`*^9}, {3.800630887296077*^9, 3.8006309137751513`*^9}, {
   3.800631124228942*^9, 3.8006311405047455`*^9}, {3.8006315141640615`*^9, 
   3.800631514315605*^9}, {3.800641597003592*^9, 3.800641634331041*^9}, {
   3.8006419971550045`*^9, 3.800642019205052*^9}, {3.8006421174006033`*^9, 
   3.800642175417298*^9}, {3.8006422427966223`*^9, 3.8006422688339233`*^9}, {
   3.8006444058065467`*^9, 3.8006444195737123`*^9}, {3.8006451147554135`*^9, 
   3.8006451257394295`*^9}, {3.8006452700714192`*^9, 3.8006452717060375`*^9}, 
   3.8006461128666563`*^9, {3.8006462482469378`*^9, 3.80064624906369*^9}, 
   3.800646682598275*^9, {3.8006532559106884`*^9, 3.8006532802541785`*^9}, {
   3.800653317116768*^9, 3.8006533635788426`*^9}, {3.8006534389157104`*^9, 
   3.800653477139002*^9}, {3.800654330979658*^9, 3.8006543519690266`*^9}, {
   3.8006545273310647`*^9, 3.8006545718201118`*^9}, {3.800655203325839*^9, 
   3.8006552351961555`*^9}, {3.8006553066398*^9, 3.8006553732303724`*^9}, {
   3.800655416656726*^9, 3.800655483668791*^9}, {3.800655532273072*^9, 
   3.800655556564302*^9}, {3.8006557088329086`*^9, 3.800655749759311*^9}, {
   3.80065585259278*^9, 3.8006558911598873`*^9}, {3.800655939854437*^9, 
   3.8006560189788046`*^9}, {3.800656135114393*^9, 3.800656145478073*^9}, {
   3.8006569632149816`*^9, 3.800657080649637*^9}, {3.800715005580721*^9, 
   3.800715026243492*^9}, {3.800715206480054*^9, 3.8007152104614763`*^9}, {
   3.8007171055638523`*^9, 3.800717125576507*^9}, {3.800717301916401*^9, 
   3.8007173982605543`*^9}, {3.800717454686392*^9, 3.800717490392034*^9}, {
   3.800718084383349*^9, 3.8007181317299867`*^9}, {3.8007187569499607`*^9, 
   3.800718878162693*^9}, {3.800719537848321*^9, 3.8007196355401144`*^9}, {
   3.8007196785552464`*^9, 3.8007196874082403`*^9}, {3.800719730758541*^9, 
   3.8007197779717236`*^9}, {3.8007198484816318`*^9, 3.800719848721634*^9}, 
   3.8007198890462313`*^9, {3.8007201351081142`*^9, 3.8007201470289965`*^9}, {
   3.8007202350869474`*^9, 3.8007202493431587`*^9}, {3.8007203588890724`*^9, 
   3.8007203663515344`*^9}, 3.8007205038388586`*^9, {3.800720535199168*^9, 
   3.80072057079368*^9}, {3.800720712871544*^9, 3.800720733846136*^9}, {
   3.8007207861284094`*^9, 3.800720790246394*^9}, {3.8007210860878096`*^9, 
   3.800721157816164*^9}, {3.8007220704847975`*^9, 3.8007221602603745`*^9}, {
   3.800722207425247*^9, 3.8007223053041196`*^9}, {3.8007223947844734`*^9, 
   3.80072247958871*^9}, {3.8007225101385474`*^9, 3.8007226488367257`*^9}, {
   3.800722731171791*^9, 3.8007227784270167`*^9}, {3.8007228359563766`*^9, 
   3.8007228632680235`*^9}, 3.800722905539201*^9, {3.8007229411216397`*^9, 
   3.8007229415025*^9}, {3.8007230265387883`*^9, 3.8007230268342505`*^9}, {
   3.800723920983493*^9, 3.80072393637547*^9}, {3.80072402937024*^9, 
   3.8007240325380583`*^9}, {3.8007241660455966`*^9, 3.800724192011217*^9}, {
   3.800736291356852*^9, 3.800736303167937*^9}, {3.800736358716695*^9, 
   3.800736359231599*^9}, {3.8007363893700347`*^9, 3.800736401778474*^9}, {
   3.8007365065354204`*^9, 3.8007365115263214`*^9}, {3.8007365434483347`*^9, 
   3.800736549586627*^9}, {3.8007366497139406`*^9, 3.8007366509058647`*^9}, {
   3.8007367067235312`*^9, 3.8007367170775747`*^9}, {3.8007420634314985`*^9, 
   3.8007421290489388`*^9}, {3.8007421687348022`*^9, 3.800742224080078*^9}, {
   3.800742454315943*^9, 3.8007424554159403`*^9}, {3.800742559844351*^9, 
   3.800742595349496*^9}, {3.8007426386817613`*^9, 3.8007426791651945`*^9}, {
   3.800742736941115*^9, 3.800742798108514*^9}, {3.801263192056745*^9, 
   3.8012631931816473`*^9}, {3.8012634006687746`*^9, 3.801263469018946*^9}, {
   3.801263635611457*^9, 3.801263635730169*^9}, {3.801320179374835*^9, 
   3.801320265724557*^9}, {3.8013202961190224`*^9, 3.8013203612857113`*^9}, {
   3.8013204338296885`*^9, 3.801320473152108*^9}, {3.8013206218341646`*^9, 
   3.8013206243741565`*^9}, {3.8013207739035373`*^9, 
   3.8013208051101127`*^9}, {3.8013213500093203`*^9, 
   3.8013213881461535`*^9}, {3.8014159027669945`*^9, 3.801415908465528*^9}, {
   3.801416002428918*^9, 3.801416026126356*^9}, {3.8014164288880296`*^9, 
   3.801416482500724*^9}, {3.8014165240263863`*^9, 3.801416571778535*^9}, {
   3.8014166148123627`*^9, 3.8014166177864075`*^9}, {3.801416662065292*^9, 
   3.8014166991474123`*^9}, {3.8014167628473635`*^9, 3.801416763360007*^9}, {
   3.801416795173582*^9, 3.8014169130714626`*^9}, {3.801416953627927*^9, 
   3.8014169538976774`*^9}, {3.8014171178826265`*^9, 
   3.8014171586633663`*^9}, {3.801417319572308*^9, 3.8014173357052994`*^9}, 
   3.8014179125204744`*^9, {3.8014180319104185`*^9, 3.801418052348935*^9}, {
   3.8014180867756133`*^9, 3.8014181091924696`*^9}, {3.8014181636336975`*^9, 
   3.8014182242171974`*^9}, {3.801418347849104*^9, 3.801418348191222*^9}, {
   3.801418398218068*^9, 3.8014184264674892`*^9}, {3.801418511538406*^9, 
   3.801418517544692*^9}, 3.8014188204776525`*^9, {3.8014188631661606`*^9, 
   3.8014188918266077`*^9}, {3.801419156231002*^9, 3.801419157469717*^9}, {
   3.8014191928866596`*^9, 3.801419230109754*^9}, {3.8014193885777874`*^9, 
   3.801419442681078*^9}, 3.80141953309682*^9, {3.8014195941815853`*^9, 
   3.8014196508404503`*^9}, {3.801419712618905*^9, 3.801419756009286*^9}, {
   3.8014264383929367`*^9, 3.801426502894286*^9}, 3.8014265434905453`*^9, {
   3.8014266086718063`*^9, 3.80142663812035*^9}, 3.8014267143858323`*^9, {
   3.801427030055253*^9, 3.801427056889493*^9}, {3.801427519427165*^9, 
   3.8014275248903875`*^9}, {3.801427618068858*^9, 3.8014276349078817`*^9}, {
   3.8014278882780695`*^9, 3.80142795479503*^9}, {3.8014279887041197`*^9, 
   3.8014280499143596`*^9}, 3.80142809348707*^9, {3.801428482913128*^9, 
   3.801428542416257*^9}, {3.8014286420588694`*^9, 3.801428644942156*^9}, {
   3.8014287462821445`*^9, 3.801428754561257*^9}, 3.8014318165497313`*^9, {
   3.801431859252503*^9, 3.8014318595891128`*^9}, {3.801432211920433*^9, 
   3.8014322130793324`*^9}, 3.8014322841150513`*^9, 3.8014323307921557`*^9, {
   3.8014323739121103`*^9, 3.80143237713447*^9}, {3.8014324094853168`*^9, 
   3.8014324130976*^9}, {3.8014324559548993`*^9, 3.801432469767421*^9}, {
   3.8014325847463365`*^9, 3.80143258995341*^9}, {3.8014326254553385`*^9, 
   3.8014326283455744`*^9}, 3.801432886053093*^9, 3.801432936943675*^9, {
   3.8014330079814463`*^9, 3.801433024708845*^9}, 3.8014331627245183`*^9, {
   3.801433210435376*^9, 3.8014332223488464`*^9}, {3.801433350140817*^9, 
   3.8014333815692625`*^9}, {3.801434005582284*^9, 3.8014340234505625`*^9}, {
   3.801437134497023*^9, 3.8014371374338584`*^9}, {3.801437300489024*^9, 
   3.8014373145791597`*^9}, {3.801490272795205*^9, 3.8014902733955903`*^9}, {
   3.801490335813738*^9, 3.8014903377746315`*^9}, 3.8014904401168957`*^9, {
   3.8014905214735613`*^9, 3.801490547831976*^9}, {3.8014907471974945`*^9, 
   3.801490761253351*^9}, 3.8014908174611187`*^9, {3.8014908711183367`*^9, 
   3.801490873622083*^9}, {3.801490944055555*^9, 3.801490948630481*^9}, {
   3.8014914955571747`*^9, 3.801491535070361*^9}, 3.80149158985812*^9, {
   3.8014956730708494`*^9, 3.8014956866453705`*^9}, {3.8014957472798853`*^9, 
   3.801495797803235*^9}, {3.801495846791898*^9, 3.8014958569902163`*^9}, {
   3.8014959954297514`*^9, 3.801496013520649*^9}, {3.8014974939558563`*^9, 
   3.8014974955626683`*^9}, 3.8014975513833075`*^9, 3.8014976247717857`*^9, {
   3.8015178305498667`*^9, 3.8015178343300314`*^9}, {3.8015179074940863`*^9, 
   3.801517931466116*^9}, {3.8015180603219833`*^9, 3.8015180851037474`*^9}, {
   3.8015181424424567`*^9, 3.801518167236853*^9}, {3.8015185919134965`*^9, 
   3.8015186413698606`*^9}, {3.8015187111353545`*^9, 
   3.8015187266750565`*^9}, {3.801518827643464*^9, 3.8015188359415703`*^9}, 
   3.8015591282480545`*^9, 3.8015596843684745`*^9, {3.8015597401644154`*^9, 
   3.8015597553763514`*^9}, {3.801559873594183*^9, 3.8015598835795536`*^9}, {
   3.8015599769291787`*^9, 3.8015599915662827`*^9}, {3.801560228312073*^9, 
   3.8015602577745323`*^9}, {3.8015603200689087`*^9, 3.801560321524969*^9}, {
   3.8015603614113483`*^9, 3.801560383061651*^9}, {3.8015604746782136`*^9, 
   3.8015605315499105`*^9}, {3.801560575795099*^9, 3.801560585920309*^9}, {
   3.8015607342267675`*^9, 3.801560755292596*^9}, {3.8015609985863886`*^9, 
   3.801561004194991*^9}, {3.8015611755907316`*^9, 3.8015611830758257`*^9}, {
   3.8015616713116093`*^9, 3.8015617186150117`*^9}, {3.801561834227353*^9, 
   3.8015618634980345`*^9}, 3.8015619296062207`*^9, {3.8015628930656905`*^9, 
   3.801562894950571*^9}, {3.80156303200276*^9, 3.8015630635759096`*^9}, {
   3.80157725295382*^9, 3.8015773063951435`*^9}, {3.8015775947166653`*^9, 
   3.8015775982053533`*^9}, {3.8015777487267885`*^9, 3.801577759862708*^9}, {
   3.8015794933280334`*^9, 3.8015795077972064`*^9}, {3.801581006816676*^9, 
   3.8015810077830987`*^9}, {3.801585808312495*^9, 3.801585809308901*^9}, {
   3.801595451715095*^9, 3.8015954875362515`*^9}, {3.80159562552594*^9, 
   3.8015956259268265`*^9}, {3.8015956776521225`*^9, 
   3.8015956839025507`*^9}, {3.801595841856576*^9, 3.8015959138384285`*^9}, {
   3.8015960132641973`*^9, 3.8015960472166047`*^9}, {3.8015966005342307`*^9, 
   3.8015966042502947`*^9}, {3.8016094961498423`*^9, 3.801609502155645*^9}, {
   3.8016095332759657`*^9, 3.801609606116559*^9}, {3.801659323490305*^9, 
   3.801659324055789*^9}, {3.8016594074823136`*^9, 3.801659421434289*^9}, {
   3.8016594558572206`*^9, 3.801659556889922*^9}, {3.8016595997996817`*^9, 
   3.801659652246061*^9}, {3.8016596904692793`*^9, 3.8016597067422476`*^9}, {
   3.801660684719839*^9, 3.80166070066741*^9}, {3.801660772134735*^9, 
   3.8016607761184587`*^9}, {3.8016636504222364`*^9, 
   3.8016638037717867`*^9}, {3.8016638338612213`*^9, 3.801663909991991*^9}, {
   3.801664457577668*^9, 3.801664458571294*^9}, {3.801664508181901*^9, 
   3.801664512313126*^9}, 3.80166463172359*^9, {3.8016646634484015`*^9, 
   3.8016647249304557`*^9}, {3.8016648048477736`*^9, 
   3.8016648257549906`*^9}, {3.801664891778282*^9, 3.8016649015076494`*^9}, {
   3.8016654617210073`*^9, 3.8016655059158115`*^9}, {3.801665549314347*^9, 
   3.8016656080811167`*^9}, {3.801665638806811*^9, 3.8016656391239977`*^9}, {
   3.8016656700863495`*^9, 3.801665670341666*^9}, {3.8016657003852944`*^9, 
   3.8016657824869385`*^9}, {3.8016658713273497`*^9, 3.801665915390321*^9}, {
   3.801666039121467*^9, 3.801666041602141*^9}, {3.8016662224665613`*^9, 
   3.801666223754182*^9}, {3.801667290835717*^9, 3.801667337912784*^9}, {
   3.8016674191833706`*^9, 3.801667425659855*^9}, {3.8016674704246907`*^9, 
   3.801667480923765*^9}, {3.8016675247828655`*^9, 3.801667524942438*^9}, {
   3.80166780743519*^9, 3.80166783747268*^9}, {3.801672236310972*^9, 
   3.8016722811980543`*^9}, {3.8016724537174788`*^9, 3.801672454051584*^9}, {
   3.8016728878052397`*^9, 3.801672920582227*^9}, {3.8016730118693495`*^9, 
   3.8016730119531*^9}, 3.8016731634546843`*^9, {3.8016757328141546`*^9, 
   3.801675753884983*^9}, {3.8016758009476566`*^9, 3.801675801994893*^9}, {
   3.8016758403071012`*^9, 3.8016758470787315`*^9}, {3.8016758811942167`*^9, 
   3.8016758942084484`*^9}, {3.801675961407111*^9, 3.8016759629457445`*^9}, {
   3.8016773965287313`*^9, 3.801677510397343*^9}, {3.801677573771779*^9, 
   3.8016775879737988`*^9}, {3.801677621160474*^9, 3.8016776220299187`*^9}, {
   3.801678048753848*^9, 3.801678061629859*^9}, {3.801678123680323*^9, 
   3.8016781520411234`*^9}, {3.801678304620212*^9, 3.8016783273737416`*^9}, {
   3.8016783579042673`*^9, 3.801678488903266*^9}, {3.8016785267628164`*^9, 
   3.801678534771058*^9}, {3.801678570032981*^9, 3.8016786037819147`*^9}, {
   3.8016786417480555`*^9, 3.8016786553303604`*^9}, {3.8016787435046644`*^9, 
   3.801678808318815*^9}, {3.8016794894341025`*^9, 3.8016795227471085`*^9}, 
   3.8016795927330656`*^9, 3.801679624951235*^9, {3.8016796714503775`*^9, 
   3.801679711062765*^9}, {3.801683629069972*^9, 3.8016836864379168`*^9}, {
   3.8016837215231705`*^9, 3.801683736561571*^9}, {3.801683784862136*^9, 
   3.801683786672126*^9}, {3.8016839432638483`*^9, 3.801683950691327*^9}, {
   3.801684002504714*^9, 3.801684059311512*^9}, {3.8016843098852973`*^9, 
   3.8016843228335857`*^9}, {3.8016871261663623`*^9, 3.801687166856654*^9}, {
   3.8016872031595564`*^9, 3.801687231681235*^9}, {3.801687311397626*^9, 
   3.8016873168902674`*^9}, {3.8016874148702226`*^9, 3.801687421719306*^9}, {
   3.801689034278412*^9, 3.8016891098144608`*^9}, {3.801689197115435*^9, 
   3.801689225419354*^9}, {3.801689270178708*^9, 3.801689303802636*^9}, {
   3.801690573695365*^9, 3.8016906045815306`*^9}, {3.8016919854787846`*^9, 
   3.8016920616060324`*^9}, {3.8016921185804706`*^9, 
   3.8016921663318887`*^9}, {3.8016924349368877`*^9, 
   3.8016924350206623`*^9}, {3.8016926462849135`*^9, 
   3.8016926482564526`*^9}, {3.80169273882655*^9, 3.8016927420294247`*^9}, {
   3.8017629702972975`*^9, 3.801762972364557*^9}, {3.801763004941025*^9, 
   3.8017630055374193`*^9}, {3.80176306398653*^9, 3.8017630656807203`*^9}, {
   3.801763127321152*^9, 3.801763146679959*^9}, {3.801763196524479*^9, 
   3.801763200831188*^9}, {3.8017632309074545`*^9, 3.8017632363880625`*^9}, {
   3.801763450004055*^9, 3.801763454061536*^9}, {3.8017635888078876`*^9, 
   3.8017635934587426`*^9}, {3.801763762308246*^9, 3.801763770557475*^9}, {
   3.8017638374833946`*^9, 3.8017638600711946`*^9}, {3.801763967663887*^9, 
   3.801763976675146*^9}, {3.801764514514987*^9, 3.8017645200929303`*^9}, {
   3.801764698102398*^9, 3.8017647008238916`*^9}, 3.8017647311290045`*^9, {
   3.801764835645447*^9, 3.80176484356438*^9}, 3.8017652624829264`*^9, 
   3.801765780152337*^9, {3.8017658223847733`*^9, 3.801765825065482*^9}, 
   3.801771966125121*^9, 3.801772699346861*^9, {3.801772919445942*^9, 
   3.801772919637637*^9}, {3.801773327922491*^9, 3.8017733367899504`*^9}, 
   3.801773776078662*^9, 3.80177625581357*^9, 3.801776993657894*^9, {
   3.801777497185009*^9, 3.8017774976586676`*^9}, 3.8017776098791313`*^9, {
   3.801777703647456*^9, 3.8017777118222923`*^9}, {3.8017779154062033`*^9, 
   3.801777916157022*^9}, {3.801778010057378*^9, 3.801778013915783*^9}, 
   3.801778089183874*^9, 3.80177834404513*^9, {3.8017786285965624`*^9, 
   3.801778682660286*^9}, 3.801778955653038*^9, {3.8017791710368233`*^9, 
   3.8017791756265416`*^9}, {3.80177928981054*^9, 3.8017792908571825`*^9}, {
   3.8017804682166348`*^9, 3.8017804990389366`*^9}, 3.8017806782011366`*^9, {
   3.801780785410215*^9, 3.8017807870320344`*^9}, {3.801781007952964*^9, 
   3.8017810156522827`*^9}, {3.80178118525294*^9, 3.801781186975763*^9}, {
   3.8017812775371714`*^9, 3.8017812852338934`*^9}, 3.8017814550633783`*^9, {
   3.8017815919442463`*^9, 3.8017815954295883`*^9}, {3.8017816687928877`*^9, 
   3.8017816893876686`*^9}, {3.8017817846275873`*^9, 3.8017817906131544`*^9}, 
   3.8017819878186293`*^9, {3.8017821568391466`*^9, 3.801782179747963*^9}, {
   3.8017823063517466`*^9, 3.8017823074144278`*^9}, 3.801782373973011*^9, 
   3.8017824798697824`*^9, {3.8017831563595943`*^9, 3.8017831589509125`*^9}, {
   3.8018321004076204`*^9, 3.8018321006649337`*^9}, {3.801832698506759*^9, 
   3.8018326995879035`*^9}, {3.801832855610512*^9, 3.8018328670554237`*^9}, {
   3.801832971116025*^9, 3.8018329717723765`*^9}, {3.801839285624951*^9, 
   3.8018392859869905`*^9}, {3.8018395520278225`*^9, 3.801839581470628*^9}, {
   3.802023119843012*^9, 3.8020231253805785`*^9}, {3.8020961389957595`*^9, 
   3.8020961434884496`*^9}, {3.8020961759599037`*^9, 
   3.8020961762198863`*^9}, {3.802096469900973*^9, 3.8020965047683196`*^9}, {
   3.8020968393959656`*^9, 3.8020968947395597`*^9}, {3.8020970122489605`*^9, 
   3.802097020694289*^9}, {3.802097120396283*^9, 3.8020971267189364`*^9}, {
   3.8020972135435467`*^9, 3.8020972333997345`*^9}, {3.802097664221222*^9, 
   3.8020977034838495`*^9}, {3.802097781234683*^9, 3.8020977814747243`*^9}, 
   3.8020978498018885`*^9, 3.802174498835062*^9, {3.802174564292962*^9, 
   3.8021745836129932`*^9}, 3.8021746427792487`*^9, {3.802174979017206*^9, 
   3.802174979841055*^9}, {3.8021750279081545`*^9, 3.802175059234722*^9}, {
   3.8021751507263803`*^9, 3.8021751822765365`*^9}, {3.802175327906273*^9, 
   3.8021753947835617`*^9}, 3.802175645002886*^9, 3.8021757402262855`*^9, {
   3.8021759093297815`*^9, 3.802175909680808*^9}, {3.8021759497579837`*^9, 
   3.8021759542350388`*^9}, {3.802176202659562*^9, 3.8021762078956785`*^9}, {
   3.802176406510634*^9, 3.8021764105990915`*^9}, {3.8021767905677953`*^9, 
   3.8021768016340947`*^9}, 3.802177107016621*^9, {3.8022594533272257`*^9, 
   3.8022594536364*^9}, {3.802259625665016*^9, 3.8022596260479064`*^9}, {
   3.802261931405361*^9, 3.802261964563105*^9}, 3.8022620362255306`*^9, {
   3.8022620721067085`*^9, 3.80226216290658*^9}, {3.8022622274551992`*^9, 
   3.802262233330038*^9}, {3.8022623604914885`*^9, 3.802262360611268*^9}, {
   3.8022628785584793`*^9, 3.802262889619253*^9}, {3.802262925153298*^9, 
   3.802262950057016*^9}, 3.802263083681037*^9, 3.8022631193939085`*^9, 
   3.8022632180672283`*^9, {3.8022633192769527`*^9, 3.8022633478215137`*^9}, {
   3.8022634565704536`*^9, 3.8022634651579623`*^9}, {3.8022635088159275`*^9, 
   3.8022635581741557`*^9}, 3.8022647544968443`*^9, 3.802265169203275*^9, {
   3.8022656135656185`*^9, 3.8022656221559973`*^9}, {3.8022658066304765`*^9, 
   3.8022658145223866`*^9}, {3.8022659189860353`*^9, 
   3.8022659221688814`*^9}, {3.8022660230555325`*^9, 3.80226606751884*^9}, {
   3.802266116621484*^9, 3.8022661432705264`*^9}, {3.8022661822383842`*^9, 
   3.8022661835442553`*^9}, {3.802266242727714*^9, 3.8022662600509295`*^9}, {
   3.8022665091742744`*^9, 3.80226653833282*^9}, {3.802270066599452*^9, 
   3.802270115599466*^9}, 3.802271272885874*^9, {3.802271353083895*^9, 
   3.802271373116789*^9}, {3.802271460174752*^9, 3.802271461800133*^9}, {
   3.802271511229537*^9, 3.8022715156779966`*^9}, {3.802271617632919*^9, 
   3.8022716355707817`*^9}, {3.8022716732229633`*^9, 3.8022716995602283`*^9}, 
   3.8022729203488197`*^9, {3.802273016325387*^9, 3.8022730281090436`*^9}, {
   3.802273263320408*^9, 3.802273310187993*^9}, 3.8022733857807813`*^9, {
   3.8022735309552317`*^9, 3.8022735462436285`*^9}, 3.802273679311397*^9, 
   3.80227375863721*^9, {3.80227388452334*^9, 3.80227388478063*^9}, {
   3.8022740855602345`*^9, 3.8022740919129324`*^9}, {3.8022754552207108`*^9, 
   3.802275465733487*^9}, {3.8022755498240986`*^9, 3.802275576431117*^9}, {
   3.8022757377944927`*^9, 3.8022757760190496`*^9}, {3.802275957604333*^9, 
   3.8022759577166605`*^9}, {3.8022790190987062`*^9, 3.802279168393777*^9}, {
   3.802279231535849*^9, 3.8022792595483294`*^9}, 3.802279692237564*^9, {
   3.802279735224352*^9, 3.8022797373347473`*^9}, 3.802280068818022*^9, {
   3.802280100203295*^9, 3.802280104971612*^9}, {3.802345018495281*^9, 
   3.802345092478145*^9}, {3.802349238079688*^9, 3.8023492935217757`*^9}, {
   3.802349346662914*^9, 3.8023493793712654`*^9}, {3.802349454570445*^9, 
   3.8023494982875853`*^9}, 3.80234956479299*^9, 3.80234964370502*^9, {
   3.8023496934353185`*^9, 3.8023496938062854`*^9}, {3.802350334077356*^9, 
   3.802350365347555*^9}, {3.802350486232673*^9, 3.8023505298417883`*^9}, {
   3.802350660563339*^9, 3.802350679997899*^9}, {3.802351083782802*^9, 
   3.802351084402521*^9}, {3.8023512137639465`*^9, 3.8023513145105195`*^9}, {
   3.8023513638721285`*^9, 3.80235138262192*^9}, {3.8023793646116705`*^9, 
   3.8023793865417023`*^9}, {3.8023842543822613`*^9, 
   3.8023842622727575`*^9}, {3.802384297573732*^9, 3.8023843010208225`*^9}, {
   3.8023844346997375`*^9, 3.8023844367698116`*^9}, 3.8023894353079586`*^9},
 CellLabel->"In[9]:=",ExpressionUUID->"ece95d78-47fb-44c7-87f6-1f2efb11e0d1"],

Cell[BoxData[
 DynamicModuleBox[{$CellContext`d$$ = 6., $CellContext`Len$$ = 
  24.5, $CellContext`Wid$$ = 32, $CellContext`seatw$$ = 
  2.25, $CellContext`seatl$$ = 2.5, $CellContext`deskl$$ = 
  1.5, $CellContext`chairw$$ = 1.5, $CellContext`chairb$$ = 
  1, $CellContext`nosedist$$ = 1.5, $CellContext`sidemarg$$ = 
  0.1, $CellContext`backmarg$$ = 1, $CellContext`frontspace$$ = 
  10, $CellContext`Layouts$$ = {{
   "H-4", 15, 6, 5, 10.5, 4.5, 5.91, Null, False, 3., Null, False, 5.91}, {
   "H-3", 14, 7, 4, 12.218979865791527`, 6.2189798657915265`, 4.925, Null, 
    False, 3.4270067114028246`, Null, False, 4.925}, {
   "H-2", 12, 8, 3, 13.972505452050637`, 7.972505452050637, 
    4.2214285714285715`, Null, False, 4.263747273974682, Null, False, 
    4.2214285714285715`}, {
   "H-1", 14, 9, 3, 13.043529001260564`, 7.0435290012605645`, 3.69375, Null, 
    False, 4.728235499369718, Null, False, 3.69375}, {
   "H0", 15, 10, 3, 12.456151689273234`, 6.456151689273234, 3.283333333333333,
     Null, False, 5.021924155363383, Null, False, 
    3.283333333333333}}, $CellContext`lyut$$ = 5, $CellContext`plan$$ = 
  Graphics[{
    Rotate[
     Translate[
      Scale[{}, 
       Dynamic[$CellContext`s$$/$CellContext`scale$$], {0, 0}], 
      Dynamic[$CellContext`s$$ {$CellContext`xol$$, $CellContext`yol$$}]], 
     Dynamic[$CellContext`\[Theta]$$ Degree]], 
    FaceForm[
     GrayLevel[1]], 
    FilledCurve[{{
       Line[{{-64, -64}, {-64, 56.5}, {64, 56.5}, {64, -64}}]}, {
       Line[{{-1.6, -1.6}, {-1.6, 26.1}, {33.6, 26.1}, {33.6, -1.6}}]}}], 
    FaceForm[{
      GrayLevel[1], 
      Opacity[1 - Dynamic[$CellContext`a$$]]}], 
    Rectangle[{-1.6, -1.6}, {33.6, 26.1}], 
    EdgeForm[
     Thickness[Large]], 
    FaceForm[], 
    Rectangle[{0, 0}, {32, 24.5}], 
    EdgeForm[
     AbsoluteThickness[1]], 
    FaceForm[], {{
      Rectangle[{0.1, 2}, {2.35, 3.5}, RoundingRadius -> 0.15], 
      Rectangle[{0.475, 1}, {1.975, 2}], 
      Disk[{1.225, 1.67}, 0.33], 
      RegularPolygon[{1.225, 2.}, 0.132, 3]}, {
      Rectangle[{6.666666666666666, 2}, {8.916666666666666, 3.5}, 
       RoundingRadius -> 0.15], 
      Rectangle[{7.041666666666666, 1}, {8.541666666666666, 2}], 
      Disk[{7.791666666666666, 1.67}, 0.33], 
      RegularPolygon[{7.791666666666666, 2.}, 0.132, 3]}, {
      Rectangle[{13.233333333333333`, 2}, {15.483333333333333`, 3.5}, 
       RoundingRadius -> 0.15], 
      Rectangle[{13.608333333333333`, 1}, {15.108333333333333`, 2}], 
      Disk[{14.358333333333333`, 1.67}, 0.33], 
      RegularPolygon[{14.358333333333333`, 2.}, 0.132, 3]}, {
      Rectangle[{19.799999999999997`, 2}, {22.049999999999997`, 3.5}, 
       RoundingRadius -> 0.15], 
      Rectangle[{20.174999999999997`, 1}, {21.674999999999997`, 2}], 
      Disk[{20.924999999999997`, 1.67}, 0.33], 
      RegularPolygon[{20.924999999999997`, 2.}, 0.132, 3]}, {
      Rectangle[{26.36666666666666, 2}, {28.61666666666666, 3.5}, 
       RoundingRadius -> 0.15], 
      Rectangle[{26.74166666666666, 1}, {28.24166666666666, 2}], 
      Disk[{27.49166666666666, 1.67}, 0.33], 
      RegularPolygon[{27.49166666666666, 2.}, 0.132, 3]}, {
      Rectangle[{3.3833333333333333`, 7.021924155363383}, {5.633333333333333, 
       8.521924155363383}, RoundingRadius -> 0.15], 
      Rectangle[{3.7583333333333333`, 6.021924155363383}, {5.258333333333333, 
       7.021924155363383}], 
      Disk[{4.508333333333333, 6.691924155363383}, 0.33], 
      RegularPolygon[{4.508333333333333, 7.021924155363383}, 0.132, 3]}, {
      Rectangle[{9.95, 7.021924155363383}, {12.2, 8.521924155363383}, 
       RoundingRadius -> 0.15], 
      Rectangle[{10.325, 6.021924155363383}, {11.825, 7.021924155363383}], 
      Disk[{11.075, 6.691924155363383}, 0.33], 
      RegularPolygon[{11.075, 7.021924155363383}, 0.132, 3]}, {
      Rectangle[{16.516666666666666`, 7.021924155363383}, {
       18.766666666666666`, 8.521924155363383}, RoundingRadius -> 0.15], 
      Rectangle[{16.891666666666666`, 6.021924155363383}, {
       18.391666666666666`, 7.021924155363383}], 
      Disk[{17.641666666666666`, 6.691924155363383}, 0.33], 
      RegularPolygon[{17.641666666666666`, 7.021924155363383}, 0.132, 3]}, {
      Rectangle[{23.08333333333333, 7.021924155363383}, {25.33333333333333, 
       8.521924155363383}, RoundingRadius -> 0.15], 
      Rectangle[{23.45833333333333, 6.021924155363383}, {24.95833333333333, 
       7.021924155363383}], 
      Disk[{24.20833333333333, 6.691924155363383}, 0.33], 
      RegularPolygon[{24.20833333333333, 7.021924155363383}, 0.132, 3]}, {
      Rectangle[{29.64999999999999, 7.021924155363383}, {31.89999999999999, 
       8.521924155363383}, RoundingRadius -> 0.15], 
      Rectangle[{30.02499999999999, 6.021924155363383}, {31.52499999999999, 
       7.021924155363383}], 
      Disk[{30.77499999999999, 6.691924155363383}, 0.33], 
      RegularPolygon[{30.77499999999999, 7.021924155363383}, 0.132, 3]}, {
      Rectangle[{0.1, 12.043848310726766`}, {2.35, 13.543848310726766`}, 
       RoundingRadius -> 0.15], 
      Rectangle[{0.475, 11.043848310726766`}, {1.975, 12.043848310726766`}], 
      Disk[{1.225, 11.713848310726766`}, 0.33], 
      RegularPolygon[{1.225, 12.043848310726766`}, 0.132, 3]}, {
      Rectangle[{6.666666666666666, 12.043848310726766`}, {8.916666666666666, 
       13.543848310726766`}, RoundingRadius -> 0.15], 
      Rectangle[{7.041666666666666, 11.043848310726766`}, {8.541666666666666, 
       12.043848310726766`}], 
      Disk[{7.791666666666666, 11.713848310726766`}, 0.33], 
      RegularPolygon[{7.791666666666666, 12.043848310726766`}, 0.132, 3]}, {
      Rectangle[{13.233333333333333`, 12.043848310726766`}, {
       15.483333333333333`, 13.543848310726766`}, RoundingRadius -> 0.15], 
      Rectangle[{13.608333333333333`, 11.043848310726766`}, {
       15.108333333333333`, 12.043848310726766`}], 
      Disk[{14.358333333333333`, 11.713848310726766`}, 0.33], 
      RegularPolygon[{14.358333333333333`, 12.043848310726766`}, 0.132, 3]}, {
      Rectangle[{19.799999999999997`, 12.043848310726766`}, {
       22.049999999999997`, 13.543848310726766`}, RoundingRadius -> 0.15], 
      Rectangle[{20.174999999999997`, 11.043848310726766`}, {
       21.674999999999997`, 12.043848310726766`}], 
      Disk[{20.924999999999997`, 11.713848310726766`}, 0.33], 
      RegularPolygon[{20.924999999999997`, 12.043848310726766`}, 0.132, 3]}, {
      Rectangle[{26.36666666666666, 12.043848310726766`}, {28.61666666666666, 
       13.543848310726766`}, RoundingRadius -> 0.15], 
      Rectangle[{26.74166666666666, 11.043848310726766`}, {28.24166666666666, 
       12.043848310726766`}], 
      Disk[{27.49166666666666, 11.713848310726766`}, 0.33], 
      RegularPolygon[{27.49166666666666, 12.043848310726766`}, 0.132, 3]}}, 
    RGBColor[0, 
     Rational[2, 3], 0], {
     Circle[{1.225, 2.}, 0.5], 
     Arrowheads[{-0.02, 0}], 
     Line[{{0, 2.}, {40., 2.}}], 
     Line[{{1.225, -8.}, {1.225, 13.25}}], 
     Line[{{4.508333333333333, -8.}, {4.508333333333333, 13.25}}], 
     Arrow[{{4.508333333333333, -4.8}, {2.8666666666666663`, -4.8}}], 
     Text[
      StringForm["``'``\"", 3, 3], {3.6874999999999996`, -5.44}, {0, 1}], 
     Line[{{7.791666666666666, -8.}, {7.791666666666666, 13.25}}], 
     Arrow[{{7.791666666666666, -4.8}, {6.1499999999999995`, -4.8}}], 
     Text[
      StringForm["``'``\"", 6, 7], {6.970833333333333, -5.44}, {0, 1}], 
     Line[{{11.075, -8.}, {11.075, 13.25}}], 
     Arrow[{{11.075, -4.8}, {9.433333333333334, -4.8}}], 
     Text[
      StringForm["``'``\"", 9, 10], {10.254166666666666`, -5.44}, {0, 1}], 
     Line[{{14.358333333333333`, -8.}, {14.358333333333333`, 13.25}}], 
     Arrow[{{14.358333333333333`, -4.8}, {12.716666666666665`, -4.8}}], 
     Text[
      StringForm["``'``\"", 13, 2], {13.5375, -5.44}, {0, 1}], 
     Line[{{17.641666666666666`, -8.}, {17.641666666666666`, 13.25}}], 
     Arrow[{{17.641666666666666`, -4.8}, {16., -4.8}}], 
     Text[
      StringForm["``'``\"", 16, 5], {16.820833333333333`, -5.44}, {0, 1}], 
     Line[{{20.924999999999997`, -8.}, {20.924999999999997`, 13.25}}], 
     Arrow[{{20.924999999999997`, -4.8}, {19.28333333333333, -4.8}}], 
     Text[
      StringForm["``'``\"", 19, 8], {20.104166666666664`, -5.44}, {0, 1}], 
     Line[{{24.20833333333333, -8.}, {24.20833333333333, 13.25}}], 
     Arrow[{{24.20833333333333, -4.8}, {22.566666666666663`, -4.8}}], 
     Text[
      StringForm["``'``\"", 23, 0], {23.387499999999996`, -5.44}, {0, 1}], 
     Line[{{27.49166666666666, -8.}, {27.49166666666666, 13.25}}], 
     Arrow[{{27.49166666666666, -4.8}, {25.849999999999994`, -4.8}}], 
     Text[
      StringForm["``'``\"", 26, 3], {26.670833333333327`, -5.44}, {0, 1}], 
     Line[{{30.77499999999999, -8.}, {30.77499999999999, 13.25}}], 
     Arrow[{{30.77499999999999, -4.8}, {29.133333333333326`, -4.8}}], 
     Text[
      StringForm["``'``\"", 29, 7], {29.95416666666666, -5.44}, {0, 1}], 
     Line[{{0, 7.021924155363383}, {40., 7.021924155363383}}], 
     Arrow[{{36.8, 7.021924155363383}, {36.8, 4.510962077681691}}], 
     Text[
      StringForm["``'``\"", 5, 0], {37.44, 5.766443116522537}, {-1, 0}], 
     Line[{{0, 12.043848310726766`}, {40., 12.043848310726766`}}], 
     Arrow[{{36.8, 12.043848310726766`}, {36.8, 9.532886233045074}}], 
     Text[
      StringForm["``'``\"", 10, 1], {37.44, 10.788367271885921`}, {-1, 0}], {
      Arrowheads[{-0.02, 0.02}], 
      Arrow[{{6.15, 12.043848310726766`}, {6.15, 24.5}}], 
      Text[
       StringForm["``'``\"", 12, 5], {7.75, 18.271924155363383`}]}}, 
    GrayLevel[0], 
    Dashing[{0, Small}], Null, 
    Dashing[{Small, Small}], 
    Line[{{0, 14.5}, {32, 14.5}}], 
    Dynamic[
     If[$CellContext`zooming$$, {
       Opacity[1], 
       ({
        Dashing[Small], 
        Line[{#, {
           First[#2], 
           Last[#]}, #2, {
           First[#], 
           Last[#2]}, #}]}& )[$CellContext`first$$, $CellContext`second$$]}, 
      Opacity[1]]]}, ImageSize -> 700, 
   PlotRange -> {{-3.2, 41.6}, {-9.6, 27.7}}], $CellContext`xol$$ = 
  0, $CellContext`yol$$ = 0, $CellContext`s$$ = 
  1.000000000000091, $CellContext`sn$$, $CellContext`scale$$ = 
  1, $CellContext`\[Theta]$$ = 0, $CellContext`a$$ = 
  0.5, $CellContext`first$$, $CellContext`second$$, $CellContext`zooming$$ = 
  False, $CellContext`dragging$$ = 
  False, $CellContext`boxSize$$, $CellContext`box$$ = {100, 
  100}, $CellContext`ar$$ = 0.765625, $CellContext`mP$$, $CellContext`gr$$ = 
  Rotate[
   Translate[
    Scale[{}, 
     Dynamic[$CellContext`s$$/$CellContext`scale$$], {0, 0}], 
    Dynamic[$CellContext`s$$ {$CellContext`xol$$, $CellContext`yol$$}]], 
   Dynamic[$CellContext`\[Theta]$$ Degree]], $CellContext`mask$$ = 
  FilledCurve[{{
     Line[{{-64, -64}, {-64, 56.5}, {64, 56.5}, {64, -64}}]}, {
     Line[{{-1.6, -1.6}, {-1.6, 26.1}, {33.6, 26.1}, {
      33.6, -1.6}}]}}], $CellContext`dir$$ = 
  "C:\\Users\\hansr\\Documents\\Faculty Senate\\Floor plans", \
$CellContext`img$$ = {}}, 
  TagBox[GridBox[{
     {
      TagBox[GridBox[{
         {
          TemplateBox[{PanelBox[
             TagBox[
              GridBox[{{"\"Student separation \"", 
                 InputFieldBox[
                  Dynamic[$CellContext`d$$], 
                  BaseStyle -> (
                   InputFieldBoxOptions -> {"TrapEnterKey" -> True}), 
                  FieldSize -> Tiny], "\" ft\""}, {"\"Classroom width \"", 
                 InputFieldBox[
                  Dynamic[$CellContext`Wid$$], 
                  BaseStyle -> (
                   InputFieldBoxOptions -> {"TrapEnterKey" -> True}), 
                  FieldSize -> Tiny], "\" ft\""}, {"\"Classroom length \"", 
                 InputFieldBox[
                  Dynamic[$CellContext`Len$$], 
                  BaseStyle -> (
                   InputFieldBoxOptions -> {"TrapEnterKey" -> True}), 
                  FieldSize -> Tiny], "\" ft\""}, {"\"Min. board distance \"", 
                 InputFieldBox[
                  Dynamic[$CellContext`frontspace$$], 
                  BaseStyle -> (
                   InputFieldBoxOptions -> {"TrapEnterKey" -> True}), 
                  FieldSize -> Tiny], "\" ft\""}}, AutoDelete -> False, 
               GridBoxAlignment -> {"Columns" -> {Right, {Left}}}, 
               GridBoxItemSize -> {
                "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
              "Grid"]],"\"Classroom dimensions\""},
           "Labeled",
           DisplayFunction->(GridBox[{{
               
               ItemBox[#2, Alignment -> {Left, Inherited}, BaseStyle -> Bold, 
                DefaultBaseStyle -> "PanelLabel"]}, {
               TagBox[
                ItemBox[
                 PaneBox[
                  TagBox[#, "SkipImageSizeLevel"], 
                  Alignment -> {Center, Baseline}, BaselinePosition -> 
                  Baseline], DefaultBaseStyle -> "Labeled"], 
                "SkipImageSizeLevel"]}}, 
             GridBoxAlignment -> {
              "Columns" -> {{Center}}, "Rows" -> {{Center}}}, AutoDelete -> 
             False, GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             BaselinePosition -> {2, 1}]& ),
           InterpretationFunction->(RowBox[{"Labeled", "[", 
              RowBox[{#, ",", 
                RowBox[{"{", #2, "}"}], ",", 
                RowBox[{"{", 
                  RowBox[{"{", 
                    RowBox[{"Top", ",", "Left"}], "}"}], "}"}], ",", 
                RowBox[{"DefaultLabelStyle", "\[Rule]", "\"PanelLabel\""}], 
                ",", 
                RowBox[{"LabelStyle", "\[Rule]", "Bold"}], ",", 
                RowBox[{"RotateLabel", "\[Rule]", "False"}], ",", 
                RowBox[{"Spacings", "\[Rule]", "Automatic"}]}], "]"}]& )]},
         {
          TemplateBox[{PanelBox[
             TagBox[
              GridBox[{{"\"Desk width \"", 
                 InputFieldBox[
                  Dynamic[$CellContext`seatw$$], FieldSize -> Tiny], 
                 "\" ft\""}, {"\"Desk length \"", 
                 InputFieldBox[
                  Dynamic[$CellContext`deskl$$], FieldSize -> Tiny], 
                 "\" ft\""}, {"\"Chair width \"", 
                 InputFieldBox[
                  Dynamic[$CellContext`chairw$$], FieldSize -> Tiny], 
                 "\" ft\""}, {"\"Seat back \"", 
                 InputFieldBox[
                  Dynamic[$CellContext`chairb$$], FieldSize -> Tiny], 
                 "\" ft\""}, {"\"Nose position \"", 
                 InputFieldBox[
                  Dynamic[$CellContext`nosedist$$], FieldSize -> Tiny], 
                 "\" ft\""}}, 
               GridBoxAlignment -> {"Columns" -> {Right, {Left}}}, AutoDelete -> 
               False, GridBoxItemSize -> {
                "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
              "Grid"]],"\"Desk dimensions\""},
           "Labeled",
           DisplayFunction->(GridBox[{{
               
               ItemBox[#2, Alignment -> {Left, Inherited}, BaseStyle -> Bold, 
                DefaultBaseStyle -> "PanelLabel"]}, {
               TagBox[
                ItemBox[
                 PaneBox[
                  TagBox[#, "SkipImageSizeLevel"], 
                  Alignment -> {Center, Baseline}, BaselinePosition -> 
                  Baseline], DefaultBaseStyle -> "Labeled"], 
                "SkipImageSizeLevel"]}}, 
             GridBoxAlignment -> {
              "Columns" -> {{Center}}, "Rows" -> {{Center}}}, AutoDelete -> 
             False, GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             BaselinePosition -> {2, 1}]& ),
           InterpretationFunction->(RowBox[{"Labeled", "[", 
              RowBox[{#, ",", 
                RowBox[{"{", #2, "}"}], ",", 
                RowBox[{"{", 
                  RowBox[{"{", 
                    RowBox[{"Top", ",", "Left"}], "}"}], "}"}], ",", 
                RowBox[{"DefaultLabelStyle", "\[Rule]", "\"PanelLabel\""}], 
                ",", 
                RowBox[{"LabelStyle", "\[Rule]", "Bold"}], ",", 
                RowBox[{"RotateLabel", "\[Rule]", "False"}], ",", 
                RowBox[{"Spacings", "\[Rule]", "Automatic"}]}], "]"}]& )]},
         {
          TemplateBox[{PanelBox[
             TagBox[
              GridBox[{{"\"Side margin \"", 
                 InputFieldBox[
                  Dynamic[$CellContext`sidemarg$$], FieldSize -> Tiny], 
                 "\" ft\""}, {"\"Back margin \"", 
                 InputFieldBox[
                  Dynamic[$CellContext`backmarg$$], FieldSize -> Tiny], 
                 "\" ft\""}}, AutoDelete -> False, 
               GridBoxAlignment -> {"Columns" -> {Right, {Left}}}, 
               GridBoxItemSize -> {
                "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
              "Grid"]],"\"Margins\""},
           "Labeled",
           DisplayFunction->(GridBox[{{
               
               ItemBox[#2, Alignment -> {Left, Inherited}, BaseStyle -> Bold, 
                DefaultBaseStyle -> "PanelLabel"]}, {
               TagBox[
                ItemBox[
                 PaneBox[
                  TagBox[#, "SkipImageSizeLevel"], 
                  Alignment -> {Center, Baseline}, BaselinePosition -> 
                  Baseline], DefaultBaseStyle -> "Labeled"], 
                "SkipImageSizeLevel"]}}, 
             GridBoxAlignment -> {
              "Columns" -> {{Center}}, "Rows" -> {{Center}}}, AutoDelete -> 
             False, GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             BaselinePosition -> {2, 1}]& ),
           InterpretationFunction->(RowBox[{"Labeled", "[", 
              RowBox[{#, ",", 
                RowBox[{"{", #2, "}"}], ",", 
                RowBox[{"{", 
                  RowBox[{"{", 
                    RowBox[{"Top", ",", "Left"}], "}"}], "}"}], ",", 
                RowBox[{"DefaultLabelStyle", "\[Rule]", "\"PanelLabel\""}], 
                ",", 
                RowBox[{"LabelStyle", "\[Rule]", "Bold"}], ",", 
                RowBox[{"RotateLabel", "\[Rule]", "False"}], ",", 
                RowBox[{"Spacings", "\[Rule]", "Automatic"}]}], "]"}]& )]},
         {
          ButtonBox[
           StyleBox["\<\"Calculate Layouts\"\>",
            StripOnInput->False,
            FontSize->16,
            FontWeight->Bold],
           Appearance->Automatic,
           
           ButtonFunction:>($CellContext`seatw$$ = 
             Max[$CellContext`seatw$$, $CellContext`chairw$$]; \
$CellContext`seatl$$ = $CellContext`deskl$$ + $CellContext`chairb$$; \
$CellContext`W = $CellContext`Wid$$ - $CellContext`seatw$$ - 
              2 $CellContext`sidemarg$$; $CellContext`L = $CellContext`Len$$ - \
($CellContext`seatl$$ - $CellContext`nosedist$$) - $CellContext`backmarg$$ - \
$CellContext`frontspace$$; $CellContext`ar$$ = \
$CellContext`Len$$/$CellContext`Wid$$; $CellContext`Cols = 
             Floor[2 $CellContext`W/$CellContext`d$$]; $CellContext`kmax = 
             Ceiling[$CellContext`Cols - 2 $CellContext`W/(
               Sqrt[3] $CellContext`d$$)]; 
            If[$CellContext`W/($CellContext`Cols - $CellContext`kmax) > \
$CellContext`d$$, 
              Decrement[$CellContext`kmax]]; $CellContext`kmin = If[
               EvenQ[$CellContext`Cols], -1, 0]; $CellContext`Layouts$$ = 
             Table[$CellContext`layout = ToString[
                  StringForm[
                  "H``", -$CellContext`k]]; $CellContext`nw = \
$CellContext`Cols - $CellContext`k; $CellContext`\[CapitalDelta]x = \
$CellContext`W/$CellContext`nw; 
               If[2 $CellContext`\[CapitalDelta]x < $CellContext`d$$, \
$CellContext`\[CapitalDelta]x1 = $CellContext`W - (($CellContext`nw - 1)/
                    2) $CellContext`d$$; $CellContext`\[CapitalDelta]x2 = \
(($CellContext`nw + 1)/
                    2) $CellContext`d$$ - $CellContext`W; $CellContext`horiz = 
                  True, $CellContext`horiz = 
                 False]; $CellContext`\[CapitalDelta]y = 
                If[$CellContext`horiz, 
                  Sqrt[$CellContext`d$$^2 - $CellContext`\[CapitalDelta]x1^2], 
                  Sqrt[$CellContext`d$$^2 - $CellContext`\[CapitalDelta]x^2]]; 
               If[2 $CellContext`\[CapitalDelta]y < $CellContext`d$$, \
$CellContext`nl = Floor[2 $CellContext`L/$CellContext`d$$]; If[
                   Or[
                    
                    OddQ[$CellContext`nl], $CellContext`L - $CellContext`d$$ \
($CellContext`nl/
                    2) > $CellContext`\[CapitalDelta]y], $CellContext`\
\[CapitalDelta]y1 = $CellContext`\[CapitalDelta]y; $CellContext`\
\[CapitalDelta]y2 = $CellContext`d$$ - $CellContext`\[CapitalDelta]y; \
$CellContext`nl = 2 Floor[$CellContext`nl/2] + 1; $CellContext`vert = 
                    True, $CellContext`\[CapitalDelta]y = $CellContext`d$$/
                    2; $CellContext`vert = False], $CellContext`nl = 
                  Floor[$CellContext`L/$CellContext`\[CapitalDelta]y]; \
$CellContext`vert = 
                  False]; $CellContext`capa = \
$CellContext`NCap[$CellContext`nw, $CellContext`nl]; $CellContext`boarddist = \
$CellContext`Len$$ - $CellContext`backmarg$$ - $CellContext`seatl$$ + \
$CellContext`nosedist$$ - $CellContext`nl 
                 If[$CellContext`vert, ($CellContext`\[CapitalDelta]y1 + \
$CellContext`\[CapitalDelta]y2)/2 + If[
                    
                    OddQ[$CellContext`nl], ($CellContext`\[CapitalDelta]y1 - \
$CellContext`\[CapitalDelta]y2)/(
                    2 $CellContext`nl)], $CellContext`\[CapitalDelta]y]; \
{$CellContext`layout, $CellContext`capa, $CellContext`nw + 1, $CellContext`nl + 
                 1, $CellContext`boarddist, $CellContext`boarddist - \
$CellContext`d$$, 
                 
                 If[$CellContext`horiz, $CellContext`\[CapitalDelta]x1, \
$CellContext`\[CapitalDelta]x], 
                 
                 If[$CellContext`horiz, $CellContext`\[CapitalDelta]x2], \
$CellContext`horiz, 
                 
                 If[$CellContext`vert, $CellContext`\[CapitalDelta]y1, \
$CellContext`\[CapitalDelta]y], 
                 
                 If[$CellContext`vert, $CellContext`\[CapitalDelta]y2], \
$CellContext`vert, $CellContext`W/($CellContext`Cols - $CellContext`k)}, \
{$CellContext`k, $CellContext`kmax, $CellContext`kmin, -1}]),
           Evaluator->Automatic,
           Method->"Preemptive"]},
         {
          DynamicBox[ToBoxes[
            If[Length[$CellContext`Layouts$$] > 0, 
             Panel[
              Grid[{
                Prepend[
                 MapIndexed[Setter[
                   Dynamic[$CellContext`lyut$$], #2, #]& , 
                  Part[
                   Transpose[$CellContext`Layouts$$], 1]], 
                 Style["Layouts", Bold]], 
                Prepend[
                 Map[If[
                   And[
                    OddQ[
                    Part[#, 3]], 
                    OddQ[
                    Part[#, 4]]], 
                   StringForm["``/``", Part[#, 2] - 1, 
                    Part[#, 2]], 
                   Part[#, 2]]& , $CellContext`Layouts$$], 
                 Style["Capacity", Bold]], 
                Prepend[
                 Part[
                  Transpose[$CellContext`Layouts$$], 3], 
                 Style["Lines", Bold]], 
                Prepend[
                 Part[
                  Transpose[$CellContext`Layouts$$], 4], 
                 Style["Rows", Bold]], 
                Prepend[
                 Map[$CellContext`FootForm[#, True]& , 
                  Part[
                   Transpose[$CellContext`Layouts$$], 5]], 
                 Style["Board Dist", Bold]], 
                Prepend[
                 Map[$CellContext`FootForm[#, True]& , 
                  Part[
                   Transpose[$CellContext`Layouts$$], 6]], 
                 Style["Instructor Space", Bold]]}, Frame -> All]], ""], 
            StandardForm],
           ImageSizeCache->{304., {67., 74.}},
           TrackedSymbols:>{$CellContext`Layouts$$}]},
         {"\<\"\[Copyright] 2020 Hans Robinson\"\>"}
        },
        DefaultBaseStyle->"Column",
        GridBoxAlignment->{"Columns" -> {{Left}}},
        GridBoxItemSize->{
         "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
       "Column"], 
      TagBox[GridBox[{
         {
          DynamicBox[ToBoxes[
            If[
            Length[$CellContext`Layouts$$] > 
             1, $CellContext`seatl$$ = $CellContext`deskl$$ + \
$CellContext`chairb$$; $CellContext`lyut$$ = Min[$CellContext`lyut$$, 
                Max[
                 Length[$CellContext`Layouts$$], 1]]; $CellContext`nw = 
              Part[$CellContext`Layouts$$, $CellContext`lyut$$, 3] - 
               1; $CellContext`nl = 
              Part[$CellContext`Layouts$$, $CellContext`lyut$$, 
                4]; $CellContext`\[CapitalDelta]x = 
              Part[$CellContext`Layouts$$, $CellContext`lyut$$, 
                7]; $CellContext`\[CapitalDelta]x1 = $CellContext`\
\[CapitalDelta]x; $CellContext`\[CapitalDelta]x2 = 
              Part[$CellContext`Layouts$$, $CellContext`lyut$$, 
                8]; $CellContext`horiz = 
              Part[$CellContext`Layouts$$, $CellContext`lyut$$, 
                9]; $CellContext`\[CapitalDelta]y = 
              Part[$CellContext`Layouts$$, $CellContext`lyut$$, 
                10]; $CellContext`\[CapitalDelta]y1 = $CellContext`\
\[CapitalDelta]y; $CellContext`\[CapitalDelta]y2 = 
              Part[$CellContext`Layouts$$, $CellContext`lyut$$, 
                11]; $CellContext`vert = 
              Part[$CellContext`Layouts$$, $CellContext`lyut$$, 12]; 
             For[$CellContext`j = 
                0; $CellContext`y = $CellContext`backmarg$$; \
$CellContext`DeskGrid = {}; $CellContext`CirGrid = {}; $CellContext`DimGrid = 
                If[$CellContext`cumul, {
                   
                   Circle[{$CellContext`sidemarg$$ + $CellContext`seatw$$/
                    2, $CellContext`y + $CellContext`seatl$$ - \
$CellContext`nosedist$$}, 0.5], 
                   Arrowheads[{-0.02, 0}]}, {
                   
                   Arrowheads[{-0.02, 
                    0.02}]}], $CellContext`y <= $CellContext`Len$$ - \
$CellContext`frontspace$$ - ($CellContext`seatl$$ - $CellContext`nosedist$$), 
               Increment[$CellContext`j]; $CellContext`yaugm = 
                If[$CellContext`vert, 
                  If[
                   
                   OddQ[$CellContext`j], $CellContext`\[CapitalDelta]y1, \
$CellContext`\[CapitalDelta]y2], $CellContext`\[CapitalDelta]y]; 
               AddTo[$CellContext`y, $CellContext`yaugm], 
               AppendTo[$CellContext`DimGrid, 
                 
                 Line[{{0, $CellContext`y + $CellContext`seatl$$ - \
$CellContext`nosedist$$}, {
                   1.25 $CellContext`Wid$$, $CellContext`y + \
$CellContext`seatl$$ - $CellContext`nosedist$$}}]]; 
               If[$CellContext`j > 0, AppendTo[$CellContext`DimGrid, 
                   
                   Arrow[{{
                    1.15 $CellContext`Wid$$, $CellContext`y + \
$CellContext`seatl$$ - $CellContext`nosedist$$}, {
                    1.15 $CellContext`Wid$$, $CellContext`y - \
$CellContext`yaugm + $CellContext`seatl$$ - $CellContext`nosedist$$ + 
                    Boole[$CellContext`cumul] ($CellContext`yaugm/2)}}]]; 
                 AppendTo[$CellContext`DimGrid, 
                   Text[
                    $CellContext`FootForm[
                    
                    If[$CellContext`cumul, $CellContext`y - \
$CellContext`backmarg$$, $CellContext`yaugm], $CellContext`frac], {
                    1.17 $CellContext`Wid$$, $CellContext`y - \
$CellContext`yaugm/2 + 
                    Boole[$CellContext`cumul] ($CellContext`yaugm/
                    4) + $CellContext`seatl$$ - $CellContext`nosedist$$}, {-1,
                     0}]]]; For[$CellContext`i = 
                  0; $CellContext`x = $CellContext`sidemarg$$, $CellContext`i <= \
$CellContext`nw, 
                 Increment[$CellContext`i]; $CellContext`xaugm = 
                  If[$CellContext`horiz, 
                    If[
                    
                    OddQ[$CellContext`i], $CellContext`\[CapitalDelta]x1, \
$CellContext`\[CapitalDelta]x2], $CellContext`\[CapitalDelta]x]; 
                 AddTo[$CellContext`x, $CellContext`xaugm], 
                 If[OddQ[$CellContext`i + $CellContext`j] == \
$CellContext`altconf, AppendTo[$CellContext`DeskGrid, 
                    $CellContext`Desk[$CellContext`x, $CellContext`y, \
$CellContext`seatw$$, $CellContext`seatl$$, $CellContext`chairw$$, \
$CellContext`chairb$$, $CellContext`nosedist$$]]; 
                   AppendTo[$CellContext`CirGrid, 
                    Circle[{$CellContext`x + $CellContext`seatw$$/
                    2, $CellContext`y + $CellContext`seatl$$ - \
$CellContext`nosedist$$}, $CellContext`d$$/2]]]; 
                 If[$CellContext`j == 0, AppendTo[$CellContext`DimGrid, 
                    
                    Line[{{$CellContext`x + $CellContext`seatw$$/
                    2, (-0.25) $CellContext`Wid$$}, {$CellContext`x + \
$CellContext`seatw$$/
                    2, $CellContext`Len$$ - $CellContext`frontspace$$ - \
$CellContext`seatl$$/2}}]]; 
                   If[$CellContext`i > 0, AppendTo[$CellContext`DimGrid, 
                    
                    Arrow[{{$CellContext`x + $CellContext`seatw$$/
                    2, (-0.15) $CellContext`Wid$$}, {$CellContext`x + \
$CellContext`seatw$$/2 - $CellContext`xaugm + 
                    Boole[$CellContext`cumul] ($CellContext`xaugm/
                    2), (-0.15) $CellContext`Wid$$}}]]; 
                    AppendTo[$CellContext`DimGrid, 
                    Text[
                    $CellContext`FootForm[
                    
                    If[$CellContext`cumul, $CellContext`x - \
$CellContext`sidemarg$$, $CellContext`xaugm], $CellContext`frac], \
{$CellContext`x + $CellContext`seatw$$/2 - $CellContext`xaugm/2 + 
                    Boole[$CellContext`cumul] ($CellContext`xaugm/
                    4), (-0.17) $CellContext`Wid$$}, {0, 
                    1}]]]]]]; $CellContext`boardx = 
              2 $CellContext`\[CapitalDelta]x - ($CellContext`xaugm/2) 
               Boole[EvenQ[$CellContext`nl] == $CellContext`altconf] + \
$CellContext`sidemarg$$ + $CellContext`seatw$$/
                2; $CellContext`fronty = $CellContext`y - $CellContext`yaugm + \
$CellContext`seatl$$ - $CellContext`nosedist$$; 
             AppendTo[$CellContext`DimGrid, {
                Arrowheads[{-0.02, 0.02}], 
                
                Arrow[{{$CellContext`boardx, $CellContext`fronty}, \
{$CellContext`boardx, $CellContext`Len$$}}], 
                Text[
                 $CellContext`FootForm[$CellContext`Len$$ - \
$CellContext`fronty, $CellContext`frac], {$CellContext`boardx + 
                  0.05 $CellContext`Wid$$, ($CellContext`fronty + \
$CellContext`Len$$)/2}]}]; $CellContext`mask$$ = FilledCurve[{{
                  $CellContext`rectline[{(-2) $CellContext`Wid$$, (-2) \
$CellContext`Wid$$}, {
                   2 $CellContext`Wid$$, $CellContext`Len$$ + \
$CellContext`Wid$$}]}, {
                  $CellContext`rectline[{(-0.05) $CellContext`Wid$$, (-0.05) \
$CellContext`Wid$$}, {
                   1.05 $CellContext`Wid$$, $CellContext`Len$$ + 
                    0.05 $CellContext`Wid$$}]}}]; Column[{
                Row[{"Footprint: ", 
                  $CellContext`FootForm[$CellContext`Wid$$, True], "\[Cross]", 
                  $CellContext`FootForm[$CellContext`Len$$, True], 
                  "   Layout: ", 
                  StringJoin[
                   Part[$CellContext`Layouts$$, $CellContext`lyut$$, 1], 
                   If[$CellContext`altconf, "a", ""]], "    Capacity: ", 
                  Length[$CellContext`DeskGrid]}, BaseStyle -> {16, Bold}], 
                Row[{
                  Style["Dimensions: ", Bold], 
                  Grid[{{
                    Checkbox[
                    Dynamic[$CellContext`frac]], "Fractional"}, {
                    Checkbox[
                    Dynamic[$CellContext`cumul]], "Cumulated"}}], "         ", 
                  Checkbox[
                   Dynamic[$CellContext`altconf]], " Alt. config."}]}], ""], 
            StandardForm],
           ImageSizeCache->{460., {24., 30.}},
           
           TrackedSymbols:>{$CellContext`Layouts$$, $CellContext`lyut$$, \
$CellContext`frac, $CellContext`cumul, $CellContext`altconf}]},
         {
          DynamicBox[ToBoxes[
            If[Length[$CellContext`Layouts$$] > 1, 
             EventHandler[$CellContext`gr$$ = Rotate[
                 Translate[
                  Scale[$CellContext`img$$, 
                   Dynamic[$CellContext`s$$/$CellContext`scale$$], {0, 0}], 
                  
                  Dynamic[$CellContext`s$$ {$CellContext`xol$$, \
$CellContext`yol$$}]], 
                 Dynamic[$CellContext`\[Theta]$$ Degree]]; 
              EventHandler[$CellContext`plan$$ = Graphics[{$CellContext`gr$$, 
                   FaceForm[White], $CellContext`mask$$, 
                   FaceForm[{White, 
                    Opacity[1 - Dynamic[$CellContext`a$$]]}], 
                   
                   Rectangle[{(-0.05) $CellContext`Wid$$, (-0.05) \
$CellContext`Wid$$}, {
                    1.05 $CellContext`Wid$$, $CellContext`Len$$ + 
                    0.05 $CellContext`Wid$$}], 
                   EdgeForm[Thick], 
                   FaceForm[], 
                   If[$CellContext`framevis, 
                    
                    Rectangle[{0, 
                    0}, {$CellContext`Wid$$, $CellContext`Len$$}]], 
                   EdgeForm[
                    AbsoluteThickness[1]], 
                   FaceForm[], 
                   If[$CellContext`deskvis, $CellContext`DeskGrid], 
                   Darker[Green], 
                   If[$CellContext`dimvis, $CellContext`DimGrid], Black, 
                   Dotted, 
                   If[$CellContext`circvis, $CellContext`CirGrid], Dashed, 
                   
                   Line[{{0, $CellContext`Len$$ - $CellContext`frontspace$$}, \
{$CellContext`Wid$$, $CellContext`Len$$ - $CellContext`frontspace$$}}], 
                   Dynamic[
                    If[$CellContext`zooming$$, {
                    Opacity[1], 
                    ({
                    Dashing[Small], 
                    Line[{#, {
                    First[#2], 
                    Last[#]}, #2, {
                    First[#], 
                    
                    Last[#2]}, #}]}& )[$CellContext`first$$, \
$CellContext`second$$]}, 
                    Opacity[1]]]}, ImageSize -> 700, 
                  PlotRange -> {{(-0.1) $CellContext`Wid$$, 
                    1.3 $CellContext`Wid$$}, {(-0.3) $CellContext`Wid$$, \
$CellContext`Len$$ + 0.1 $CellContext`Wid$$}}], {{"MouseUp", 1} :> 
                 Null, {"MouseDown", 1} :> ($CellContext`first$$ = 
                  MousePosition["Graphics"]), {"MouseDragged", 1} :> If[
                   CurrentValue[{
                    "MouseButtonTest", 1}], $CellContext`dragging$$ = 
                    True; $CellContext`second$$ = MousePosition["Graphics"]; 
                   If[
                    Or[
                    CurrentValue[
                    "ControlKey"], $CellContext`zooming$$], \
$CellContext`zooming$$ = 
                    True; $CellContext`boxSize$$ = $CellContext`second$$ - \
$CellContext`first$$; $CellContext`mP$$ = 
                    If[Part[$CellContext`boxSize$$, 2]/(
                    Part[$CellContext`boxSize$$, 1] + 
                    0.01) < $CellContext`ar$$, 
                    Abs[
                    Part[$CellContext`boxSize$$, 1]], Abs[
                    
                    Part[$CellContext`boxSize$$, 
                    2]]/$CellContext`ar$$]; $CellContext`second$$ = \
$CellContext`first$$ + $CellContext`mP$$ {1, $CellContext`ar$$} 
                    RealSign[$CellContext`boxSize$$], $CellContext`xol$$ = \
$CellContext`xol$$ + (Part[$CellContext`second$$, 1] - 
                    Part[$CellContext`first$$, 
                    1])/$CellContext`s$$; $CellContext`yol$$ = \
$CellContext`yol$$ + (Part[$CellContext`second$$, 2] - 
                    Part[$CellContext`first$$, 
                    2])/$CellContext`s$$; $CellContext`first$$ = \
$CellContext`second$$], $CellContext`dragging$$ = False; 
                   If[$CellContext`zooming$$, $CellContext`zooming$$ = 
                    False; $CellContext`sn$$ = $CellContext`s$$ \
($CellContext`Wid$$/Abs[
                    Part[$CellContext`first$$, 1] - 
                    Part[$CellContext`second$$, 
                    1]]); $CellContext`xol$$ = $CellContext`xol$$ - Min[
                    Part[$CellContext`first$$, 1], 
                    
                    Part[$CellContext`second$$, 
                    1]]/$CellContext`s$$; $CellContext`yol$$ = \
$CellContext`yol$$ - Min[
                    Part[$CellContext`first$$, 2], 
                    
                    Part[$CellContext`second$$, 
                    2]]/$CellContext`s$$; $CellContext`s$$ = \
$CellContext`sn$$, $CellContext`first$$ = MousePosition["Graphics"]]]}, 
                Method -> "Queued"], {{
                "MouseUp", 1} :> ($CellContext`dragging$$ = False; 
                If[$CellContext`zooming$$, $CellContext`zooming$$ = 
                   False; $CellContext`sn$$ = $CellContext`s$$ \
($CellContext`Wid$$/Abs[
                    Part[$CellContext`first$$, 1] - 
                    Part[$CellContext`second$$, 
                    1]]); $CellContext`xol$$ = $CellContext`xol$$ - Min[
                    Part[$CellContext`first$$, 1], 
                    
                    Part[$CellContext`second$$, 
                    1]]/$CellContext`s$$; $CellContext`yol$$ = \
$CellContext`yol$$ - Min[
                    Part[$CellContext`first$$, 2], 
                    
                    Part[$CellContext`second$$, 
                    2]]/$CellContext`s$$; $CellContext`s$$ = \
$CellContext`sn$$])}, Method -> "Queued", PassEventsDown -> False], ""], 
            StandardForm],
           ImageSizeCache->{700., {289., 294.}},
           
           TrackedSymbols:>{$CellContext`Layouts$$, $CellContext`DeskGrid, \
$CellContext`DimGrid, $CellContext`img$$, $CellContext`gr$$, \
$CellContext`deskvis, $CellContext`dimvis, $CellContext`framevis, \
$CellContext`circvis}]},
         {
          DynamicBox[ToBoxes[
            If[Length[$CellContext`Layouts$$] > 1, 
             Row[{
               Style["Visible:    ", Bold], 
               Checkbox[
                Dynamic[$CellContext`deskvis]], " Desks      ", 
               Checkbox[
                Dynamic[$CellContext`dimvis]], " Dimensions      ", 
               Checkbox[
                Dynamic[$CellContext`framevis]], " Frame      ", 
               Checkbox[
                Dynamic[$CellContext`circvis]], " Social distance circles"}], 
             ""], StandardForm],
           ImageSizeCache->{592., {2., 12.}}]}
        },
        DefaultBaseStyle->"Column",
        GridBoxAlignment->{"Columns" -> {{Left}}},
        GridBoxItemSize->{
         "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
       "Column"], 
      DynamicBox[ToBoxes[
        If[Length[$CellContext`Layouts$$] > 0, 
         Column[{
           Panel[
            Column[{
              Button[
               Style[
               "Load Floorplan", Bold, 16], $CellContext`file = 
                SystemDialogInput[
                 "FileOpen", {$CellContext`dir$$, {
                   "pdf files (v1.5 or lower)" -> {"*.pdf"}}}]; 
               If[$CellContext`file =!= $Canceled, $CellContext`dir$$ = 
                  FileNameDrop[$CellContext`file]; $CellContext`floorplan = 
                  Import[$CellContext`file, "Pages"]], Method -> "Queued"], 
              Button[
               Style["Select Space", Bold, 16], 
               If[$CellContext`floorplan =!= $Failed, DialogInput[
                  DialogNotebook[{
                    InputField[
                    Part[$CellContext`floorplan, 1], 
                    FieldSize -> {{20, Infinity}, {20, Infinity}}], 
                    Row[{$CellContext`img5 = Null; InputField[
                    Dynamic[$CellContext`img5], 
                    FieldSize -> {{20, 30}, {10, 15}}], 
                    TextCell[
                    "  1. Double-click on floor plan \n  2. Click and drag to \
select area of interest \n  3. Right-click on selected area and select 'Copy \
Graphics Selection' \n  4. Paste content into the smaller field to the \
left"]}, Alignment -> {Top, Left}], 
                    Row[{
                    Button["OK", 
                    DialogReturn[$CellContext`img5], ImageSize -> 80], 
                    CancelButton[]}]}]]; If[
                  
                  And[$CellContext`img5 =!= $Canceled, $CellContext`img5 =!= 
                   Null], $CellContext`BR = BoundingRegion[
                    Cases[
                    First[$CellContext`img5], {
                    Blank[Real], 
                    Pattern[$CellContext`b, 
                    Blank[]]}, Infinity]]; $CellContext`mn = First[
                    Apply[List, $CellContext`BR]]; $CellContext`box$$ = 
                   Apply[Subtract, $CellContext`BR]; $CellContext`scale$$ = 
                   Min[(-{$CellContext`Wid$$, \
$CellContext`Len$$})/$CellContext`box$$]; $CellContext`img$$ = Scale[
                    Translate[
                    
                    First[$CellContext`img5], -$CellContext`mn], \
$CellContext`scale$$, {0, 0}]; $CellContext`s$$ = $CellContext`scale$$]], 
               Method -> "Queued"], 
              Button[
               Style["Clear Floorplan", Bold, 16], $CellContext`img$$ = Null], 
              Row[{" x ", 
                Dynamic[
                 (
                 Manipulator[#, #2, Appearance -> "Open", AppearanceElements -> 
                  "InputField", ImageSize -> 100, BaselinePosition -> Center, 
                  ImageMargins -> 10, 
                  BaseStyle -> (
                   InputFieldBoxOptions -> {"TrapEnterKey" -> True})]& )[
                  Dynamic[$CellContext`xol$$], {-Part[$CellContext`box$$, 1], 
                   Part[$CellContext`box$$, 1]}]]}], 
              Row[{" y ", 
                Dynamic[
                 (
                 Manipulator[#, #2, Appearance -> "Open", AppearanceElements -> 
                  "InputField", ImageSize -> 100, BaselinePosition -> Center, 
                  ImageMargins -> 10, 
                  BaseStyle -> (
                   InputFieldBoxOptions -> {"TrapEnterKey" -> True})]& )[
                  Dynamic[$CellContext`yol$$], {-Part[$CellContext`box$$, 2], 
                   Part[$CellContext`box$$, 2]}]]}], 
              Row[{" scale ", 
                Dynamic[
                 (
                 Manipulator[#, #2, Appearance -> "Open", AppearanceElements -> 
                  "InputField", ImageSize -> 100, BaselinePosition -> Center, 
                  ImageMargins -> 10, 
                  BaseStyle -> (
                   InputFieldBoxOptions -> {"TrapEnterKey" -> True})]& )[
                  Dynamic[$CellContext`s$$], {
                  0.5 $CellContext`scale$$, 5 $CellContext`scale$$}]]}], 
              Row[{" orientation ", 
                Dynamic[
                 (
                 Manipulator[#, #2, Appearance -> "Open", AppearanceElements -> 
                  "InputField", ImageSize -> 100, BaselinePosition -> Center, 
                  ImageMargins -> 10, 
                  BaseStyle -> (
                   InputFieldBoxOptions -> {"TrapEnterKey" -> True})]& )[
                  Dynamic[$CellContext`\[Theta]$$], {-180, 180, 30}]]}], 
              Row[{" visibility ", 
                Dynamic[
                 (
                 Manipulator[#, #2, Appearance -> "Open", AppearanceElements -> 
                  "InputField", ImageSize -> 100, BaselinePosition -> Center, 
                  ImageMargins -> 10, 
                  BaseStyle -> (
                   InputFieldBoxOptions -> {"TrapEnterKey" -> True})]& )[
                  Dynamic[$CellContext`a$$], {0, 1}]]}], 
              "Drag to pan, Ctrl-drag to zoom in"}, Alignment -> Right], 
            "Floorplan overlay", LabelStyle -> Bold], 
           Button[
            Style[
            "Save Drawing", Bold, 16], $CellContext`file = 
             SystemDialogInput[
              "FileSave", {$CellContext`dir$$, {"pdf files" -> {"*.pdf"}}}]; 
            If[$CellContext`file =!= $Canceled, $CellContext`dir$$ = 
               FileNameDrop[$CellContext`file]; 
              Export[$CellContext`file, $CellContext`plan$$]], Method -> 
            "Queued"]}], ""], StandardForm],
       ImageSizeCache->{214., {268., 274.}},
       TrackedSymbols:>{$CellContext`Layouts$$, $CellContext`xol$$, \
$CellContext`yol$$, $CellContext`s$$}]}
    },
    AutoDelete->False,
    GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Top}}},
    GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
   "Grid"],
  DynamicModuleValues:>{}]], "Output",
 CellChangeTimes->{{3.8023495102176876`*^9, 3.802349515152074*^9}, {
   3.8023496271424174`*^9, 3.8023497353386755`*^9}, {3.8023498003498363`*^9, 
   3.8023498156733356`*^9}, 3.802350613729201*^9, 3.802351042746397*^9, 
   3.8023510852437024`*^9, 3.8023513213526444`*^9, 3.802351399938184*^9, 
   3.802351465204582*^9, {3.802355593229123*^9, 3.802355611955304*^9}, 
   3.802374656384013*^9, 3.802374752273694*^9, 3.8023748962651634`*^9, 
   3.802379560141184*^9, {3.802382121835871*^9, 3.802382156927668*^9}, 
   3.8023842700430627`*^9, {3.8023859136236677`*^9, 3.8023859357412543`*^9}, 
   3.8023891777768*^9, 3.8023894870111837`*^9, {3.8023907857468586`*^9, 
   3.80239078881306*^9}, 3.8023911034244986`*^9, {3.8023915859616117`*^9, 
   3.8023915879537683`*^9}, {3.802391804624447*^9, 3.8023918127209997`*^9}, 
   3.8023959387283454`*^9, 3.8025107016651506`*^9},
 CellLabel->"Out[14]=",ExpressionUUID->"9583890d-d1c9-49c7-acf8-b1d3966843c5"]
}, Open  ]]
},
InitializationCellEvaluation->True,
InitializationCellWarning->False,
WindowSize->{1471, 795},
WindowMargins->{{227, Automatic}, {Automatic, 86}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
ScrollingOptions->{"VerticalScrollRange"->Fit},
FrontEndVersion->"12.0 for Microsoft Windows (64-bit) (April 8, 2019)",
StyleDefinitions->Notebook[{
   Cell[
    StyleData[StyleDefinitions -> "Default.nb"]], 
   Cell[
    StyleData["Code"]]}, Visible -> False, FrontEndVersion -> 
  "12.0 for Microsoft Windows (64-bit) (April 8, 2019)", StyleDefinitions -> 
  "PrivateStylesheetFormatting.nb"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[580, 22, 107995, 2110, 19, "Input",ExpressionUUID->"ece95d78-47fb-44c7-87f6-1f2efb11e0d1",
 CellOpen->False,
 InitializationCell->True],
Cell[108578, 2134, 46350, 929, 681, "Output",ExpressionUUID->"9583890d-d1c9-49c7-acf8-b1d3966843c5"]
}, Open  ]]
}
]
*)

